/*
	AUTHOR:
	Qiang Zhao, email: qiangzhao@tju.edu.cn
	Copyright (C) 2014 Tianjin University
	School of Computer Software
	School of Computer Science and Technology

	LICENSE:
	SPHORB is distributed under the GNU General Public License.  For information on 
	commercial licensing, please contact the authors at the contact address below.

	REFERENCE:
	Qiang Zhao, Wei Feng, Liang Wan and Jiawan Zhang. SPHORB: A Fast and Robust Binary 
	Feature on the Sphere. International Journal of Computer Vision, preprint, 2014.

	
	Automatically generated code using the scheme of Rosten and Drummond
	E. Rosten and T. Drummond. Machine learning for highspeed corner detection. 
	In Proceedings of the European Conference on Computer Vision (ECCV), 2006.


	Parameters:
	splat_subtree = 1
	corner_pointers = 2
	force_first_question = 0
	corner_type = 10
	barrier = 25

	Data:
	Number of frames:    200
	Potential features:  129234000
	Real features:       2463006
	Questions per pixel: 2.63777
*/

#include "detector.h"																			
xy* sfast_corner_detect(const byte* im, const byte* mask, int xsize, int xstride, int ysize, int barrier, int* num)	
{																								
	int boundary = 18, y, cb, c_b;																
	const byte  *line_max, *line_min;															
	int			rsize=512, total=0;																
	xy	 		*ret = (xy*)malloc(rsize*sizeof(xy));											
	const byte  *pMask;											
	const byte* cache_0;
	const byte* cache_1;
	const byte* cache_2;
	int	pixel[18];																				
	pixel[0] = 0 + 3 * xstride;		
	pixel[1] = 1 + 2 * xstride;		
	pixel[2] = 2 + 1 * xstride;		
	pixel[3] = 3 + 0 * xstride;		
	pixel[4] = 3 + -1 * xstride;		
	pixel[5] = 3 + -2 * xstride;		
	pixel[6] = 3 + -3 * xstride;		
	pixel[7] = 2 + -3 * xstride;		
	pixel[8] = 1 + -3 * xstride;		
	pixel[9] = 0 + -3 * xstride;		
	pixel[10] = -1 + -2 * xstride;		
	pixel[11] = -2 + -1 * xstride;		
	pixel[12] = -3 + 0 * xstride;		
	pixel[13] = -3 + 1 * xstride;		
	pixel[14] = -3 + 2 * xstride;		
	pixel[15] = -3 + 3 * xstride;		
	pixel[16] = -2 + 3 * xstride;		
	pixel[17] = -1 + 3 * xstride;		
	for(y = boundary ; y < ysize - boundary; y++)												
	{																							
		cache_0 = im + boundary + y*xstride;													
		pMask = mask + boundary + y*xstride;													
		line_min = cache_0 - boundary;															
		line_max = im + xsize - boundary + y * xstride;											
																								
		cache_1 = cache_0 + pixel[14];
		cache_2 = cache_0 + pixel[5];
																								
		for(; cache_0 < line_max;pMask++, cache_0++, cache_1++, cache_2++)
		{																						
			if(*pMask==0)																		
				continue;																		
			cb = *cache_0 + barrier;															
			c_b = *cache_0 - barrier;															
            if(*cache_1 > cb)
                if(*(cache_0 + pixel[2]) > cb)
                    if(*(cache_0 + pixel[17]) > cb)
                        if(*(cache_0+-3) > cb)
                            if(*(cache_0 + pixel[15]) > cb)
                                if(*(cache_1+4) > cb)
                                    if(*(cache_0 + pixel[16]) > cb)
                                        if(*(cache_0+3) > cb)
                                            if(*(cache_0 + pixel[0]) > cb)
                                                if(*(cache_0 + pixel[13]) > cb)
                                                    goto success;
                                                else
                                                    if(*cache_2 > cb)
                                                        if(*(cache_0 + pixel[4]) > cb)
                                                            goto success;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                            else if(*(cache_0 + pixel[0]) < c_b)
                                                if(*(cache_0 + pixel[8]) > cb)
                                                    if(*(cache_2+-4) > cb)
                                                        if(*(cache_0 + pixel[9]) > cb)
                                                            if(*(cache_0 + pixel[6]) > cb)
                                                                if(*(cache_0 + pixel[4]) > cb)
                                                                    goto success;
                                                                else if(*(cache_0 + pixel[4]) < c_b)
                                                                    continue;
                                                                else
                                                                    if(*cache_2 > cb||*cache_2 < c_b)
                                                                        continue;
                                                                    else
                                                                        goto success;
                                                            else if(*(cache_0 + pixel[6]) < c_b)
                                                                if(*(cache_0 + pixel[11]) > cb)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                if(*(cache_0 + pixel[11]) > cb)
                                                                    if(*(cache_0 + pixel[13]) > cb)
                                                                        goto success;
                                                                    else
                                                                        continue;
                                                                else
                                                                    continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                if(*(cache_0 + pixel[9]) > cb)
                                                    if(*(cache_0 + pixel[8]) > cb)
                                                        if(*(cache_2+-4) > cb)
                                                            if(*(cache_0 + pixel[13]) > cb)
                                                                if(*(cache_0 + pixel[11]) > cb)
                                                                    goto success;
                                                                else if(*(cache_0 + pixel[11]) < c_b)
                                                                    if(*cache_2 > cb)
                                                                        if(*(cache_0 + pixel[4]) > cb)
                                                                            if(*(cache_0 + pixel[7]) > cb)
                                                                                goto success;
                                                                            else
                                                                                continue;
                                                                        else
                                                                            continue;
                                                                    else
                                                                        continue;
                                                                else
                                                                    if(*(cache_0 + pixel[6]) > cb)
                                                                        if(*(cache_0 + pixel[7]) > cb)
                                                                            if(*(cache_0 + pixel[4]) > cb)
                                                                                if(*cache_2 > cb)
                                                                                    goto success;
                                                                                else
                                                                                    continue;
                                                                            else
                                                                                continue;
                                                                        else
                                                                            continue;
                                                                    else
                                                                        continue;
                                                            else if(*(cache_0 + pixel[13]) < c_b)
                                                                continue;
                                                            else
                                                                if(*(cache_0 + pixel[4]) > cb)
                                                                    if(*cache_2 > cb)
                                                                        if(*(cache_0 + pixel[6]) > cb)
                                                                            if(*(cache_0 + pixel[7]) > cb)
                                                                                goto success;
                                                                            else
                                                                                continue;
                                                                        else
                                                                            continue;
                                                                    else
                                                                        continue;
                                                                else
                                                                    continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                        else if(*(cache_0+3) < c_b)
                                            if(*(cache_0 + pixel[11]) > cb)
                                                if(*(cache_0 + pixel[13]) > cb)
                                                    if(*(cache_0 + pixel[0]) > cb)
                                                        goto success;
                                                    else if(*(cache_0 + pixel[0]) < c_b)
                                                        if(*(cache_0 + pixel[4]) > cb)
                                                            goto success;
                                                        else if(*(cache_0 + pixel[4]) < c_b)
                                                            continue;
                                                        else
                                                            if(*(cache_0 + pixel[6]) > cb||*(cache_0 + pixel[6]) < c_b)
                                                                continue;
                                                            else
                                                                goto success;
                                                    else
                                                        if(*(cache_0 + pixel[9]) > cb)
                                                            if(*(cache_0 + pixel[8]) > cb)
                                                                if(*(cache_2+-4) > cb)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            if(*(cache_0 + pixel[11]) > cb)
                                                if(*(cache_0 + pixel[13]) > cb)
                                                    if(*(cache_0 + pixel[0]) > cb)
                                                        goto success;
                                                    else
                                                        if(*(cache_0 + pixel[8]) > cb)
                                                            if(*(cache_0 + pixel[9]) > cb)
                                                                if(*(cache_2+-4) > cb)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                    else if(*(cache_0 + pixel[16]) < c_b)
                                        if(*(cache_0 + pixel[6]) > cb)
                                            if(*(cache_0 + pixel[8]) > cb)
                                                if(*(cache_0 + pixel[7]) > cb)
                                                    if(*(cache_0 + pixel[4]) > cb)
                                                        if(*(cache_0+3) > cb)
                                                            if(*cache_2 > cb||*cache_2 < c_b)
                                                                goto success;
                                                            else
                                                                if(*(cache_0 + pixel[9]) > cb)
                                                                    if(*(cache_2+-4) > cb)
                                                                        goto success;
                                                                    else
                                                                        continue;
                                                                else
                                                                    continue;
                                                        else
                                                            continue;
                                                    else if(*(cache_0 + pixel[4]) < c_b)
                                                        if(*(cache_0 + pixel[9]) > cb)
                                                            goto success;
                                                        else
                                                            continue;
                                                    else
                                                        if(*(cache_2+-4) > cb)
                                                            if(*(cache_0 + pixel[11]) > cb)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        if(*(cache_0 + pixel[7]) > cb)
                                            if(*(cache_0 + pixel[6]) > cb)
                                                if(*(cache_0 + pixel[8]) > cb)
                                                    if(*(cache_0 + pixel[4]) > cb)
                                                        if(*(cache_0+3) > cb)
                                                            if(*cache_2 > cb)
                                                                if(*(cache_0 + pixel[0]) > cb)
                                                                    goto success;
                                                                else if(*(cache_0 + pixel[0]) < c_b)
                                                                    continue;
                                                                else
                                                                    if(*(cache_0 + pixel[9]) > cb)
                                                                        if(*(cache_2+-4) > cb)
                                                                            goto success;
                                                                        else
                                                                            continue;
                                                                    else
                                                                        continue;
                                                            else if(*cache_2 < c_b)
                                                                if(*(cache_2+-4) > cb)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                if(*(cache_2+-4) > cb)
                                                                    if(*(cache_0 + pixel[13]) > cb)
                                                                        if(*(cache_0 + pixel[11]) > cb)
                                                                            if(*(cache_0 + pixel[9]) > cb)
                                                                                goto success;
                                                                            else
                                                                                continue;
                                                                        else
                                                                            continue;
                                                                    else
                                                                        continue;
                                                                else
                                                                    continue;
                                                        else if(*(cache_0+3) < c_b)
                                                            if(*(cache_0 + pixel[9]) > cb)
                                                                if(*cache_2 > cb)
                                                                    if(*(cache_0 + pixel[13]) > cb)
                                                                        goto success;
                                                                    else
                                                                        continue;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            if(*(cache_0 + pixel[11]) > cb)
                                                                if(*(cache_0 + pixel[9]) > cb)
                                                                    if(*(cache_0 + pixel[13]) > cb)
                                                                        if(*(cache_2+-4) > cb)
                                                                            goto success;
                                                                        else
                                                                            continue;
                                                                    else
                                                                        continue;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                    else if(*(cache_0 + pixel[4]) < c_b)
                                                        if(*(cache_0 + pixel[9]) > cb)
                                                            if(*(cache_2+-4) > cb)
                                                                if(*(cache_0 + pixel[11]) > cb)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        if(*(cache_2+-4) > cb)
                                                            if(*(cache_0 + pixel[13]) > cb)
                                                                if(*(cache_0 + pixel[9]) > cb)
                                                                    if(*(cache_0 + pixel[11]) > cb)
                                                                        goto success;
                                                                    else
                                                                        continue;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                else if(*(cache_1+4) < c_b)
                                    if(*(cache_0 + pixel[11]) > cb)
                                        if(*(cache_0 + pixel[9]) > cb)
                                            if(*(cache_2+-4) > cb)
                                                if(*(cache_0 + pixel[8]) > cb)
                                                    if(*(cache_0 + pixel[16]) > cb)
                                                        if(*(cache_0 + pixel[13]) > cb)
                                                            goto success;
                                                        else if(*(cache_0 + pixel[13]) < c_b)
                                                            continue;
                                                        else
                                                            if(*(cache_0 + pixel[6]) > cb)
                                                                goto success;
                                                            else
                                                                continue;
                                                    else if(*(cache_0 + pixel[16]) < c_b)
                                                        continue;
                                                    else
                                                        if(*(cache_0 + pixel[6]) > cb)
                                                            if(*(cache_0 + pixel[7]) > cb)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                else if(*(cache_0 + pixel[8]) < c_b)
                                                    if(*(cache_0 + pixel[0]) > cb)
                                                        if(*(cache_0 + pixel[4]) > cb)
                                                            if(*cache_2 > cb)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    if(*(cache_0 + pixel[0]) > cb)
                                                        if(*(cache_0 + pixel[13]) > cb)
                                                            if(*(cache_0 + pixel[16]) > cb)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        continue;
                                else
                                    if(*(cache_2+-4) > cb)
                                        if(*(cache_0 + pixel[11]) > cb)
                                            if(*(cache_0 + pixel[9]) > cb)
                                                if(*(cache_0 + pixel[8]) > cb)
                                                    if(*(cache_0 + pixel[13]) > cb)
                                                        if(*(cache_0 + pixel[16]) > cb)
                                                            goto success;
                                                        else if(*(cache_0 + pixel[16]) < c_b)
                                                            if(*(cache_0 + pixel[6]) > cb)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            if(*(cache_0 + pixel[6]) > cb)
                                                                if(*(cache_0 + pixel[7]) > cb)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                    else if(*(cache_0 + pixel[13]) < c_b)
                                                        if(*cache_2 > cb)
                                                            if(*(cache_0 + pixel[6]) > cb)
                                                                if(*(cache_0 + pixel[4]) > cb)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        if(*cache_2 > cb)
                                                            if(*(cache_0 + pixel[6]) > cb)
                                                                if(*(cache_0 + pixel[4]) > cb)
                                                                    if(*(cache_0 + pixel[7]) > cb)
                                                                        if(*(cache_0+3) > cb)
                                                                            goto success;
                                                                        else
                                                                            continue;
                                                                    else
                                                                        continue;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                else if(*(cache_0 + pixel[8]) < c_b)
                                                    if(*(cache_0 + pixel[0]) > cb)
                                                        if(*(cache_0 + pixel[13]) > cb)
                                                            goto success;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    if(*(cache_0 + pixel[0]) > cb)
                                                        if(*(cache_0 + pixel[16]) > cb)
                                                            if(*(cache_0 + pixel[13]) > cb)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        continue;
                            else if(*(cache_0 + pixel[15]) < c_b)
                                if(*cache_2 > cb)
                                    if(*(cache_0 + pixel[7]) > cb)
                                        if(*(cache_0 + pixel[6]) > cb)
                                            if(*(cache_0 + pixel[8]) > cb)
                                                if(*(cache_0 + pixel[11]) > cb)
                                                    if(*(cache_2+-4) > cb)
                                                        if(*(cache_0 + pixel[13]) > cb)
                                                            if(*(cache_0 + pixel[9]) > cb)
                                                                goto success;
                                                            else if(*(cache_0 + pixel[9]) < c_b)
                                                                continue;
                                                            else
                                                                if(*(cache_0+3) > cb)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                        else if(*(cache_0 + pixel[13]) < c_b)
                                                            continue;
                                                        else
                                                            if(*(cache_0 + pixel[4]) > cb)
                                                                if(*(cache_1+4) > cb)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                    else if(*(cache_2+-4) < c_b)
                                                        goto success;
                                                    else
                                                        if(*(cache_0 + pixel[0]) > cb)
                                                            if(*(cache_0+3) > cb)
                                                                if(*(cache_0 + pixel[4]) > cb)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                else if(*(cache_0 + pixel[11]) < c_b)
                                                    if(*(cache_1+4) > cb)
                                                        goto success;
                                                    else
                                                        continue;
                                                else
                                                    if(*(cache_1+4) > cb)
                                                        if(*(cache_0+3) > cb)
                                                            if(*(cache_0 + pixel[4]) > cb)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                            else if(*(cache_0 + pixel[8]) < c_b)
                                                if(*(cache_0 + pixel[16]) > cb)
                                                    if(*(cache_0 + pixel[0]) > cb)
                                                        goto success;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                if(*(cache_0 + pixel[16]) > cb)
                                                    if(*(cache_1+4) > cb)
                                                        if(*(cache_0+3) > cb)
                                                            if(*(cache_0 + pixel[4]) > cb)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                        else
                                            continue;
                                    else
                                        continue;
                                else
                                    continue;
                            else
                                if(*(cache_0 + pixel[6]) > cb)
                                    if(*(cache_0 + pixel[7]) > cb)
                                        if(*cache_2 > cb)
                                            if(*(cache_0 + pixel[8]) > cb)
                                                if(*(cache_1+4) > cb)
                                                    if(*(cache_0+3) > cb)
                                                        if(*(cache_0 + pixel[4]) > cb)
                                                            if(*(cache_0 + pixel[0]) > cb)
                                                                goto success;
                                                            else
                                                                if(*(cache_2+-4) > cb)
                                                                    if(*(cache_0 + pixel[9]) > cb)
                                                                        goto success;
                                                                    else
                                                                        continue;
                                                                else
                                                                    continue;
                                                        else if(*(cache_0 + pixel[4]) < c_b)
                                                            if(*(cache_2+-4) > cb)
                                                                if(*(cache_0 + pixel[16]) > cb)
                                                                    if(*(cache_0 + pixel[9]) > cb)
                                                                        if(*(cache_0 + pixel[13]) > cb)
                                                                            goto success;
                                                                        else
                                                                            continue;
                                                                    else
                                                                        continue;
                                                                else if(*(cache_0 + pixel[16]) < c_b)
                                                                    continue;
                                                                else
                                                                    goto success;
                                                            else
                                                                continue;
                                                        else
                                                            if(*(cache_2+-4) > cb)
                                                                if(*(cache_0 + pixel[13]) > cb)
                                                                    if(*(cache_0 + pixel[11]) > cb)
                                                                        if(*(cache_0 + pixel[9]) > cb)
                                                                            goto success;
                                                                        else
                                                                            continue;
                                                                    else
                                                                        continue;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                    else if(*(cache_0+3) < c_b)
                                                        if(*(cache_0 + pixel[11]) > cb)
                                                            if(*(cache_0 + pixel[13]) > cb)
                                                                if(*(cache_0 + pixel[9]) > cb)
                                                                    if(*(cache_2+-4) > cb)
                                                                        goto success;
                                                                    else
                                                                        continue;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        if(*(cache_2+-4) > cb)
                                                            if(*(cache_0 + pixel[11]) > cb)
                                                                if(*(cache_0 + pixel[9]) > cb)
                                                                    if(*(cache_0 + pixel[13]) > cb)
                                                                        goto success;
                                                                    else
                                                                        continue;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                else if(*(cache_1+4) < c_b)
                                                    if(*(cache_0 + pixel[11]) > cb)
                                                        if(*(cache_2+-4) > cb)
                                                            if(*(cache_0 + pixel[9]) > cb)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    if(*(cache_0 + pixel[11]) > cb)
                                                        if(*(cache_2+-4) > cb)
                                                            if(*(cache_0 + pixel[9]) > cb)
                                                                if(*(cache_0 + pixel[13]) > cb)
                                                                    goto success;
                                                                else if(*(cache_0 + pixel[13]) < c_b)
                                                                    continue;
                                                                else
                                                                    if(*(cache_0 + pixel[4]) > cb)
                                                                        if(*(cache_0+3) > cb)
                                                                            goto success;
                                                                        else
                                                                            continue;
                                                                    else
                                                                        continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                            else if(*(cache_0 + pixel[8]) < c_b)
                                                if(*(cache_0 + pixel[16]) > cb)
                                                    if(*(cache_0 + pixel[0]) > cb)
                                                        if(*(cache_0 + pixel[4]) > cb)
                                                            if(*(cache_1+4) > cb)
                                                                if(*(cache_0+3) > cb)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                if(*(cache_0 + pixel[16]) > cb)
                                                    if(*(cache_1+4) > cb)
                                                        if(*(cache_0 + pixel[4]) > cb)
                                                            if(*(cache_0 + pixel[0]) > cb)
                                                                if(*(cache_0+3) > cb)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                        else
                                            continue;
                                    else
                                        continue;
                                else
                                    continue;
                        else if(*(cache_0+-3) < c_b)
                            if(*cache_2 > cb)
                                if(*(cache_1+4) > cb)
                                    if(*(cache_0 + pixel[4]) > cb)
                                        if(*(cache_0 + pixel[16]) > cb)
                                            if(*(cache_0+3) > cb)
                                                if(*(cache_0 + pixel[15]) > cb)
                                                    if(*(cache_0 + pixel[0]) > cb)
                                                        goto success;
                                                    else if(*(cache_0 + pixel[0]) < c_b)
                                                        if(*(cache_0 + pixel[9]) > cb)
                                                            if(*(cache_0 + pixel[7]) > cb)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        if(*(cache_2+-4) > cb)
                                                            if(*(cache_0 + pixel[6]) > cb)
                                                                if(*(cache_0 + pixel[8]) > cb)
                                                                    if(*(cache_0 + pixel[7]) > cb)
                                                                        if(*(cache_0 + pixel[9]) > cb)
                                                                            goto success;
                                                                        else
                                                                            continue;
                                                                    else
                                                                        continue;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                else if(*(cache_0 + pixel[15]) < c_b)
                                                    if(*(cache_0 + pixel[7]) > cb)
                                                        if(*(cache_0 + pixel[6]) > cb)
                                                            if(*(cache_0 + pixel[0]) > cb)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    if(*(cache_0 + pixel[7]) > cb)
                                                        if(*(cache_0 + pixel[6]) > cb)
                                                            if(*(cache_0 + pixel[0]) > cb)
                                                                goto success;
                                                            else if(*(cache_0 + pixel[0]) < c_b)
                                                                continue;
                                                            else
                                                                if(*(cache_2+-4) > cb)
                                                                    if(*(cache_0 + pixel[9]) > cb)
                                                                        goto success;
                                                                    else
                                                                        continue;
                                                                else
                                                                    continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                            else
                                                continue;
                                        else if(*(cache_0 + pixel[16]) < c_b)
                                            if(*(cache_0 + pixel[8]) > cb)
                                                if(*(cache_0 + pixel[6]) > cb)
                                                    if(*(cache_0+3) > cb)
                                                        if(*(cache_0 + pixel[7]) > cb)
                                                            goto success;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            if(*(cache_0 + pixel[8]) > cb)
                                                if(*(cache_0 + pixel[6]) > cb)
                                                    if(*(cache_0 + pixel[7]) > cb)
                                                        if(*(cache_0+3) > cb)
                                                            if(*(cache_0 + pixel[0]) > cb)
                                                                goto success;
                                                            else if(*(cache_0 + pixel[0]) < c_b)
                                                                continue;
                                                            else
                                                                if(*(cache_2+-4) > cb)
                                                                    if(*(cache_0 + pixel[9]) > cb)
                                                                        goto success;
                                                                    else
                                                                        continue;
                                                                else
                                                                    continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                    else
                                        continue;
                                else if(*(cache_1+4) < c_b)
                                    if(*(cache_0 + pixel[11]) > cb)
                                        if(*(cache_0 + pixel[9]) > cb)
                                            if(*(cache_2+-4) > cb)
                                                if(*(cache_0 + pixel[4]) > cb)
                                                    goto success;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        continue;
                                else
                                    if(*(cache_0 + pixel[11]) > cb)
                                        if(*(cache_0 + pixel[7]) > cb)
                                            if(*(cache_0 + pixel[9]) > cb)
                                                if(*(cache_0 + pixel[4]) > cb)
                                                    if(*(cache_0 + pixel[8]) > cb)
                                                        if(*(cache_2+-4) > cb)
                                                            if(*(cache_0+3) > cb)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        continue;
                            else if(*cache_2 < c_b)
                                if(*(cache_0+3) > cb)
                                    if(*(cache_0 + pixel[13]) > cb)
                                        if(*(cache_0 + pixel[4]) > cb)
                                            if(*(cache_0 + pixel[15]) > cb)
                                                if(*(cache_0 + pixel[0]) > cb)
                                                    if(*(cache_1+4) > cb)
                                                        if(*(cache_0 + pixel[16]) > cb)
                                                            goto success;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else if(*(cache_0 + pixel[13]) < c_b)
                                        if(*(cache_0 + pixel[4]) < c_b)
                                            if(*(cache_0 + pixel[8]) < c_b)
                                                if(*(cache_0 + pixel[6]) < c_b)
                                                    if(*(cache_0 + pixel[11]) < c_b)
                                                        if(*(cache_0 + pixel[7]) < c_b)
                                                            if(*(cache_0 + pixel[9]) < c_b)
                                                                if(*(cache_2+-4) < c_b)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        continue;
                                else if(*(cache_0+3) < c_b)
                                    if(*(cache_2+-4) < c_b)
                                        if(*(cache_0 + pixel[7]) < c_b)
                                            if(*(cache_0 + pixel[9]) < c_b)
                                                if(*(cache_0 + pixel[11]) < c_b)
                                                    if(*(cache_0 + pixel[6]) < c_b)
                                                        if(*(cache_0 + pixel[4]) < c_b)
                                                            if(*(cache_0 + pixel[8]) < c_b)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        continue;
                                else
                                    if(*(cache_0 + pixel[13]) < c_b)
                                        if(*(cache_0 + pixel[4]) < c_b)
                                            if(*(cache_0 + pixel[9]) < c_b)
                                                if(*(cache_0 + pixel[11]) < c_b)
                                                    if(*(cache_0 + pixel[6]) < c_b)
                                                        if(*(cache_0 + pixel[8]) < c_b)
                                                            if(*(cache_2+-4) < c_b)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        continue;
                            else
                                if(*(cache_0 + pixel[13]) > cb)
                                    if(*(cache_0 + pixel[4]) > cb)
                                        if(*(cache_0 + pixel[15]) > cb)
                                            if(*(cache_0 + pixel[0]) > cb)
                                                if(*(cache_0 + pixel[16]) > cb)
                                                    if(*(cache_0+3) > cb)
                                                        if(*(cache_1+4) > cb)
                                                            goto success;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        continue;
                                else
                                    continue;
                        else
                            if(*(cache_0 + pixel[4]) > cb)
                                if(*(cache_1+4) > cb)
                                    if(*cache_2 > cb)
                                        if(*(cache_0+3) > cb)
                                            if(*(cache_0 + pixel[16]) > cb)
                                                if(*(cache_0 + pixel[0]) > cb)
                                                    if(*(cache_0 + pixel[15]) > cb)
                                                        goto success;
                                                    else if(*(cache_0 + pixel[15]) < c_b)
                                                        if(*(cache_0 + pixel[6]) > cb)
                                                            if(*(cache_0 + pixel[7]) > cb)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        if(*(cache_0 + pixel[7]) > cb)
                                                            if(*(cache_0 + pixel[6]) > cb)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                else if(*(cache_0 + pixel[0]) < c_b)
                                                    if(*(cache_2+-4) > cb)
                                                        if(*(cache_0 + pixel[8]) > cb)
                                                            if(*(cache_0 + pixel[9]) > cb)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    if(*(cache_2+-4) > cb)
                                                        if(*(cache_0 + pixel[8]) > cb)
                                                            if(*(cache_0 + pixel[6]) > cb)
                                                                if(*(cache_0 + pixel[9]) > cb)
                                                                    if(*(cache_0 + pixel[7]) > cb)
                                                                        goto success;
                                                                    else
                                                                        continue;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                            else if(*(cache_0 + pixel[16]) < c_b)
                                                if(*(cache_0 + pixel[8]) > cb)
                                                    if(*(cache_0 + pixel[6]) > cb)
                                                        if(*(cache_0 + pixel[7]) > cb)
                                                            if(*(cache_0 + pixel[0]) > cb)
                                                                goto success;
                                                            else if(*(cache_0 + pixel[0]) < c_b)
                                                                continue;
                                                            else
                                                                if(*(cache_0 + pixel[13]) > cb)
                                                                    if(*(cache_0 + pixel[15]) > cb)
                                                                        goto success;
                                                                    else
                                                                        continue;
                                                                else if(*(cache_0 + pixel[13]) < c_b)
                                                                    continue;
                                                                else
                                                                    goto success;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                if(*(cache_0 + pixel[7]) > cb)
                                                    if(*(cache_0 + pixel[8]) > cb)
                                                        if(*(cache_0 + pixel[6]) > cb)
                                                            if(*(cache_0 + pixel[0]) > cb)
                                                                goto success;
                                                            else if(*(cache_0 + pixel[0]) < c_b)
                                                                continue;
                                                            else
                                                                if(*(cache_2+-4) > cb)
                                                                    if(*(cache_0 + pixel[9]) > cb)
                                                                        goto success;
                                                                    else
                                                                        continue;
                                                                else
                                                                    continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                        else
                                            continue;
                                    else if(*cache_2 < c_b)
                                        if(*(cache_0 + pixel[13]) > cb)
                                            if(*(cache_0 + pixel[15]) > cb)
                                                if(*(cache_0+3) > cb)
                                                    if(*(cache_0 + pixel[0]) > cb)
                                                        if(*(cache_0 + pixel[16]) > cb)
                                                            goto success;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        if(*(cache_0 + pixel[13]) > cb)
                                            if(*(cache_0 + pixel[15]) > cb)
                                                if(*(cache_0 + pixel[16]) > cb)
                                                    if(*(cache_0 + pixel[0]) > cb)
                                                        if(*(cache_0+3) > cb)
                                                            goto success;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                else if(*(cache_1+4) < c_b)
                                    if(*(cache_0 + pixel[11]) > cb)
                                        if(*(cache_0 + pixel[9]) > cb)
                                            if(*(cache_0 + pixel[7]) > cb)
                                                if(*(cache_2+-4) > cb)
                                                    if(*(cache_0 + pixel[6]) > cb)
                                                        if(*(cache_0+3) > cb)
                                                            if(*(cache_0 + pixel[8]) > cb)
                                                                if(*cache_2 > cb)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        continue;
                                else
                                    if(*(cache_0 + pixel[11]) > cb)
                                        if(*(cache_0 + pixel[8]) > cb)
                                            if(*(cache_0 + pixel[6]) > cb)
                                                if(*(cache_2+-4) > cb)
                                                    if(*(cache_0 + pixel[9]) > cb)
                                                        if(*(cache_0+3) > cb)
                                                            if(*(cache_0 + pixel[7]) > cb)
                                                                if(*cache_2 > cb)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        continue;
                            else
                                continue;
                    else if(*(cache_0 + pixel[17]) < c_b)
                        if(*(cache_0 + pixel[6]) > cb)
                            if(*(cache_2+-4) > cb)
                                if(*(cache_0 + pixel[8]) > cb)
                                    if(*(cache_0 + pixel[11]) > cb)
                                        if(*(cache_0 + pixel[7]) > cb)
                                            if(*(cache_0 + pixel[9]) > cb)
                                                if(*cache_2 > cb)
                                                    if(*(cache_0+-3) > cb)
                                                        if(*(cache_0 + pixel[13]) > cb)
                                                            goto success;
                                                        else if(*(cache_0 + pixel[13]) < c_b)
                                                            if(*(cache_0 + pixel[16]) > cb)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            if(*(cache_0 + pixel[4]) > cb)
                                                                if(*(cache_0+3) > cb)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                    else
                                                        if(*(cache_0+3) > cb)
                                                            if(*(cache_0 + pixel[4]) > cb)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                else if(*cache_2 < c_b)
                                                    if(*(cache_0 + pixel[15]) > cb)
                                                        if(*(cache_0+-3) > cb)
                                                            if(*(cache_0 + pixel[13]) > cb)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    if(*(cache_0 + pixel[15]) > cb)
                                                        if(*(cache_0 + pixel[13]) > cb)
                                                            if(*(cache_0+-3) > cb)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else if(*(cache_0 + pixel[11]) < c_b)
                                        if(*(cache_1+4) > cb)
                                            if(*(cache_0 + pixel[4]) > cb)
                                                if(*(cache_0+3) > cb)
                                                    if(*(cache_0 + pixel[7]) > cb)
                                                        if(*cache_2 > cb)
                                                            if(*(cache_0 + pixel[9]) > cb)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        if(*(cache_1+4) > cb)
                                            if(*(cache_0 + pixel[4]) > cb)
                                                if(*(cache_0 + pixel[7]) > cb)
                                                    if(*(cache_0 + pixel[9]) > cb)
                                                        if(*(cache_0+3) > cb)
                                                            if(*cache_2 > cb)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                else
                                    continue;
                            else if(*(cache_2+-4) < c_b)
                                if(*(cache_0 + pixel[0]) > cb)
                                    if(*(cache_0 + pixel[9]) > cb)
                                        if(*(cache_0 + pixel[4]) > cb)
                                            if(*(cache_0 + pixel[15]) > cb)
                                                if(*(cache_0 + pixel[11]) < c_b)
                                                    if(*(cache_1+4) > cb)
                                                        if(*(cache_0 + pixel[8]) > cb)
                                                            goto success;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    goto success;
                                            else if(*(cache_0 + pixel[15]) < c_b)
                                                continue;
                                            else
                                                if(*(cache_0 + pixel[11]) > cb||*(cache_0 + pixel[11]) < c_b)
                                                    continue;
                                                else
                                                    if(*cache_2 > cb)
                                                        goto success;
                                                    else
                                                        continue;
                                        else
                                            continue;
                                    else
                                        continue;
                                else
                                    continue;
                            else
                                if(*(cache_0 + pixel[0]) > cb)
                                    if(*(cache_0 + pixel[9]) > cb)
                                        if(*(cache_0 + pixel[7]) > cb)
                                            if(*(cache_0 + pixel[4]) > cb)
                                                if(*(cache_0 + pixel[8]) > cb)
                                                    if(*cache_2 > cb)
                                                        if(*(cache_1+4) > cb)
                                                            if(*(cache_0+3) > cb)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        continue;
                                else
                                    continue;
                        else if(*(cache_0 + pixel[6]) < c_b)
                            if(*(cache_0+-3) > cb)
                                if(*(cache_0 + pixel[16]) > cb)
                                    if(*(cache_0 + pixel[7]) > cb)
                                        if(*(cache_0 + pixel[9]) > cb)
                                            if(*(cache_0 + pixel[8]) > cb)
                                                if(*(cache_2+-4) > cb)
                                                    if(*(cache_0 + pixel[15]) > cb)
                                                        if(*(cache_1+4) < c_b)
                                                            continue;
                                                        else
                                                            goto success;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        continue;
                                else
                                    continue;
                            else if(*(cache_0+-3) < c_b)
                                if(*(cache_0 + pixel[4]) < c_b)
                                    if(*(cache_0+3) > cb)
                                        if(*(cache_0 + pixel[13]) < c_b)
                                            if(*(cache_2+-4) < c_b)
                                                if(*(cache_0 + pixel[8]) < c_b)
                                                    if(*cache_2 < c_b)
                                                        goto success;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else if(*(cache_0+3) < c_b)
                                        if(*(cache_0 + pixel[9]) < c_b)
                                            if(*(cache_2+-4) < c_b)
                                                if(*cache_2 < c_b)
                                                    if(*(cache_0 + pixel[11]) < c_b)
                                                        if(*(cache_0 + pixel[8]) < c_b)
                                                            if(*(cache_0 + pixel[7]) < c_b)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        if(*(cache_0 + pixel[13]) < c_b)
                                            if(*(cache_0 + pixel[9]) < c_b)
                                                if(*(cache_0 + pixel[7]) < c_b)
                                                    if(*(cache_0 + pixel[11]) < c_b)
                                                        if(*cache_2 < c_b)
                                                            goto success;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                else
                                    continue;
                            else
                                continue;
                        else
                            if(*(cache_0 + pixel[16]) > cb)
                                if(*(cache_0 + pixel[7]) > cb)
                                    if(*(cache_2+-4) > cb)
                                        if(*(cache_0+-3) > cb)
                                            if(*(cache_0 + pixel[9]) > cb)
                                                if(*(cache_0 + pixel[8]) > cb)
                                                    if(*(cache_0 + pixel[13]) > cb)
                                                        if(*(cache_0 + pixel[11]) > cb)
                                                            if(*(cache_0 + pixel[15]) > cb)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        continue;
                                else
                                    continue;
                            else
                                continue;
                    else
                        if(*(cache_0 + pixel[7]) > cb)
                            if(*(cache_0 + pixel[9]) > cb)
                                if(*(cache_0 + pixel[6]) > cb)
                                    if(*(cache_0 + pixel[11]) > cb)
                                        if(*(cache_0 + pixel[8]) > cb)
                                            if(*cache_2 > cb)
                                                if(*(cache_2+-4) > cb)
                                                    if(*(cache_0+-3) > cb)
                                                        if(*(cache_0 + pixel[13]) > cb)
                                                            goto success;
                                                        else if(*(cache_0 + pixel[13]) < c_b)
                                                            if(*(cache_0+3) > cb)
                                                                if(*(cache_0 + pixel[4]) > cb)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            if(*(cache_0 + pixel[4]) > cb)
                                                                if(*(cache_0+3) > cb)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                    else
                                                        if(*(cache_0+3) > cb)
                                                            if(*(cache_0 + pixel[4]) > cb)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                else if(*(cache_2+-4) < c_b)
                                                    if(*(cache_0 + pixel[0]) > cb)
                                                        if(*(cache_0+3) > cb)
                                                            if(*(cache_1+4) > cb)
                                                                if(*(cache_0 + pixel[4]) > cb)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    if(*(cache_0 + pixel[0]) > cb)
                                                        if(*(cache_1+4) > cb)
                                                            if(*(cache_0 + pixel[4]) > cb)
                                                                if(*(cache_0+3) > cb)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                            else if(*cache_2 < c_b)
                                                if(*(cache_0 + pixel[15]) > cb)
                                                    if(*(cache_0 + pixel[13]) > cb)
                                                        if(*(cache_0+-3) > cb)
                                                            if(*(cache_2+-4) > cb)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                if(*(cache_0 + pixel[15]) > cb)
                                                    if(*(cache_0 + pixel[13]) > cb)
                                                        if(*(cache_2+-4) > cb)
                                                            if(*(cache_0+-3) > cb)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                        else
                                            continue;
                                    else if(*(cache_0 + pixel[11]) < c_b)
                                        if(*(cache_1+4) > cb)
                                            if(*(cache_0 + pixel[4]) > cb)
                                                if(*(cache_0 + pixel[0]) > cb)
                                                    if(*cache_2 > cb)
                                                        if(*(cache_0 + pixel[8]) > cb)
                                                            if(*(cache_0+3) > cb)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else if(*(cache_0 + pixel[0]) < c_b)
                                                    if(*(cache_2+-4) > cb)
                                                        if(*(cache_0 + pixel[8]) > cb)
                                                            if(*(cache_0+3) > cb)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    if(*(cache_2+-4) > cb)
                                                        if(*(cache_0+3) > cb)
                                                            if(*cache_2 > cb)
                                                                if(*(cache_0 + pixel[8]) > cb)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        if(*(cache_1+4) > cb)
                                            if(*(cache_0 + pixel[4]) > cb)
                                                if(*(cache_0 + pixel[0]) > cb)
                                                    if(*(cache_0 + pixel[8]) > cb)
                                                        if(*cache_2 > cb)
                                                            if(*(cache_0+3) > cb)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else if(*(cache_0 + pixel[0]) < c_b)
                                                    if(*(cache_2+-4) > cb)
                                                        if(*cache_2 > cb)
                                                            if(*(cache_0+3) > cb)
                                                                if(*(cache_0 + pixel[8]) > cb)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    if(*(cache_2+-4) > cb)
                                                        if(*(cache_0+3) > cb)
                                                            if(*(cache_0 + pixel[8]) > cb)
                                                                if(*cache_2 > cb)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                else if(*(cache_0 + pixel[6]) < c_b)
                                    if(*(cache_0 + pixel[16]) > cb)
                                        if(*(cache_0 + pixel[11]) > cb)
                                            if(*(cache_2+-4) > cb)
                                                if(*(cache_0+-3) > cb)
                                                    if(*(cache_0 + pixel[15]) > cb)
                                                        if(*(cache_0 + pixel[8]) > cb)
                                                            if(*(cache_0 + pixel[13]) > cb)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        continue;
                                else
                                    if(*(cache_0 + pixel[16]) > cb)
                                        if(*(cache_0 + pixel[11]) > cb)
                                            if(*(cache_0 + pixel[13]) > cb)
                                                if(*(cache_0 + pixel[15]) > cb)
                                                    if(*(cache_2+-4) > cb)
                                                        if(*(cache_0 + pixel[8]) > cb)
                                                            if(*(cache_0+-3) > cb)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        continue;
                            else
                                continue;
                        else if(*(cache_0 + pixel[7]) < c_b)
                            if(*(cache_0+-3) < c_b)
                                if(*(cache_0 + pixel[4]) < c_b)
                                    if(*(cache_0 + pixel[13]) > cb)
                                        if(*(cache_0+3) < c_b)
                                            if(*(cache_2+-4) < c_b)
                                                if(*(cache_0 + pixel[6]) < c_b)
                                                    if(*(cache_0 + pixel[8]) < c_b)
                                                        if(*(cache_0 + pixel[9]) < c_b)
                                                            goto success;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else if(*(cache_0 + pixel[13]) < c_b)
                                        if(*(cache_2+-4) < c_b)
                                            if(*(cache_0 + pixel[6]) < c_b)
                                                if(*(cache_0 + pixel[9]) < c_b)
                                                    if(*cache_2 < c_b)
                                                        if(*(cache_0 + pixel[11]) < c_b)
                                                            if(*(cache_0 + pixel[8]) < c_b)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        if(*(cache_0+3) < c_b)
                                            if(*(cache_2+-4) < c_b)
                                                if(*cache_2 < c_b)
                                                    if(*(cache_0 + pixel[11]) < c_b)
                                                        if(*(cache_0 + pixel[9]) < c_b)
                                                            if(*(cache_0 + pixel[6]) < c_b)
                                                                if(*(cache_0 + pixel[8]) < c_b)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                else
                                    continue;
                            else
                                continue;
                        else
                            continue;
                else if(*(cache_0 + pixel[2]) < c_b)
                    if(*(cache_0 + pixel[7]) > cb)
                        if(*(cache_2+-4) > cb)
                            if(*(cache_0 + pixel[16]) > cb)
                                if(*(cache_0+-3) > cb)
                                    if(*(cache_0 + pixel[11]) > cb)
                                        if(*(cache_0 + pixel[9]) > cb)
                                            if(*(cache_0 + pixel[15]) > cb)
                                                if(*(cache_0 + pixel[13]) > cb)
                                                    if(*(cache_0 + pixel[8]) > cb)
                                                        goto success;
                                                    else if(*(cache_0 + pixel[8]) < c_b)
                                                        if(*(cache_0 + pixel[0]) > cb)
                                                            if(*cache_2 < c_b)
                                                                continue;
                                                            else
                                                                goto success;
                                                        else
                                                            continue;
                                                    else
                                                        if(*(cache_0 + pixel[0]) > cb)
                                                            if(*(cache_0 + pixel[17]) > cb)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                else if(*(cache_0 + pixel[13]) < c_b)
                                                    if(*(cache_0+3) > cb)
                                                        goto success;
                                                    else
                                                        continue;
                                                else
                                                    if(*(cache_0+3) > cb)
                                                        if(*cache_2 > cb)
                                                            if(*(cache_0 + pixel[4]) > cb)
                                                                if(*(cache_0 + pixel[6]) > cb)
                                                                    if(*(cache_0 + pixel[8]) > cb)
                                                                        goto success;
                                                                    else
                                                                        continue;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                            else if(*(cache_0 + pixel[15]) < c_b)
                                                if(*cache_2 > cb)
                                                    if(*(cache_0 + pixel[6]) > cb)
                                                        goto success;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                if(*cache_2 > cb)
                                                    if(*(cache_0 + pixel[6]) > cb)
                                                        if(*(cache_0 + pixel[8]) > cb)
                                                            if(*(cache_0 + pixel[13]) > cb)
                                                                goto success;
                                                            else if(*(cache_0 + pixel[13]) < c_b)
                                                                continue;
                                                            else
                                                                if(*(cache_0+3) > cb)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                        else if(*(cache_0 + pixel[9]) < c_b)
                                            if(*(cache_1+4) > cb)
                                                if(*(cache_0 + pixel[0]) > cb)
                                                    if(*(cache_0 + pixel[15]) > cb)
                                                        if(*(cache_0 + pixel[17]) > cb)
                                                            goto success;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            if(*(cache_1+4) > cb)
                                                if(*(cache_0 + pixel[0]) > cb)
                                                    if(*(cache_0 + pixel[15]) > cb)
                                                        if(*(cache_0 + pixel[13]) > cb)
                                                            if(*(cache_0 + pixel[17]) > cb)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                    else
                                        continue;
                                else
                                    continue;
                            else if(*(cache_0 + pixel[16]) < c_b)
                                if(*cache_2 > cb)
                                    if(*(cache_0+-3) > cb)
                                        if(*(cache_0 + pixel[6]) > cb)
                                            if(*(cache_0 + pixel[9]) > cb)
                                                if(*(cache_0 + pixel[11]) > cb)
                                                    if(*(cache_0 + pixel[8]) > cb)
                                                        if(*(cache_0 + pixel[13]) > cb)
                                                            goto success;
                                                        else if(*(cache_0 + pixel[13]) < c_b)
                                                            continue;
                                                        else
                                                            if(*(cache_0+3) > cb)
                                                                if(*(cache_0 + pixel[4]) > cb)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        continue;
                                else if(*cache_2 < c_b)
                                    if(*(cache_0 + pixel[6]) > cb)
                                        if(*(cache_0 + pixel[15]) > cb)
                                            if(*(cache_0 + pixel[11]) > cb)
                                                if(*(cache_0 + pixel[9]) > cb)
                                                    if(*(cache_0+-3) > cb)
                                                        if(*(cache_0 + pixel[8]) > cb)
                                                            if(*(cache_0 + pixel[13]) > cb)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else if(*(cache_0 + pixel[6]) < c_b)
                                        if(*(cache_0 + pixel[15]) < c_b)
                                            if(*(cache_0 + pixel[0]) < c_b)
                                                if(*(cache_0+3) < c_b)
                                                    if(*(cache_1+4) < c_b)
                                                        if(*(cache_0 + pixel[17]) < c_b)
                                                            if(*(cache_0 + pixel[4]) < c_b)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        continue;
                                else
                                    if(*(cache_0 + pixel[15]) > cb)
                                        if(*(cache_0 + pixel[6]) > cb)
                                            if(*(cache_0+-3) > cb)
                                                if(*(cache_0 + pixel[8]) > cb)
                                                    if(*(cache_0 + pixel[13]) > cb)
                                                        if(*(cache_0 + pixel[11]) > cb)
                                                            if(*(cache_0 + pixel[9]) > cb)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        continue;
                            else
                                if(*(cache_0 + pixel[6]) > cb)
                                    if(*(cache_0 + pixel[15]) > cb)
                                        if(*(cache_0+-3) > cb)
                                            if(*(cache_0 + pixel[8]) > cb)
                                                if(*(cache_0 + pixel[11]) > cb)
                                                    if(*(cache_0 + pixel[13]) > cb)
                                                        if(*(cache_0 + pixel[9]) > cb)
                                                            goto success;
                                                        else
                                                            continue;
                                                    else if(*(cache_0 + pixel[13]) < c_b)
                                                        continue;
                                                    else
                                                        if(*(cache_0+3) > cb)
                                                            if(*(cache_0 + pixel[4]) > cb)
                                                                if(*(cache_0 + pixel[9]) > cb)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else if(*(cache_0 + pixel[15]) < c_b)
                                        if(*cache_2 > cb)
                                            if(*(cache_0+-3) > cb)
                                                if(*(cache_0 + pixel[9]) > cb)
                                                    if(*(cache_0 + pixel[13]) > cb)
                                                        if(*(cache_0 + pixel[11]) > cb)
                                                            if(*(cache_0 + pixel[8]) > cb)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else if(*(cache_0 + pixel[13]) < c_b)
                                                        continue;
                                                    else
                                                        if(*(cache_0+3) > cb)
                                                            goto success;
                                                        else
                                                            continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        if(*cache_2 > cb)
                                            if(*(cache_0+-3) > cb)
                                                if(*(cache_0 + pixel[8]) > cb)
                                                    if(*(cache_0 + pixel[11]) > cb)
                                                        if(*(cache_0 + pixel[13]) > cb)
                                                            if(*(cache_0 + pixel[9]) > cb)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else if(*(cache_0 + pixel[13]) < c_b)
                                                            continue;
                                                        else
                                                            if(*(cache_0+3) > cb)
                                                                if(*(cache_0 + pixel[4]) > cb)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                else
                                    continue;
                        else if(*(cache_2+-4) < c_b)
                            if(*(cache_0 + pixel[6]) < c_b)
                                if(*(cache_0 + pixel[15]) < c_b)
                                    if(*(cache_0 + pixel[17]) < c_b)
                                        if(*(cache_0 + pixel[4]) < c_b)
                                            if(*(cache_0+-3) > cb)
                                                goto success;
                                            else if(*(cache_0+-3) < c_b)
                                                if(*(cache_1+4) < c_b)
                                                    if(*cache_2 < c_b)
                                                        if(*(cache_0 + pixel[16]) < c_b)
                                                            goto success;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                if(*(cache_0 + pixel[13]) > cb)
                                                    if(*(cache_0 + pixel[0]) < c_b)
                                                        if(*(cache_0+3) < c_b)
                                                            if(*(cache_0 + pixel[8]) < c_b)
                                                                continue;
                                                            else
                                                                goto success;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else if(*(cache_0 + pixel[13]) < c_b)
                                                    continue;
                                                else
                                                    goto success;
                                        else
                                            continue;
                                    else
                                        continue;
                                else
                                    continue;
                            else
                                continue;
                        else
                            if(*(cache_0 + pixel[15]) < c_b)
                                if(*(cache_0 + pixel[6]) < c_b)
                                    if(*cache_2 < c_b)
                                        if(*(cache_0 + pixel[0]) < c_b)
                                            if(*(cache_1+4) < c_b)
                                                if(*(cache_0 + pixel[16]) < c_b)
                                                    if(*(cache_0+3) < c_b)
                                                        goto success;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        continue;
                                else
                                    continue;
                            else
                                continue;
                    else if(*(cache_0 + pixel[7]) < c_b)
                        if(*(cache_0 + pixel[17]) > cb)
                            if(*(cache_0 + pixel[11]) > cb)
                                if(*(cache_0 + pixel[9]) > cb)
                                    if(*(cache_0 + pixel[0]) > cb)
                                        if(*(cache_0 + pixel[15]) > cb)
                                            if(*(cache_2+-4) > cb)
                                                if(*(cache_0+-3) > cb)
                                                    if(*(cache_0 + pixel[16]) > cb)
                                                        if(*(cache_0 + pixel[13]) > cb)
                                                            goto success;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else if(*(cache_0 + pixel[0]) < c_b)
                                        if(*(cache_0 + pixel[8]) > cb)
                                            if(*(cache_0 + pixel[16]) > cb)
                                                if(*(cache_0 + pixel[13]) > cb)
                                                    if(*(cache_0 + pixel[15]) > cb)
                                                        if(*(cache_0+-3) > cb)
                                                            if(*(cache_2+-4) > cb)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        if(*(cache_0 + pixel[8]) > cb)
                                            if(*(cache_0 + pixel[15]) > cb)
                                                if(*(cache_0+-3) > cb)
                                                    if(*(cache_0 + pixel[13]) > cb)
                                                        if(*(cache_2+-4) > cb)
                                                            if(*(cache_0 + pixel[16]) > cb)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                else if(*(cache_0 + pixel[9]) < c_b)
                                    if(*(cache_0 + pixel[0]) > cb)
                                        if(*(cache_2+-4) > cb)
                                            if(*(cache_1+4) > cb)
                                                if(*(cache_0+-3) > cb)
                                                    if(*(cache_0 + pixel[16]) > cb)
                                                        if(*(cache_0 + pixel[13]) > cb)
                                                            if(*(cache_0 + pixel[15]) > cb)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else if(*(cache_2+-4) < c_b)
                                            if(*(cache_1+4) < c_b)
                                                if(*(cache_0 + pixel[6]) < c_b)
                                                    if(*(cache_0+3) < c_b)
                                                        if(*cache_2 < c_b)
                                                            if(*(cache_0 + pixel[8]) < c_b)
                                                                if(*(cache_0 + pixel[4]) < c_b)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else if(*(cache_0 + pixel[0]) < c_b)
                                        if(*(cache_0 + pixel[6]) < c_b)
                                            if(*(cache_0 + pixel[4]) < c_b)
                                                if(*(cache_1+4) < c_b)
                                                    if(*(cache_0 + pixel[8]) < c_b)
                                                        if(*(cache_0+3) < c_b)
                                                            if(*cache_2 < c_b)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        if(*(cache_2+-4) < c_b)
                                            if(*(cache_1+4) < c_b)
                                                if(*(cache_0 + pixel[6]) < c_b)
                                                    if(*(cache_0+3) < c_b)
                                                        if(*cache_2 < c_b)
                                                            if(*(cache_0 + pixel[8]) < c_b)
                                                                if(*(cache_0 + pixel[4]) < c_b)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                else
                                    if(*(cache_1+4) > cb)
                                        if(*(cache_2+-4) > cb)
                                            if(*(cache_0 + pixel[15]) > cb)
                                                if(*(cache_0+-3) > cb)
                                                    if(*(cache_0 + pixel[0]) > cb)
                                                        if(*(cache_0 + pixel[16]) > cb)
                                                            if(*(cache_0 + pixel[13]) > cb)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        continue;
                            else if(*(cache_0 + pixel[11]) < c_b)
                                if(*cache_2 < c_b)
                                    if(*(cache_0 + pixel[9]) < c_b)
                                        if(*(cache_0 + pixel[4]) < c_b)
                                            if(*(cache_0 + pixel[6]) < c_b)
                                                if(*(cache_2+-4) > cb)
                                                    if(*(cache_0 + pixel[0]) < c_b)
                                                        goto success;
                                                    else
                                                        continue;
                                                else if(*(cache_2+-4) < c_b)
                                                    if(*(cache_0+3) > cb)
                                                        if(*(cache_0 + pixel[13]) < c_b)
                                                            goto success;
                                                        else
                                                            continue;
                                                    else if(*(cache_0+3) < c_b)
                                                        if(*(cache_0 + pixel[8]) < c_b)
                                                            goto success;
                                                        else
                                                            continue;
                                                    else
                                                        if(*(cache_0 + pixel[13]) < c_b)
                                                            if(*(cache_0+-3) < c_b)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                else
                                                    if(*(cache_0 + pixel[0]) < c_b)
                                                        if(*(cache_0+-3) > cb)
                                                            if(*(cache_0 + pixel[8]) < c_b)
                                                                if(*(cache_0+3) < c_b)
                                                                    if(*(cache_1+4) < c_b)
                                                                        goto success;
                                                                    else
                                                                        continue;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else if(*(cache_0+-3) < c_b)
                                                            if(*(cache_0 + pixel[16]) > cb)
                                                                goto success;
                                                            else if(*(cache_0 + pixel[16]) < c_b)
                                                                continue;
                                                            else
                                                                if(*(cache_1+4) < c_b)
                                                                    if(*(cache_0 + pixel[8]) < c_b)
                                                                        goto success;
                                                                    else
                                                                        continue;
                                                                else
                                                                    continue;
                                                        else
                                                            if(*(cache_1+4) < c_b)
                                                                goto success;
                                                            else
                                                                continue;
                                                    else
                                                        continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        continue;
                                else
                                    continue;
                            else
                                if(*(cache_1+4) < c_b)
                                    if(*(cache_2+-4) > cb)
                                        if(*(cache_0 + pixel[9]) < c_b)
                                            if(*(cache_0 + pixel[0]) < c_b)
                                                if(*(cache_0 + pixel[6]) < c_b)
                                                    if(*(cache_0+3) < c_b)
                                                        goto success;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else if(*(cache_2+-4) < c_b)
                                        if(*cache_2 < c_b)
                                            if(*(cache_0 + pixel[9]) < c_b)
                                                if(*(cache_0+3) < c_b)
                                                    if(*(cache_0 + pixel[6]) < c_b)
                                                        if(*(cache_0 + pixel[4]) < c_b)
                                                            if(*(cache_0 + pixel[8]) < c_b)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        if(*(cache_0 + pixel[0]) < c_b)
                                            if(*(cache_0 + pixel[9]) < c_b)
                                                if(*(cache_0 + pixel[4]) < c_b)
                                                    if(*(cache_0 + pixel[6]) < c_b)
                                                        if(*(cache_0 + pixel[8]) < c_b)
                                                            if(*cache_2 < c_b)
                                                                if(*(cache_0+3) < c_b)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                else
                                    continue;
                        else if(*(cache_0 + pixel[17]) < c_b)
                            if(*cache_2 < c_b)
                                if(*(cache_0 + pixel[8]) > cb)
                                    if(*(cache_0 + pixel[16]) < c_b)
                                        if(*(cache_0+3) < c_b)
                                            if(*(cache_0 + pixel[0]) < c_b)
                                                if(*(cache_0 + pixel[6]) < c_b)
                                                    if(*(cache_0 + pixel[4]) < c_b)
                                                        if(*(cache_1+4) < c_b)
                                                            goto success;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        continue;
                                else if(*(cache_0 + pixel[8]) < c_b)
                                    if(*(cache_0 + pixel[4]) < c_b)
                                        if(*(cache_0 + pixel[6]) < c_b)
                                            if(*(cache_1+4) > cb)
                                                if(*(cache_0 + pixel[11]) < c_b)
                                                    if(*(cache_0 + pixel[9]) < c_b)
                                                        if(*(cache_2+-4) < c_b)
                                                            if(*(cache_0+3) > cb)
                                                                continue;
                                                            else if(*(cache_0+3) < c_b)
                                                                goto success;
                                                            else
                                                                if(*(cache_0 + pixel[0]) < c_b)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else if(*(cache_1+4) < c_b)
                                                if(*(cache_0+3) > cb)
                                                    if(*(cache_0 + pixel[13]) < c_b)
                                                        if(*(cache_0 + pixel[11]) < c_b)
                                                            goto success;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else if(*(cache_0+3) < c_b)
                                                    if(*(cache_0 + pixel[0]) < c_b)
                                                        goto success;
                                                    else
                                                        if(*(cache_2+-4) < c_b)
                                                            if(*(cache_0 + pixel[9]) < c_b)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                else
                                                    if(*(cache_0 + pixel[13]) < c_b)
                                                        if(*(cache_0 + pixel[11]) < c_b)
                                                            if(*(cache_0 + pixel[9]) < c_b)
                                                                if(*(cache_0+-3) < c_b)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                            else
                                                if(*(cache_0 + pixel[11]) < c_b)
                                                    if(*(cache_2+-4) < c_b)
                                                        if(*(cache_0 + pixel[9]) < c_b)
                                                            if(*(cache_0+3) > cb)
                                                                continue;
                                                            else if(*(cache_0+3) < c_b)
                                                                goto success;
                                                            else
                                                                if(*(cache_0 + pixel[13]) < c_b)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                        else
                                            continue;
                                    else
                                        continue;
                                else
                                    if(*(cache_0 + pixel[16]) < c_b)
                                        if(*(cache_0 + pixel[0]) < c_b)
                                            if(*(cache_0 + pixel[4]) < c_b)
                                                if(*(cache_0 + pixel[6]) < c_b)
                                                    if(*(cache_0+3) < c_b)
                                                        if(*(cache_1+4) < c_b)
                                                            goto success;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        continue;
                            else
                                continue;
                        else
                            if(*(cache_0 + pixel[9]) < c_b)
                                if(*(cache_1+4) > cb)
                                    if(*(cache_0 + pixel[11]) < c_b)
                                        if(*cache_2 < c_b)
                                            if(*(cache_0+3) > cb)
                                                continue;
                                            else if(*(cache_0+3) < c_b)
                                                if(*(cache_0 + pixel[6]) < c_b)
                                                    if(*(cache_2+-4) < c_b)
                                                        if(*(cache_0 + pixel[8]) < c_b)
                                                            if(*(cache_0 + pixel[4]) < c_b)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                if(*(cache_0 + pixel[16]) < c_b)
                                                    if(*(cache_0 + pixel[13]) < c_b)
                                                        goto success;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                        else
                                            continue;
                                    else
                                        continue;
                                else if(*(cache_1+4) < c_b)
                                    if(*cache_2 < c_b)
                                        if(*(cache_0 + pixel[0]) > cb)
                                            if(*(cache_2+-4) < c_b)
                                                if(*(cache_0+3) < c_b)
                                                    if(*(cache_0 + pixel[6]) < c_b)
                                                        if(*(cache_0 + pixel[4]) < c_b)
                                                            if(*(cache_0 + pixel[8]) < c_b)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else if(*(cache_0 + pixel[0]) < c_b)
                                            if(*(cache_0 + pixel[4]) < c_b)
                                                if(*(cache_0 + pixel[6]) < c_b)
                                                    if(*(cache_0 + pixel[8]) < c_b)
                                                        if(*(cache_0+3) > cb)
                                                            if(*(cache_2+-4) < c_b)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else if(*(cache_0+3) < c_b)
                                                            goto success;
                                                        else
                                                            if(*(cache_0 + pixel[13]) < c_b)
                                                                if(*(cache_0 + pixel[11]) < c_b)
                                                                    if(*(cache_2+-4) < c_b)
                                                                        goto success;
                                                                    else
                                                                        continue;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            if(*(cache_2+-4) < c_b)
                                                if(*(cache_0 + pixel[4]) < c_b)
                                                    if(*(cache_0 + pixel[6]) < c_b)
                                                        if(*(cache_0 + pixel[8]) < c_b)
                                                            if(*(cache_0+3) > cb)
                                                                continue;
                                                            else if(*(cache_0+3) < c_b)
                                                                goto success;
                                                            else
                                                                if(*(cache_0 + pixel[13]) < c_b)
                                                                    if(*(cache_0+-3) < c_b)
                                                                        goto success;
                                                                    else
                                                                        continue;
                                                                else
                                                                    continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                    else
                                        continue;
                                else
                                    if(*(cache_0 + pixel[11]) < c_b)
                                        if(*(cache_0 + pixel[4]) < c_b)
                                            if(*(cache_0 + pixel[6]) < c_b)
                                                if(*(cache_2+-4) < c_b)
                                                    if(*(cache_0+3) > cb)
                                                        continue;
                                                    else if(*(cache_0+3) < c_b)
                                                        if(*cache_2 < c_b)
                                                            if(*(cache_0 + pixel[8]) < c_b)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        if(*(cache_0 + pixel[13]) < c_b)
                                                            if(*(cache_0+-3) < c_b)
                                                                if(*cache_2 < c_b)
                                                                    if(*(cache_0 + pixel[8]) < c_b)
                                                                        goto success;
                                                                    else
                                                                        continue;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        continue;
                            else
                                continue;
                    else
                        if(*(cache_0 + pixel[17]) > cb)
                            if(*(cache_0 + pixel[9]) > cb)
                                if(*(cache_0 + pixel[11]) > cb)
                                    if(*(cache_0 + pixel[15]) > cb)
                                        if(*(cache_0 + pixel[8]) > cb)
                                            if(*(cache_2+-4) > cb)
                                                if(*(cache_0+-3) > cb)
                                                    if(*(cache_0 + pixel[16]) > cb)
                                                        if(*(cache_0 + pixel[13]) > cb)
                                                            goto success;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            if(*(cache_0 + pixel[0]) > cb)
                                                if(*(cache_2+-4) > cb)
                                                    if(*(cache_0+-3) > cb)
                                                        if(*(cache_0 + pixel[16]) > cb)
                                                            if(*(cache_0 + pixel[13]) > cb)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                    else
                                        continue;
                                else
                                    continue;
                            else if(*(cache_0 + pixel[9]) < c_b)
                                if(*(cache_2+-4) > cb)
                                    if(*(cache_1+4) > cb)
                                        if(*(cache_0 + pixel[16]) > cb)
                                            if(*(cache_0+-3) > cb)
                                                if(*(cache_0 + pixel[11]) > cb)
                                                    if(*(cache_0 + pixel[13]) > cb)
                                                        if(*(cache_0 + pixel[4]) > cb)
                                                            if(*(cache_0 + pixel[0]) > cb)
                                                                if(*(cache_0 + pixel[15]) > cb)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            goto success;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        continue;
                                else
                                    continue;
                            else
                                if(*(cache_1+4) > cb)
                                    if(*(cache_2+-4) > cb)
                                        if(*(cache_0 + pixel[11]) > cb)
                                            if(*(cache_0+-3) > cb)
                                                if(*(cache_0 + pixel[15]) > cb)
                                                    if(*(cache_0 + pixel[0]) > cb)
                                                        if(*(cache_0 + pixel[16]) > cb)
                                                            if(*(cache_0 + pixel[13]) > cb)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        continue;
                                else
                                    continue;
                        else if(*(cache_0 + pixel[17]) < c_b)
                            if(*(cache_0 + pixel[15]) < c_b)
                                if(*(cache_0 + pixel[6]) < c_b)
                                    if(*(cache_0 + pixel[4]) < c_b)
                                        if(*(cache_0 + pixel[0]) < c_b)
                                            if(*cache_2 < c_b)
                                                if(*(cache_0 + pixel[16]) < c_b)
                                                    if(*(cache_0+3) < c_b)
                                                        if(*(cache_1+4) < c_b)
                                                            goto success;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        continue;
                                else
                                    continue;
                            else
                                continue;
                        else
                            continue;
                else
                    if(*(cache_2+-4) > cb)
                        if(*(cache_0 + pixel[17]) > cb)
                            if(*(cache_0 + pixel[11]) > cb)
                                if(*(cache_0 + pixel[9]) > cb)
                                    if(*(cache_0+-3) > cb)
                                        if(*(cache_0 + pixel[15]) > cb)
                                            if(*(cache_0 + pixel[13]) > cb)
                                                if(*(cache_0 + pixel[8]) > cb)
                                                    if(*(cache_0 + pixel[16]) > cb)
                                                        goto success;
                                                    else
                                                        if(*(cache_0 + pixel[6]) > cb)
                                                            if(*(cache_0 + pixel[7]) > cb)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                else
                                                    if(*(cache_0 + pixel[0]) > cb)
                                                        if(*(cache_0 + pixel[16]) > cb)
                                                            goto success;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                            else if(*(cache_0 + pixel[13]) < c_b)
                                                if(*(cache_0+3) > cb)
                                                    if(*cache_2 > cb)
                                                        if(*(cache_0 + pixel[6]) > cb)
                                                            if(*(cache_0 + pixel[4]) > cb)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                if(*(cache_0+3) > cb)
                                                    if(*(cache_0 + pixel[6]) > cb)
                                                        if(*(cache_0 + pixel[4]) > cb)
                                                            if(*(cache_0 + pixel[8]) > cb)
                                                                if(*cache_2 > cb)
                                                                    if(*(cache_0 + pixel[7]) > cb)
                                                                        goto success;
                                                                    else
                                                                        continue;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                        else if(*(cache_0 + pixel[15]) < c_b)
                                            if(*cache_2 > cb)
                                                if(*(cache_0 + pixel[7]) > cb)
                                                    if(*(cache_0 + pixel[6]) > cb)
                                                        if(*(cache_0 + pixel[8]) > cb)
                                                            if(*(cache_0 + pixel[13]) > cb)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            if(*(cache_0 + pixel[6]) > cb)
                                                if(*cache_2 > cb)
                                                    if(*(cache_0 + pixel[7]) > cb)
                                                        if(*(cache_0 + pixel[8]) > cb)
                                                            if(*(cache_0 + pixel[13]) > cb)
                                                                goto success;
                                                            else if(*(cache_0 + pixel[13]) < c_b)
                                                                continue;
                                                            else
                                                                if(*(cache_0+3) > cb)
                                                                    if(*(cache_0 + pixel[4]) > cb)
                                                                        goto success;
                                                                    else
                                                                        continue;
                                                                else
                                                                    continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                    else
                                        continue;
                                else if(*(cache_0 + pixel[9]) < c_b)
                                    if(*(cache_1+4) > cb)
                                        if(*(cache_0 + pixel[15]) > cb)
                                            if(*(cache_0+-3) > cb)
                                                if(*(cache_0 + pixel[0]) > cb)
                                                    if(*(cache_0 + pixel[13]) > cb)
                                                        if(*(cache_0 + pixel[16]) > cb)
                                                            goto success;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        continue;
                                else
                                    if(*(cache_1+4) > cb)
                                        if(*(cache_0+-3) > cb)
                                            if(*(cache_0 + pixel[15]) > cb)
                                                if(*(cache_0 + pixel[13]) > cb)
                                                    if(*(cache_0 + pixel[16]) > cb)
                                                        if(*(cache_0 + pixel[0]) > cb)
                                                            goto success;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        continue;
                            else
                                continue;
                        else if(*(cache_0 + pixel[17]) < c_b)
                            if(*(cache_0 + pixel[6]) > cb)
                                if(*(cache_0+-3) > cb)
                                    if(*cache_2 > cb)
                                        if(*(cache_0 + pixel[8]) > cb)
                                            if(*(cache_0 + pixel[11]) > cb)
                                                if(*(cache_0 + pixel[7]) > cb)
                                                    if(*(cache_0 + pixel[9]) > cb)
                                                        if(*(cache_0 + pixel[13]) > cb)
                                                            goto success;
                                                        else if(*(cache_0 + pixel[13]) < c_b)
                                                            if(*(cache_0+3) > cb)
                                                                if(*(cache_0 + pixel[0]) < c_b)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            if(*(cache_0+3) > cb)
                                                                if(*(cache_0 + pixel[4]) > cb)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else if(*cache_2 < c_b)
                                        if(*(cache_0 + pixel[15]) > cb)
                                            if(*(cache_0 + pixel[7]) > cb)
                                                if(*(cache_0 + pixel[13]) > cb)
                                                    if(*(cache_0 + pixel[9]) > cb)
                                                        if(*(cache_0 + pixel[8]) > cb)
                                                            if(*(cache_0 + pixel[11]) > cb)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        if(*(cache_0 + pixel[15]) > cb)
                                            if(*(cache_0 + pixel[8]) > cb)
                                                if(*(cache_0 + pixel[7]) > cb)
                                                    if(*(cache_0 + pixel[11]) > cb)
                                                        if(*(cache_0 + pixel[9]) > cb)
                                                            if(*(cache_0 + pixel[13]) > cb)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                else
                                    continue;
                            else if(*(cache_0 + pixel[6]) < c_b)
                                if(*(cache_0 + pixel[16]) > cb)
                                    if(*(cache_0 + pixel[7]) > cb)
                                        if(*(cache_0 + pixel[11]) > cb)
                                            if(*(cache_0 + pixel[9]) > cb)
                                                if(*(cache_0 + pixel[13]) > cb)
                                                    if(*(cache_0 + pixel[4]) > cb)
                                                        if(*(cache_0+3) > cb)
                                                            if(*cache_2 > cb||*cache_2 < c_b)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else if(*(cache_0+3) < c_b)
                                                            goto success;
                                                        else
                                                            continue;
                                                    else
                                                        goto success;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        continue;
                                else
                                    continue;
                            else
                                if(*(cache_0 + pixel[16]) > cb)
                                    if(*(cache_0 + pixel[7]) > cb)
                                        if(*(cache_0+-3) > cb)
                                            if(*(cache_0 + pixel[9]) > cb)
                                                if(*(cache_0 + pixel[15]) > cb)
                                                    if(*(cache_0 + pixel[11]) > cb)
                                                        if(*(cache_0 + pixel[8]) > cb)
                                                            if(*(cache_0 + pixel[13]) > cb)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        continue;
                                else
                                    continue;
                        else
                            if(*(cache_0 + pixel[7]) > cb)
                                if(*(cache_0 + pixel[6]) > cb)
                                    if(*(cache_0+-3) > cb)
                                        if(*(cache_0 + pixel[8]) > cb)
                                            if(*cache_2 > cb)
                                                if(*(cache_0 + pixel[11]) > cb)
                                                    if(*(cache_0 + pixel[9]) > cb)
                                                        if(*(cache_0 + pixel[13]) > cb)
                                                            goto success;
                                                        else
                                                            if(*(cache_0+3) > cb)
                                                                if(*(cache_0 + pixel[4]) > cb)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                if(*(cache_0 + pixel[15]) > cb)
                                                    if(*(cache_0 + pixel[13]) > cb)
                                                        if(*(cache_0 + pixel[11]) > cb)
                                                            if(*(cache_0 + pixel[9]) > cb)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                        else
                                            continue;
                                    else
                                        continue;
                                else if(*(cache_0 + pixel[6]) < c_b)
                                    if(*(cache_0 + pixel[16]) > cb)
                                        if(*(cache_0+-3) > cb)
                                            if(*(cache_0 + pixel[9]) > cb)
                                                if(*(cache_0 + pixel[15]) > cb)
                                                    if(*(cache_0 + pixel[8]) > cb)
                                                        if(*(cache_0 + pixel[13]) > cb)
                                                            if(*(cache_0 + pixel[11]) > cb)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        continue;
                                else
                                    if(*(cache_0 + pixel[16]) > cb)
                                        if(*(cache_0+-3) > cb)
                                            if(*(cache_0 + pixel[8]) > cb)
                                                if(*(cache_0 + pixel[15]) > cb)
                                                    if(*(cache_0 + pixel[11]) > cb)
                                                        if(*(cache_0 + pixel[13]) > cb)
                                                            if(*(cache_0 + pixel[9]) > cb)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        continue;
                            else
                                continue;
                    else if(*(cache_2+-4) < c_b)
                        if(*(cache_0+-3) < c_b)
                            if(*(cache_0 + pixel[4]) < c_b)
                                if(*(cache_0 + pixel[7]) < c_b)
                                    if(*(cache_0+3) > cb)
                                        if(*(cache_0 + pixel[13]) < c_b)
                                            if(*cache_2 < c_b)
                                                if(*(cache_0 + pixel[11]) < c_b)
                                                    if(*(cache_0 + pixel[6]) < c_b)
                                                        if(*(cache_0 + pixel[9]) < c_b)
                                                            goto success;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else if(*(cache_0+3) < c_b)
                                        if(*(cache_0 + pixel[6]) < c_b)
                                            if(*(cache_0 + pixel[11]) < c_b)
                                                if(*(cache_0 + pixel[9]) < c_b)
                                                    if(*cache_2 < c_b)
                                                        if(*(cache_0 + pixel[8]) < c_b)
                                                            goto success;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        if(*(cache_0 + pixel[13]) < c_b)
                                            if(*cache_2 < c_b)
                                                if(*(cache_0 + pixel[9]) < c_b)
                                                    if(*(cache_0 + pixel[6]) < c_b)
                                                        if(*(cache_0 + pixel[11]) < c_b)
                                                            if(*(cache_0 + pixel[8]) < c_b)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                else
                                    continue;
                            else
                                continue;
                        else
                            continue;
                    else
                        continue;
            else if(*cache_1 < c_b)
                if(*(cache_0 + pixel[2]) > cb)
                    if(*(cache_0 + pixel[6]) > cb)
                        if(*(cache_0 + pixel[11]) > cb)
                            if(*(cache_0 + pixel[8]) > cb)
                                if(*(cache_0 + pixel[4]) > cb)
                                    if(*cache_2 > cb)
                                        if(*(cache_0 + pixel[7]) > cb)
                                            if(*(cache_0 + pixel[9]) > cb)
                                                if(*(cache_0+3) > cb)
                                                    if(*(cache_2+-4) > cb)
                                                        goto success;
                                                    else
                                                        if(*(cache_0 + pixel[0]) > cb)
                                                            if(*(cache_1+4) > cb)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                else if(*(cache_0+3) < c_b)
                                                    if(*(cache_0 + pixel[13]) > cb)
                                                        if(*(cache_2+-4) > cb)
                                                            goto success;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    if(*(cache_0 + pixel[13]) > cb)
                                                        if(*(cache_2+-4) > cb)
                                                            if(*(cache_0+-3) > cb)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                            else if(*(cache_0 + pixel[9]) < c_b)
                                                if(*(cache_0 + pixel[17]) > cb)
                                                    if(*(cache_1+4) > cb)
                                                        if(*(cache_0 + pixel[0]) > cb)
                                                            goto success;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                if(*(cache_0 + pixel[17]) > cb)
                                                    if(*(cache_1+4) > cb)
                                                        if(*(cache_0 + pixel[0]) > cb)
                                                            if(*(cache_0+3) > cb)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                        else if(*(cache_0 + pixel[7]) < c_b)
                                            if(*(cache_0 + pixel[15]) > cb)
                                                if(*(cache_1+4) > cb)
                                                    goto success;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            if(*(cache_0 + pixel[15]) > cb)
                                                if(*(cache_1+4) > cb)
                                                    if(*(cache_0 + pixel[17]) > cb)
                                                        if(*(cache_0+3) > cb)
                                                            if(*(cache_0 + pixel[16]) > cb)
                                                                if(*(cache_0 + pixel[0]) > cb)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                    else
                                        continue;
                                else
                                    continue;
                            else if(*(cache_0 + pixel[8]) < c_b)
                                if(*(cache_0 + pixel[15]) > cb)
                                    if(*(cache_0 + pixel[17]) > cb)
                                        if(*(cache_0 + pixel[4]) > cb)
                                            if(*(cache_0 + pixel[0]) > cb)
                                                if(*(cache_0 + pixel[16]) > cb)
                                                    goto success;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        continue;
                                else if(*(cache_0 + pixel[15]) < c_b)
                                    if(*(cache_0 + pixel[7]) > cb)
                                        if(*(cache_0 + pixel[16]) > cb)
                                            if(*(cache_1+4) > cb)
                                                if(*(cache_0 + pixel[0]) > cb)
                                                    if(*(cache_0+3) > cb)
                                                        if(*cache_2 > cb)
                                                            goto success;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        continue;
                                else
                                    if(*(cache_0 + pixel[7]) > cb)
                                        if(*(cache_0 + pixel[16]) > cb)
                                            if(*(cache_0 + pixel[0]) > cb)
                                                if(*(cache_0+3) > cb)
                                                    goto success;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        continue;
                            else
                                if(*(cache_0 + pixel[16]) > cb)
                                    if(*(cache_0 + pixel[7]) > cb)
                                        if(*(cache_0 + pixel[4]) > cb)
                                            if(*(cache_0 + pixel[0]) > cb)
                                                if(*cache_2 > cb)
                                                    if(*(cache_0+3) > cb)
                                                        if(*(cache_1+4) > cb)
                                                            if(*(cache_0 + pixel[17]) > cb)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else if(*(cache_0 + pixel[7]) < c_b)
                                        if(*(cache_0 + pixel[15]) > cb)
                                            if(*(cache_1+4) > cb)
                                                if(*(cache_0+3) > cb)
                                                    goto success;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        if(*(cache_0 + pixel[15]) > cb)
                                            if(*(cache_0 + pixel[4]) > cb)
                                                if(*(cache_0 + pixel[17]) > cb)
                                                    if(*cache_2 > cb)
                                                        if(*(cache_1+4) > cb)
                                                            if(*(cache_0+3) > cb)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                else
                                    continue;
                        else if(*(cache_0 + pixel[11]) < c_b)
                            if(*(cache_0 + pixel[16]) > cb)
                                if(*(cache_0 + pixel[7]) > cb)
                                    if(*(cache_0 + pixel[0]) > cb)
                                        if(*(cache_0 + pixel[4]) > cb)
                                            if(*(cache_1+4) > cb)
                                                if(*(cache_0+3) > cb)
                                                    if(*cache_2 > cb)
                                                        if(*(cache_0 + pixel[17]) > cb)
                                                            goto success;
                                                        else if(*(cache_0 + pixel[17]) < c_b)
                                                            if(*(cache_2+-4) > cb)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            if(*(cache_0 + pixel[9]) > cb)
                                                                if(*(cache_0 + pixel[8]) > cb)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else if(*(cache_0 + pixel[0]) < c_b)
                                        continue;
                                    else
                                        if(*(cache_2+-4) > cb)
                                            if(*(cache_1+4) > cb)
                                                if(*(cache_0+3) > cb)
                                                    if(*(cache_0 + pixel[17]) > cb)
                                                        if(*(cache_0 + pixel[9]) > cb)
                                                            goto success;
                                                        else
                                                            continue;
                                                    else if(*(cache_0 + pixel[17]) < c_b)
                                                        continue;
                                                    else
                                                        if(*(cache_0 + pixel[15]) > cb||*(cache_0 + pixel[15]) < c_b)
                                                            continue;
                                                        else
                                                            goto success;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                else if(*(cache_0 + pixel[7]) < c_b)
                                    if(*(cache_0 + pixel[15]) > cb)
                                        if(*(cache_0 + pixel[0]) > cb)
                                            if(*(cache_0 + pixel[4]) > cb)
                                                if(*(cache_0 + pixel[17]) > cb)
                                                    if(*(cache_0+3) > cb)
                                                        if(*(cache_1+4) > cb)
                                                            if(*cache_2 > cb)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        continue;
                                else
                                    if(*(cache_0 + pixel[15]) > cb)
                                        if(*(cache_0 + pixel[0]) > cb)
                                            if(*(cache_0 + pixel[4]) > cb)
                                                if(*cache_2 > cb)
                                                    if(*(cache_1+4) > cb)
                                                        if(*(cache_0 + pixel[17]) > cb)
                                                            if(*(cache_0+3) > cb)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        continue;
                            else if(*(cache_0 + pixel[16]) < c_b)
                                if(*(cache_0 + pixel[9]) > cb)
                                    if(*(cache_0 + pixel[0]) > cb)
                                        if(*(cache_0 + pixel[4]) > cb)
                                            if(*(cache_1+4) > cb)
                                                if(*(cache_0 + pixel[8]) > cb)
                                                    if(*(cache_0 + pixel[7]) > cb)
                                                        if(*(cache_0+3) > cb)
                                                            if(*cache_2 > cb)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else if(*(cache_0 + pixel[0]) < c_b)
                                        if(*(cache_2+-4) > cb)
                                            if(*(cache_1+4) > cb)
                                                if(*(cache_0 + pixel[8]) > cb)
                                                    if(*(cache_0+3) > cb)
                                                        if(*(cache_0 + pixel[4]) > cb)
                                                            if(*(cache_0 + pixel[7]) > cb)
                                                                if(*cache_2 > cb)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else if(*(cache_2+-4) < c_b)
                                            if(*(cache_1+4) < c_b)
                                                if(*(cache_0+-3) < c_b)
                                                    if(*(cache_0 + pixel[15]) < c_b)
                                                        if(*(cache_0 + pixel[13]) < c_b)
                                                            if(*(cache_0 + pixel[17]) < c_b)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        if(*(cache_2+-4) > cb)
                                            if(*(cache_1+4) > cb)
                                                if(*(cache_0 + pixel[4]) > cb)
                                                    if(*(cache_0 + pixel[7]) > cb)
                                                        if(*(cache_0+3) > cb)
                                                            if(*cache_2 > cb)
                                                                if(*(cache_0 + pixel[8]) > cb)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                else if(*(cache_0 + pixel[9]) < c_b)
                                    if(*(cache_0 + pixel[0]) > cb)
                                        if(*(cache_0 + pixel[7]) > cb)
                                            if(*(cache_0 + pixel[17]) > cb)
                                                if(*(cache_0 + pixel[8]) > cb)
                                                    if(*(cache_0 + pixel[4]) > cb)
                                                        if(*(cache_1+4) > cb)
                                                            if(*cache_2 > cb)
                                                                if(*(cache_0+3) > cb)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else if(*(cache_0 + pixel[17]) < c_b)
                                                if(*(cache_0 + pixel[8]) < c_b)
                                                    if(*(cache_0 + pixel[15]) < c_b)
                                                        if(*(cache_0+-3) < c_b)
                                                            if(*(cache_2+-4) < c_b)
                                                                if(*(cache_0 + pixel[13]) < c_b)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else if(*(cache_0 + pixel[7]) < c_b)
                                            if(*(cache_0 + pixel[15]) < c_b)
                                                if(*(cache_0+-3) < c_b)
                                                    if(*(cache_2+-4) < c_b)
                                                        if(*(cache_0 + pixel[8]) < c_b)
                                                            if(*(cache_0 + pixel[13]) < c_b)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            if(*(cache_0 + pixel[17]) < c_b)
                                                if(*(cache_0 + pixel[8]) < c_b)
                                                    if(*(cache_0 + pixel[15]) < c_b)
                                                        if(*(cache_0+-3) < c_b)
                                                            if(*(cache_2+-4) < c_b)
                                                                if(*(cache_0 + pixel[13]) < c_b)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                    else if(*(cache_0 + pixel[0]) < c_b)
                                        if(*(cache_2+-4) < c_b)
                                            if(*(cache_0 + pixel[15]) < c_b)
                                                if(*(cache_0+-3) < c_b)
                                                    if(*(cache_0 + pixel[17]) > cb)
                                                        if(*(cache_0 + pixel[7]) < c_b)
                                                            goto success;
                                                        else
                                                            continue;
                                                    else if(*(cache_0 + pixel[17]) < c_b)
                                                        if(*(cache_0 + pixel[13]) < c_b)
                                                            goto success;
                                                        else
                                                            continue;
                                                    else
                                                        if(*(cache_0 + pixel[7]) < c_b)
                                                            if(*(cache_0 + pixel[8]) < c_b)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        if(*(cache_0 + pixel[8]) < c_b)
                                            if(*(cache_0 + pixel[17]) > cb)
                                                if(*(cache_0 + pixel[7]) < c_b)
                                                    if(*(cache_1+4) > cb)
                                                        if(*(cache_0+-3) < c_b)
                                                            if(*(cache_0 + pixel[15]) < c_b)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else if(*(cache_1+4) < c_b)
                                                        continue;
                                                    else
                                                        goto success;
                                                else
                                                    continue;
                                            else if(*(cache_0 + pixel[17]) < c_b)
                                                if(*(cache_0+-3) < c_b)
                                                    if(*(cache_0 + pixel[15]) < c_b)
                                                        if(*(cache_2+-4) < c_b)
                                                            if(*(cache_0 + pixel[13]) < c_b)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                if(*(cache_0 + pixel[7]) < c_b)
                                                    if(*(cache_0 + pixel[15]) < c_b)
                                                        if(*(cache_0 + pixel[13]) < c_b)
                                                            if(*(cache_0+-3) < c_b)
                                                                if(*(cache_2+-4) < c_b)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                        else
                                            continue;
                                else
                                    if(*(cache_1+4) > cb)
                                        if(*(cache_0 + pixel[17]) > cb)
                                            if(*(cache_0 + pixel[8]) > cb)
                                                if(*(cache_0 + pixel[4]) > cb)
                                                    if(*(cache_0 + pixel[0]) > cb)
                                                        if(*(cache_0+3) > cb)
                                                            if(*cache_2 > cb)
                                                                if(*(cache_0 + pixel[7]) > cb)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else if(*(cache_1+4) < c_b)
                                        if(*(cache_2+-4) < c_b)
                                            if(*(cache_0 + pixel[17]) < c_b)
                                                if(*(cache_0 + pixel[15]) < c_b)
                                                    if(*(cache_0+-3) < c_b)
                                                        if(*(cache_0 + pixel[0]) < c_b)
                                                            if(*(cache_0 + pixel[13]) < c_b)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        continue;
                            else
                                if(*(cache_0 + pixel[8]) > cb)
                                    if(*(cache_0 + pixel[0]) > cb)
                                        if(*(cache_0 + pixel[4]) > cb)
                                            if(*(cache_0 + pixel[17]) > cb)
                                                if(*(cache_1+4) > cb)
                                                    if(*cache_2 > cb)
                                                        if(*(cache_0 + pixel[7]) > cb)
                                                            if(*(cache_0+3) > cb)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else if(*(cache_0 + pixel[17]) < c_b)
                                                if(*(cache_0 + pixel[9]) > cb)
                                                    if(*(cache_0+3) > cb)
                                                        goto success;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                if(*(cache_0 + pixel[9]) > cb)
                                                    if(*(cache_1+4) > cb)
                                                        if(*cache_2 > cb)
                                                            if(*(cache_0+3) > cb)
                                                                if(*(cache_0 + pixel[7]) > cb)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                        else
                                            continue;
                                    else if(*(cache_0 + pixel[0]) < c_b)
                                        if(*(cache_1+4) > cb)
                                            if(*(cache_2+-4) > cb)
                                                if(*(cache_0 + pixel[4]) > cb)
                                                    if(*cache_2 > cb)
                                                        goto success;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        if(*(cache_2+-4) > cb)
                                            if(*(cache_1+4) > cb)
                                                if(*(cache_0 + pixel[4]) > cb)
                                                    if(*(cache_0 + pixel[7]) > cb)
                                                        if(*(cache_0 + pixel[9]) > cb)
                                                            if(*(cache_0+3) > cb)
                                                                if(*cache_2 > cb)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                else
                                    continue;
                        else
                            if(*(cache_1+4) > cb)
                                if(*(cache_0 + pixel[8]) > cb)
                                    if(*(cache_0 + pixel[4]) > cb)
                                        if(*(cache_0 + pixel[9]) > cb)
                                            if(*(cache_0 + pixel[0]) > cb)
                                                if(*(cache_0 + pixel[7]) > cb)
                                                    if(*cache_2 > cb)
                                                        if(*(cache_0+3) > cb)
                                                            goto success;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else if(*(cache_0 + pixel[7]) < c_b)
                                                    continue;
                                                else
                                                    if(*(cache_0 + pixel[15]) > cb)
                                                        if(*(cache_0 + pixel[16]) > cb)
                                                            if(*cache_2 > cb)
                                                                if(*(cache_0 + pixel[17]) > cb)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                            else if(*(cache_0 + pixel[0]) < c_b)
                                                if(*(cache_2+-4) > cb)
                                                    if(*(cache_0+3) > cb)
                                                        if(*(cache_0 + pixel[7]) > cb)
                                                            if(*cache_2 > cb)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                if(*(cache_2+-4) > cb)
                                                    if(*(cache_0 + pixel[7]) > cb)
                                                        if(*cache_2 > cb)
                                                            if(*(cache_0+3) > cb)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                        else if(*(cache_0 + pixel[9]) < c_b)
                                            if(*(cache_0 + pixel[17]) > cb)
                                                if(*cache_2 > cb)
                                                    if(*(cache_0 + pixel[7]) > cb)
                                                        if(*(cache_0 + pixel[0]) > cb)
                                                            if(*(cache_0+3) > cb)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            if(*(cache_0 + pixel[17]) > cb)
                                                if(*cache_2 > cb)
                                                    if(*(cache_0+3) > cb)
                                                        if(*(cache_0 + pixel[7]) > cb)
                                                            if(*(cache_0 + pixel[0]) > cb)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else if(*(cache_0 + pixel[7]) < c_b)
                                                            continue;
                                                        else
                                                            if(*(cache_0 + pixel[15]) > cb)
                                                                goto success;
                                                            else
                                                                continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                    else
                                        continue;
                                else if(*(cache_0 + pixel[8]) < c_b)
                                    if(*(cache_0 + pixel[15]) > cb)
                                        if(*cache_2 > cb)
                                            if(*(cache_0 + pixel[0]) > cb)
                                                if(*(cache_0+3) > cb)
                                                    if(*(cache_0 + pixel[17]) > cb)
                                                        if(*(cache_0 + pixel[4]) > cb)
                                                            if(*(cache_0 + pixel[16]) > cb)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else if(*(cache_0 + pixel[15]) < c_b)
                                        if(*(cache_0 + pixel[7]) > cb)
                                            if(*(cache_0 + pixel[16]) > cb)
                                                if(*(cache_0 + pixel[4]) > cb)
                                                    if(*(cache_0 + pixel[0]) > cb)
                                                        if(*cache_2 > cb)
                                                            goto success;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        if(*(cache_0 + pixel[7]) > cb)
                                            if(*(cache_0 + pixel[16]) > cb)
                                                if(*(cache_0 + pixel[0]) > cb)
                                                    if(*(cache_0+3) > cb)
                                                        if(*(cache_0 + pixel[4]) > cb)
                                                            if(*cache_2 > cb)
                                                                if(*(cache_0 + pixel[17]) > cb)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                else
                                    if(*(cache_0 + pixel[16]) > cb)
                                        if(*(cache_0 + pixel[7]) > cb)
                                            if(*(cache_0 + pixel[4]) > cb)
                                                if(*(cache_0 + pixel[0]) > cb)
                                                    if(*cache_2 > cb)
                                                        if(*(cache_0+3) > cb)
                                                            if(*(cache_0 + pixel[17]) > cb)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else if(*(cache_0 + pixel[7]) < c_b)
                                            if(*(cache_0 + pixel[15]) > cb)
                                                if(*(cache_0+3) > cb)
                                                    if(*(cache_0+-3) > cb)
                                                        continue;
                                                    else if(*(cache_0+-3) < c_b)
                                                        if(*(cache_0 + pixel[4]) > cb)
                                                            goto success;
                                                        else
                                                            continue;
                                                    else
                                                        goto success;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            if(*(cache_0 + pixel[15]) > cb)
                                                if(*(cache_0 + pixel[4]) > cb)
                                                    if(*cache_2 > cb)
                                                        if(*(cache_0 + pixel[0]) > cb)
                                                            if(*(cache_0+3) > cb)
                                                                if(*(cache_0 + pixel[17]) > cb)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                    else
                                        continue;
                            else
                                continue;
                    else if(*(cache_0 + pixel[6]) < c_b)
                        if(*(cache_2+-4) < c_b)
                            if(*(cache_0 + pixel[15]) > cb)
                                if(*cache_2 < c_b)
                                    if(*(cache_0+-3) < c_b)
                                        if(*(cache_0 + pixel[8]) < c_b)
                                            if(*(cache_0 + pixel[9]) < c_b)
                                                if(*(cache_0 + pixel[11]) < c_b)
                                                    if(*(cache_0 + pixel[7]) < c_b)
                                                        if(*(cache_0 + pixel[13]) > cb)
                                                            continue;
                                                        else if(*(cache_0 + pixel[13]) < c_b)
                                                            goto success;
                                                        else
                                                            if(*(cache_0+3) < c_b)
                                                                if(*(cache_0 + pixel[4]) < c_b)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        continue;
                                else
                                    continue;
                            else if(*(cache_0 + pixel[15]) < c_b)
                                if(*(cache_0+-3) < c_b)
                                    if(*(cache_0 + pixel[8]) > cb)
                                        if(*(cache_1+4) > cb)
                                            if(*(cache_0 + pixel[9]) < c_b)
                                                if(*(cache_0 + pixel[0]) < c_b)
                                                    if(*(cache_0 + pixel[11]) < c_b)
                                                        if(*(cache_0 + pixel[16]) < c_b)
                                                            goto success;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else if(*(cache_1+4) < c_b)
                                            if(*(cache_0 + pixel[17]) < c_b)
                                                if(*(cache_0 + pixel[11]) < c_b)
                                                    if(*(cache_0 + pixel[0]) < c_b)
                                                        if(*(cache_0 + pixel[13]) < c_b)
                                                            if(*(cache_0 + pixel[16]) < c_b)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            if(*(cache_0 + pixel[9]) < c_b)
                                                if(*(cache_0 + pixel[0]) < c_b)
                                                    if(*(cache_0 + pixel[16]) < c_b)
                                                        if(*(cache_0 + pixel[11]) < c_b)
                                                            goto success;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                    else if(*(cache_0 + pixel[8]) < c_b)
                                        if(*(cache_0 + pixel[11]) < c_b)
                                            if(*(cache_0 + pixel[9]) > cb)
                                                if(*(cache_1+4) < c_b)
                                                    if(*(cache_0 + pixel[17]) < c_b)
                                                        goto success;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else if(*(cache_0 + pixel[9]) < c_b)
                                                if(*(cache_0 + pixel[13]) > cb)
                                                    if(*(cache_0+3) < c_b)
                                                        if(*(cache_0 + pixel[4]) < c_b)
                                                            if(*cache_2 < c_b)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else if(*(cache_0 + pixel[13]) < c_b)
                                                    if(*(cache_0 + pixel[7]) < c_b)
                                                        goto success;
                                                    else
                                                        if(*(cache_0 + pixel[17]) < c_b)
                                                            if(*(cache_0 + pixel[16]) < c_b)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                else
                                                    if(*(cache_0+3) < c_b)
                                                        if(*(cache_0 + pixel[4]) < c_b)
                                                            if(*cache_2 < c_b)
                                                                if(*(cache_0 + pixel[7]) < c_b)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                            else
                                                if(*(cache_1+4) < c_b)
                                                    if(*(cache_0 + pixel[17]) < c_b)
                                                        if(*(cache_0 + pixel[13]) < c_b)
                                                            if(*(cache_0 + pixel[16]) < c_b)
                                                                if(*(cache_0 + pixel[0]) < c_b)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                        else
                                            continue;
                                    else
                                        if(*(cache_0 + pixel[0]) < c_b)
                                            if(*(cache_0 + pixel[9]) > cb)
                                                if(*(cache_1+4) < c_b)
                                                    if(*(cache_0 + pixel[11]) < c_b)
                                                        if(*(cache_0 + pixel[17]) < c_b)
                                                            goto success;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else if(*(cache_0 + pixel[9]) < c_b)
                                                if(*(cache_0 + pixel[16]) < c_b)
                                                    if(*(cache_0 + pixel[11]) < c_b)
                                                        if(*(cache_0 + pixel[17]) < c_b)
                                                            if(*(cache_0 + pixel[13]) < c_b)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                if(*(cache_1+4) < c_b)
                                                    if(*(cache_0 + pixel[11]) < c_b)
                                                        if(*(cache_0 + pixel[17]) < c_b)
                                                            if(*(cache_0 + pixel[13]) < c_b)
                                                                if(*(cache_0 + pixel[16]) < c_b)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                        else
                                            continue;
                                else
                                    continue;
                            else
                                if(*cache_2 < c_b)
                                    if(*(cache_0+-3) < c_b)
                                        if(*(cache_0 + pixel[8]) < c_b)
                                            if(*(cache_0 + pixel[11]) < c_b)
                                                if(*(cache_0 + pixel[7]) < c_b)
                                                    if(*(cache_0 + pixel[9]) < c_b)
                                                        if(*(cache_0 + pixel[13]) > cb)
                                                            if(*(cache_1+4) < c_b)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else if(*(cache_0 + pixel[13]) < c_b)
                                                            goto success;
                                                        else
                                                            if(*(cache_0+3) < c_b)
                                                                if(*(cache_0 + pixel[4]) < c_b)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        continue;
                                else
                                    continue;
                        else
                            continue;
                    else
                        if(*(cache_0 + pixel[16]) < c_b)
                            if(*(cache_0 + pixel[9]) > cb)
                                if(*(cache_2+-4) < c_b)
                                    if(*(cache_1+4) < c_b)
                                        if(*(cache_0 + pixel[13]) < c_b)
                                            if(*(cache_0 + pixel[0]) < c_b)
                                                if(*(cache_0 + pixel[11]) < c_b)
                                                    if(*(cache_0 + pixel[15]) < c_b)
                                                        if(*(cache_0+-3) < c_b)
                                                            goto success;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        continue;
                                else
                                    continue;
                            else if(*(cache_0 + pixel[9]) < c_b)
                                if(*(cache_0 + pixel[11]) < c_b)
                                    if(*(cache_0 + pixel[7]) > cb)
                                        if(*(cache_0 + pixel[0]) > cb)
                                            if(*(cache_0 + pixel[8]) < c_b)
                                                if(*(cache_0 + pixel[17]) < c_b)
                                                    if(*(cache_0 + pixel[15]) < c_b)
                                                        if(*(cache_0+-3) < c_b)
                                                            goto success;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else if(*(cache_0 + pixel[0]) < c_b)
                                            if(*(cache_2+-4) < c_b)
                                                if(*(cache_0+-3) < c_b)
                                                    if(*(cache_0 + pixel[15]) < c_b)
                                                        if(*(cache_0 + pixel[17]) < c_b)
                                                            if(*(cache_0 + pixel[13]) < c_b)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            if(*(cache_0 + pixel[8]) < c_b)
                                                if(*(cache_0 + pixel[17]) < c_b)
                                                    if(*(cache_0+-3) < c_b)
                                                        if(*(cache_0 + pixel[15]) < c_b)
                                                            if(*(cache_0 + pixel[13]) < c_b)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                    else if(*(cache_0 + pixel[7]) < c_b)
                                        if(*(cache_0 + pixel[15]) < c_b)
                                            if(*(cache_0+-3) < c_b)
                                                if(*(cache_2+-4) < c_b)
                                                    if(*(cache_0 + pixel[13]) < c_b)
                                                        if(*(cache_0 + pixel[8]) > cb)
                                                            if(*(cache_0 + pixel[0]) < c_b)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else if(*(cache_0 + pixel[8]) < c_b)
                                                            goto success;
                                                        else
                                                            if(*(cache_0 + pixel[0]) < c_b)
                                                                if(*(cache_0 + pixel[17]) < c_b)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        if(*(cache_0 + pixel[17]) < c_b)
                                            if(*(cache_0 + pixel[8]) > cb)
                                                if(*(cache_0 + pixel[0]) < c_b)
                                                    if(*(cache_2+-4) < c_b)
                                                        if(*(cache_0 + pixel[13]) < c_b)
                                                            if(*(cache_0 + pixel[15]) < c_b)
                                                                if(*(cache_0+-3) < c_b)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else if(*(cache_0 + pixel[8]) < c_b)
                                                if(*(cache_0 + pixel[15]) < c_b)
                                                    if(*(cache_2+-4) < c_b)
                                                        if(*(cache_0+-3) < c_b)
                                                            if(*(cache_0 + pixel[13]) < c_b)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                if(*(cache_0 + pixel[0]) < c_b)
                                                    if(*(cache_2+-4) < c_b)
                                                        if(*(cache_0 + pixel[15]) < c_b)
                                                            if(*(cache_0+-3) < c_b)
                                                                if(*(cache_0 + pixel[13]) < c_b)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                        else
                                            continue;
                                else
                                    continue;
                            else
                                if(*(cache_1+4) < c_b)
                                    if(*(cache_2+-4) < c_b)
                                        if(*(cache_0+-3) < c_b)
                                            if(*(cache_0 + pixel[0]) < c_b)
                                                if(*(cache_0 + pixel[11]) < c_b)
                                                    if(*(cache_0 + pixel[15]) < c_b)
                                                        if(*(cache_0 + pixel[13]) < c_b)
                                                            if(*(cache_0 + pixel[17]) < c_b)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        continue;
                                else
                                    continue;
                        else
                            continue;
                else if(*(cache_0 + pixel[2]) < c_b)
                    if(*(cache_0 + pixel[17]) > cb)
                        if(*(cache_0 + pixel[6]) > cb)
                            if(*(cache_0+-3) > cb)
                                if(*(cache_0+3) > cb)
                                    if(*(cache_2+-4) > cb)
                                        if(*(cache_0 + pixel[8]) > cb)
                                            if(*cache_2 > cb)
                                                if(*(cache_0 + pixel[11]) > cb)
                                                    if(*(cache_0 + pixel[9]) > cb)
                                                        if(*(cache_0 + pixel[4]) > cb)
                                                            if(*(cache_0 + pixel[7]) > cb)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        continue;
                                else if(*(cache_0+3) < c_b)
                                    if(*(cache_0 + pixel[13]) > cb)
                                        if(*(cache_0 + pixel[4]) > cb)
                                            if(*(cache_0 + pixel[8]) > cb)
                                                if(*(cache_2+-4) > cb)
                                                    if(*cache_2 > cb)
                                                        goto success;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        continue;
                                else
                                    if(*(cache_0 + pixel[13]) > cb)
                                        if(*(cache_2+-4) > cb)
                                            if(*(cache_0 + pixel[4]) > cb)
                                                if(*(cache_0 + pixel[8]) > cb)
                                                    if(*(cache_0 + pixel[11]) > cb)
                                                        if(*(cache_1+4) > cb)
                                                            continue;
                                                        else
                                                            goto success;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        continue;
                            else if(*(cache_0+-3) < c_b)
                                if(*(cache_0 + pixel[16]) < c_b)
                                    if(*(cache_0 + pixel[7]) < c_b)
                                        if(*(cache_2+-4) < c_b)
                                            if(*(cache_0 + pixel[9]) < c_b)
                                                if(*(cache_1+4) > cb||*(cache_1+4) < c_b)
                                                    if(*(cache_0+3) > cb)
                                                        continue;
                                                    else
                                                        goto success;
                                                else
                                                    if(*(cache_0 + pixel[0]) > cb)
                                                        if(*cache_2 < c_b)
                                                            if(*(cache_0 + pixel[15]) < c_b)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else if(*(cache_0 + pixel[0]) < c_b)
                                                        goto success;
                                                    else
                                                        continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        continue;
                                else
                                    continue;
                            else
                                continue;
                        else if(*(cache_0 + pixel[6]) < c_b)
                            if(*(cache_2+-4) > cb)
                                if(*(cache_0 + pixel[0]) < c_b)
                                    if(*(cache_0 + pixel[9]) < c_b)
                                        if(*(cache_0+3) < c_b)
                                            if(*cache_2 < c_b)
                                                if(*(cache_0 + pixel[7]) < c_b)
                                                    if(*(cache_0 + pixel[8]) < c_b)
                                                        goto success;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        continue;
                                else
                                    continue;
                            else if(*(cache_2+-4) < c_b)
                                if(*(cache_0 + pixel[8]) < c_b)
                                    if(*(cache_0 + pixel[11]) > cb)
                                        if(*(cache_1+4) < c_b)
                                            if(*(cache_0+3) < c_b)
                                                if(*(cache_0 + pixel[4]) < c_b)
                                                    if(*(cache_0 + pixel[9]) < c_b)
                                                        if(*cache_2 < c_b)
                                                            goto success;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else if(*(cache_0 + pixel[11]) < c_b)
                                        if(*(cache_0 + pixel[7]) < c_b)
                                            if(*cache_2 < c_b)
                                                if(*(cache_0 + pixel[9]) < c_b)
                                                    if(*(cache_0+-3) < c_b)
                                                        if(*(cache_0 + pixel[13]) > cb||*(cache_0 + pixel[13]) < c_b)
                                                            goto success;
                                                        else
                                                            if(*(cache_0+3) < c_b)
                                                                if(*(cache_0 + pixel[4]) < c_b)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                    else
                                                        if(*(cache_0 + pixel[4]) < c_b)
                                                            if(*(cache_0+3) < c_b)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                else
                                                    continue;
                                            else
                                                if(*(cache_0 + pixel[15]) < c_b)
                                                    if(*(cache_0+-3) < c_b)
                                                        if(*(cache_0 + pixel[9]) < c_b)
                                                            if(*(cache_0 + pixel[13]) < c_b)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                        else
                                            continue;
                                    else
                                        if(*(cache_1+4) < c_b)
                                            if(*(cache_0 + pixel[4]) < c_b)
                                                if(*(cache_0+3) < c_b)
                                                    if(*cache_2 < c_b)
                                                        if(*(cache_0 + pixel[9]) < c_b)
                                                            if(*(cache_0 + pixel[7]) < c_b)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                else
                                    continue;
                            else
                                if(*(cache_0 + pixel[0]) < c_b)
                                    if(*(cache_0 + pixel[9]) < c_b)
                                        if(*(cache_0 + pixel[4]) < c_b)
                                            if(*(cache_0 + pixel[7]) < c_b)
                                                if(*(cache_1+4) < c_b)
                                                    if(*cache_2 < c_b)
                                                        if(*(cache_0+3) < c_b)
                                                            if(*(cache_0 + pixel[8]) < c_b)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        continue;
                                else
                                    continue;
                        else
                            if(*(cache_0 + pixel[16]) < c_b)
                                if(*(cache_0 + pixel[7]) < c_b)
                                    if(*(cache_0 + pixel[11]) < c_b)
                                        if(*(cache_0 + pixel[9]) < c_b)
                                            if(*(cache_0+-3) < c_b)
                                                if(*(cache_0 + pixel[15]) < c_b)
                                                    if(*(cache_0 + pixel[13]) < c_b)
                                                        if(*(cache_2+-4) < c_b)
                                                            if(*(cache_0 + pixel[8]) < c_b)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        continue;
                                else
                                    continue;
                            else
                                continue;
                    else if(*(cache_0 + pixel[17]) < c_b)
                        if(*(cache_0+-3) > cb)
                            if(*cache_2 > cb)
                                if(*(cache_0+3) > cb)
                                    if(*(cache_2+-4) > cb)
                                        if(*(cache_0 + pixel[7]) > cb)
                                            if(*(cache_0 + pixel[9]) > cb)
                                                if(*(cache_0 + pixel[4]) > cb)
                                                    if(*(cache_0 + pixel[11]) > cb)
                                                        if(*(cache_0 + pixel[6]) > cb)
                                                            if(*(cache_0 + pixel[8]) > cb)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        continue;
                                else if(*(cache_0+3) < c_b)
                                    if(*(cache_0 + pixel[13]) > cb)
                                        if(*(cache_0 + pixel[4]) > cb)
                                            if(*(cache_0 + pixel[9]) > cb)
                                                if(*(cache_0 + pixel[6]) > cb)
                                                    if(*(cache_0 + pixel[11]) > cb)
                                                        if(*(cache_0 + pixel[7]) > cb)
                                                            if(*(cache_2+-4) > cb)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else if(*(cache_0 + pixel[13]) < c_b)
                                        if(*(cache_0 + pixel[4]) < c_b)
                                            if(*(cache_0 + pixel[15]) < c_b)
                                                if(*(cache_1+4) < c_b)
                                                    if(*(cache_0 + pixel[0]) < c_b)
                                                        if(*(cache_0 + pixel[16]) < c_b)
                                                            goto success;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        continue;
                                else
                                    if(*(cache_0 + pixel[13]) > cb)
                                        if(*(cache_0 + pixel[4]) > cb)
                                            if(*(cache_0 + pixel[8]) > cb)
                                                if(*(cache_2+-4) > cb)
                                                    if(*(cache_0 + pixel[6]) > cb)
                                                        if(*(cache_0 + pixel[9]) > cb)
                                                            if(*(cache_0 + pixel[7]) > cb)
                                                                if(*(cache_0 + pixel[11]) > cb)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        continue;
                            else if(*cache_2 < c_b)
                                if(*(cache_1+4) > cb)
                                    if(*(cache_0 + pixel[11]) < c_b)
                                        if(*(cache_0 + pixel[4]) < c_b)
                                            if(*(cache_0 + pixel[7]) < c_b)
                                                if(*(cache_2+-4) < c_b)
                                                    if(*(cache_0 + pixel[8]) < c_b)
                                                        goto success;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        continue;
                                else if(*(cache_1+4) < c_b)
                                    if(*(cache_0+3) < c_b)
                                        if(*(cache_0 + pixel[15]) > cb)
                                            if(*(cache_0 + pixel[7]) < c_b)
                                                if(*(cache_0 + pixel[8]) > cb)
                                                    continue;
                                                else if(*(cache_0 + pixel[8]) < c_b)
                                                    if(*(cache_0 + pixel[0]) < c_b)
                                                        if(*(cache_0 + pixel[6]) < c_b)
                                                            if(*(cache_0 + pixel[4]) < c_b)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    if(*(cache_2+-4) > cb)
                                                        continue;
                                                    else if(*(cache_2+-4) < c_b)
                                                        if(*(cache_0 + pixel[13]) > cb)
                                                            goto success;
                                                        else
                                                            continue;
                                                    else
                                                        if(*(cache_0 + pixel[16]) < c_b)
                                                            goto success;
                                                        else
                                                            continue;
                                            else
                                                continue;
                                        else if(*(cache_0 + pixel[15]) < c_b)
                                            if(*(cache_0 + pixel[4]) < c_b)
                                                if(*(cache_0 + pixel[0]) > cb)
                                                    if(*(cache_2+-4) < c_b)
                                                        if(*(cache_0 + pixel[8]) < c_b)
                                                            goto success;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else if(*(cache_0 + pixel[0]) < c_b)
                                                    if(*(cache_0 + pixel[16]) > cb)
                                                        if(*(cache_0 + pixel[7]) < c_b)
                                                            if(*(cache_0 + pixel[8]) < c_b)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else if(*(cache_0 + pixel[16]) < c_b)
                                                        goto success;
                                                    else
                                                        if(*(cache_0 + pixel[8]) < c_b)
                                                            if(*(cache_0 + pixel[7]) < c_b)
                                                                if(*(cache_0 + pixel[6]) < c_b)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                else
                                                    if(*(cache_2+-4) < c_b)
                                                        if(*(cache_0 + pixel[7]) < c_b)
                                                            if(*(cache_0 + pixel[9]) < c_b)
                                                                if(*(cache_0 + pixel[6]) < c_b)
                                                                    if(*(cache_0 + pixel[8]) < c_b)
                                                                        goto success;
                                                                    else
                                                                        continue;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                            else
                                                continue;
                                        else
                                            if(*(cache_0 + pixel[7]) < c_b)
                                                if(*(cache_0 + pixel[6]) < c_b)
                                                    if(*(cache_0 + pixel[8]) > cb)
                                                        if(*(cache_0 + pixel[16]) < c_b)
                                                            goto success;
                                                        else
                                                            continue;
                                                    else if(*(cache_0 + pixel[8]) < c_b)
                                                        if(*(cache_0 + pixel[4]) < c_b)
                                                            if(*(cache_0 + pixel[0]) > cb)
                                                                continue;
                                                            else if(*(cache_0 + pixel[0]) < c_b)
                                                                goto success;
                                                            else
                                                                if(*(cache_2+-4) < c_b)
                                                                    if(*(cache_0 + pixel[9]) < c_b)
                                                                        goto success;
                                                                    else
                                                                        continue;
                                                                else
                                                                    continue;
                                                        else
                                                            continue;
                                                    else
                                                        if(*(cache_0 + pixel[16]) < c_b)
                                                            if(*(cache_0 + pixel[0]) < c_b)
                                                                if(*(cache_0 + pixel[4]) < c_b)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                    else
                                        continue;
                                else
                                    if(*(cache_0 + pixel[11]) < c_b)
                                        if(*(cache_0 + pixel[8]) < c_b)
                                            if(*(cache_0+3) < c_b)
                                                if(*(cache_0 + pixel[6]) < c_b)
                                                    if(*(cache_0 + pixel[4]) < c_b)
                                                        if(*(cache_2+-4) < c_b)
                                                            if(*(cache_0 + pixel[9]) < c_b)
                                                                if(*(cache_0 + pixel[0]) > cb)
                                                                    continue;
                                                                else
                                                                    goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        continue;
                            else
                                if(*(cache_0 + pixel[13]) < c_b)
                                    if(*(cache_0 + pixel[4]) < c_b)
                                        if(*(cache_0 + pixel[15]) < c_b)
                                            if(*(cache_1+4) < c_b)
                                                if(*(cache_0+3) < c_b)
                                                    if(*(cache_0 + pixel[0]) < c_b)
                                                        if(*(cache_0 + pixel[16]) < c_b)
                                                            goto success;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        continue;
                                else
                                    continue;
                        else if(*(cache_0+-3) < c_b)
                            if(*(cache_0 + pixel[15]) > cb)
                                if(*cache_2 < c_b)
                                    if(*(cache_0 + pixel[7]) < c_b)
                                        if(*(cache_0 + pixel[6]) < c_b)
                                            if(*(cache_0 + pixel[8]) > cb)
                                                if(*(cache_0 + pixel[16]) < c_b)
                                                    if(*(cache_0+3) < c_b)
                                                        goto success;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else if(*(cache_0 + pixel[8]) < c_b)
                                                if(*(cache_2+-4) > cb)
                                                    if(*(cache_1+4) < c_b)
                                                        if(*(cache_0 + pixel[0]) < c_b)
                                                            goto success;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else if(*(cache_2+-4) < c_b)
                                                    if(*(cache_0 + pixel[11]) > cb)
                                                        if(*(cache_1+4) < c_b)
                                                            goto success;
                                                        else
                                                            continue;
                                                    else if(*(cache_0 + pixel[11]) < c_b)
                                                        if(*(cache_0 + pixel[9]) > cb)
                                                            goto success;
                                                        else if(*(cache_0 + pixel[9]) < c_b)
                                                            if(*(cache_0 + pixel[13]) > cb||*(cache_0 + pixel[13]) < c_b)
                                                                goto success;
                                                            else
                                                                if(*(cache_0+3) < c_b)
                                                                    if(*(cache_1+4) > cb)
                                                                        continue;
                                                                    else
                                                                        goto success;
                                                                else
                                                                    continue;
                                                        else
                                                            if(*(cache_0+3) < c_b)
                                                                if(*(cache_0 + pixel[4]) < c_b)
                                                                    if(*(cache_0 + pixel[0]) < c_b)
                                                                        goto success;
                                                                    else
                                                                        continue;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                    else
                                                        if(*(cache_1+4) < c_b)
                                                            if(*(cache_0+3) < c_b)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                else
                                                    if(*(cache_0+3) < c_b)
                                                        if(*(cache_1+4) < c_b)
                                                            if(*(cache_0 + pixel[4]) < c_b)
                                                                if(*(cache_0 + pixel[0]) < c_b)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                            else
                                                if(*(cache_0 + pixel[16]) < c_b)
                                                    if(*(cache_1+4) < c_b)
                                                        if(*(cache_0+3) < c_b)
                                                            if(*(cache_0 + pixel[0]) < c_b)
                                                                if(*(cache_0 + pixel[4]) < c_b)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                        else
                                            continue;
                                    else
                                        continue;
                                else
                                    continue;
                            else if(*(cache_0 + pixel[15]) < c_b)
                                if(*(cache_1+4) > cb)
                                    if(*(cache_0 + pixel[11]) < c_b)
                                        if(*(cache_0 + pixel[9]) < c_b)
                                            if(*(cache_2+-4) < c_b)
                                                if(*(cache_0 + pixel[8]) > cb)
                                                    if(*(cache_0 + pixel[0]) < c_b)
                                                        goto success;
                                                    else
                                                        continue;
                                                else if(*(cache_0 + pixel[8]) < c_b)
                                                    if(*(cache_0 + pixel[13]) > cb)
                                                        if(*(cache_0 + pixel[0]) < c_b)
                                                            goto success;
                                                        else
                                                            continue;
                                                    else if(*(cache_0 + pixel[13]) < c_b)
                                                        if(*(cache_0 + pixel[16]) > cb)
                                                            if(*cache_2 > cb)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else if(*(cache_0 + pixel[16]) < c_b)
                                                            goto success;
                                                        else
                                                            if(*(cache_0 + pixel[6]) < c_b)
                                                                if(*(cache_0 + pixel[7]) < c_b)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                    else
                                                        if(*cache_2 < c_b)
                                                            if(*(cache_0 + pixel[6]) < c_b)
                                                                if(*(cache_0 + pixel[4]) < c_b)
                                                                    if(*(cache_0 + pixel[7]) < c_b)
                                                                        goto success;
                                                                    else
                                                                        continue;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                else
                                                    if(*(cache_0 + pixel[0]) < c_b)
                                                        if(*(cache_0 + pixel[13]) < c_b)
                                                            if(*(cache_0 + pixel[16]) < c_b)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        continue;
                                else if(*(cache_1+4) < c_b)
                                    if(*(cache_0 + pixel[16]) > cb)
                                        if(*(cache_0 + pixel[6]) < c_b)
                                            if(*(cache_0 + pixel[8]) < c_b)
                                                if(*(cache_0 + pixel[7]) < c_b)
                                                    if(*(cache_2+-4) > cb)
                                                        if(*(cache_0 + pixel[0]) < c_b)
                                                            goto success;
                                                        else
                                                            continue;
                                                    else if(*(cache_2+-4) < c_b)
                                                        if(*(cache_0+3) > cb||*(cache_0+3) < c_b)
                                                            goto success;
                                                        else
                                                            if(*(cache_0 + pixel[9]) < c_b)
                                                                if(*(cache_0 + pixel[13]) < c_b)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                    else
                                                        if(*cache_2 < c_b)
                                                            if(*(cache_0+3) < c_b)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else if(*(cache_0 + pixel[16]) < c_b)
                                        if(*(cache_0+3) > cb)
                                            if(*(cache_0 + pixel[11]) < c_b)
                                                if(*(cache_0 + pixel[13]) < c_b)
                                                    if(*(cache_0 + pixel[0]) > cb)
                                                        if(*(cache_0 + pixel[7]) < c_b)
                                                            goto success;
                                                        else
                                                            continue;
                                                    else if(*(cache_0 + pixel[0]) < c_b)
                                                        goto success;
                                                    else
                                                        if(*(cache_0 + pixel[8]) < c_b)
                                                            if(*(cache_0 + pixel[9]) < c_b)
                                                                if(*(cache_2+-4) < c_b)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else if(*(cache_0+3) < c_b)
                                            if(*(cache_0 + pixel[0]) > cb)
                                                if(*(cache_2+-4) < c_b)
                                                    if(*(cache_0 + pixel[8]) < c_b)
                                                        if(*(cache_0 + pixel[9]) < c_b)
                                                            if(*cache_2 > cb)
                                                                if(*(cache_0 + pixel[4]) > cb)
                                                                    continue;
                                                                else
                                                                    goto success;
                                                            else if(*cache_2 < c_b)
                                                                goto success;
                                                            else
                                                                if(*(cache_0 + pixel[11]) < c_b)
                                                                    if(*(cache_0 + pixel[13]) < c_b)
                                                                        goto success;
                                                                    else
                                                                        continue;
                                                                else
                                                                    continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else if(*(cache_0 + pixel[0]) < c_b)
                                                if(*(cache_0 + pixel[13]) < c_b)
                                                    goto success;
                                                else
                                                    if(*cache_2 < c_b)
                                                        if(*(cache_0 + pixel[4]) < c_b)
                                                            goto success;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                            else
                                                if(*(cache_0 + pixel[9]) < c_b)
                                                    if(*(cache_0 + pixel[8]) < c_b)
                                                        if(*(cache_2+-4) < c_b)
                                                            if(*(cache_0 + pixel[13]) > cb)
                                                                if(*cache_2 < c_b)
                                                                    if(*(cache_0 + pixel[6]) < c_b)
                                                                        goto success;
                                                                    else
                                                                        continue;
                                                                else
                                                                    continue;
                                                            else if(*(cache_0 + pixel[13]) < c_b)
                                                                if(*(cache_0 + pixel[11]) > cb)
                                                                    if(*cache_2 < c_b)
                                                                        if(*(cache_0 + pixel[4]) < c_b)
                                                                            goto success;
                                                                        else
                                                                            continue;
                                                                    else
                                                                        continue;
                                                                else if(*(cache_0 + pixel[11]) < c_b)
                                                                    goto success;
                                                                else
                                                                    if(*cache_2 < c_b)
                                                                        if(*(cache_0 + pixel[6]) < c_b)
                                                                            if(*(cache_0 + pixel[4]) < c_b)
                                                                                if(*(cache_0 + pixel[7]) < c_b)
                                                                                    goto success;
                                                                                else
                                                                                    continue;
                                                                            else
                                                                                continue;
                                                                        else
                                                                            continue;
                                                                    else
                                                                        continue;
                                                            else
                                                                if(*cache_2 < c_b)
                                                                    if(*(cache_0 + pixel[4]) < c_b)
                                                                        if(*(cache_0 + pixel[7]) < c_b)
                                                                            if(*(cache_0 + pixel[6]) < c_b)
                                                                                goto success;
                                                                            else
                                                                                continue;
                                                                        else
                                                                            continue;
                                                                    else
                                                                        continue;
                                                                else
                                                                    continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                        else
                                            if(*(cache_0 + pixel[11]) < c_b)
                                                if(*(cache_0 + pixel[13]) < c_b)
                                                    if(*(cache_0 + pixel[0]) < c_b)
                                                        goto success;
                                                    else
                                                        if(*(cache_0 + pixel[8]) < c_b)
                                                            if(*(cache_2+-4) < c_b)
                                                                if(*(cache_0 + pixel[9]) < c_b)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                    else
                                        if(*(cache_0 + pixel[7]) < c_b)
                                            if(*(cache_0 + pixel[6]) < c_b)
                                                if(*(cache_0 + pixel[8]) < c_b)
                                                    if(*(cache_0 + pixel[4]) > cb)
                                                        if(*(cache_2+-4) < c_b)
                                                            if(*(cache_0 + pixel[11]) < c_b)
                                                                if(*(cache_0 + pixel[9]) < c_b)
                                                                    if(*(cache_0 + pixel[13]) < c_b)
                                                                        goto success;
                                                                    else
                                                                        continue;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else if(*(cache_0 + pixel[4]) < c_b)
                                                        if(*cache_2 > cb)
                                                            if(*(cache_2+-4) < c_b)
                                                                if(*(cache_0 + pixel[9]) < c_b)
                                                                    if(*(cache_0 + pixel[13]) < c_b)
                                                                        goto success;
                                                                    else
                                                                        continue;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else if(*cache_2 < c_b)
                                                            if(*(cache_0 + pixel[0]) > cb)
                                                                if(*(cache_0 + pixel[9]) < c_b)
                                                                    if(*(cache_2+-4) < c_b)
                                                                        goto success;
                                                                    else
                                                                        continue;
                                                                else
                                                                    continue;
                                                            else if(*(cache_0 + pixel[0]) < c_b)
                                                                if(*(cache_0+3) > cb)
                                                                    if(*(cache_2+-4) < c_b)
                                                                        goto success;
                                                                    else
                                                                        continue;
                                                                else if(*(cache_0+3) < c_b)
                                                                    goto success;
                                                                else
                                                                    if(*(cache_2+-4) < c_b)
                                                                        if(*(cache_0 + pixel[13]) < c_b)
                                                                            if(*(cache_0 + pixel[11]) < c_b)
                                                                                if(*(cache_0 + pixel[9]) < c_b)
                                                                                    goto success;
                                                                                else
                                                                                    continue;
                                                                            else
                                                                                continue;
                                                                        else
                                                                            continue;
                                                                    else
                                                                        continue;
                                                            else
                                                                if(*(cache_2+-4) < c_b)
                                                                    if(*(cache_0 + pixel[9]) < c_b)
                                                                        if(*(cache_0+3) > cb)
                                                                            continue;
                                                                        else if(*(cache_0+3) < c_b)
                                                                            goto success;
                                                                        else
                                                                            if(*(cache_0 + pixel[13]) < c_b)
                                                                                if(*(cache_0 + pixel[11]) < c_b)
                                                                                    goto success;
                                                                                else
                                                                                    continue;
                                                                            else
                                                                                continue;
                                                                    else
                                                                        continue;
                                                                else
                                                                    continue;
                                                        else
                                                            if(*(cache_2+-4) < c_b)
                                                                if(*(cache_0 + pixel[9]) < c_b)
                                                                    if(*(cache_0 + pixel[13]) < c_b)
                                                                        if(*(cache_0 + pixel[11]) < c_b)
                                                                            goto success;
                                                                        else
                                                                            continue;
                                                                    else
                                                                        continue;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                    else
                                                        if(*(cache_2+-4) < c_b)
                                                            if(*(cache_0 + pixel[13]) < c_b)
                                                                if(*(cache_0 + pixel[9]) < c_b)
                                                                    if(*(cache_0 + pixel[11]) < c_b)
                                                                        goto success;
                                                                    else
                                                                        continue;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                else
                                    if(*(cache_2+-4) < c_b)
                                        if(*(cache_0 + pixel[11]) < c_b)
                                            if(*(cache_0 + pixel[9]) < c_b)
                                                if(*(cache_0 + pixel[8]) < c_b)
                                                    if(*(cache_0 + pixel[13]) > cb)
                                                        if(*(cache_0 + pixel[4]) < c_b)
                                                            if(*(cache_0 + pixel[6]) < c_b)
                                                                if(*(cache_0+3) < c_b)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else if(*(cache_0 + pixel[13]) < c_b)
                                                        if(*(cache_0 + pixel[16]) > cb)
                                                            if(*(cache_0 + pixel[6]) < c_b)
                                                                if(*(cache_0+3) < c_b)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else if(*(cache_0 + pixel[16]) < c_b)
                                                            goto success;
                                                        else
                                                            if(*(cache_0 + pixel[6]) < c_b)
                                                                if(*(cache_0 + pixel[7]) < c_b)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                    else
                                                        if(*cache_2 < c_b)
                                                            if(*(cache_0 + pixel[4]) < c_b)
                                                                if(*(cache_0 + pixel[7]) < c_b)
                                                                    if(*(cache_0+3) < c_b)
                                                                        if(*(cache_0 + pixel[6]) < c_b)
                                                                            goto success;
                                                                        else
                                                                            continue;
                                                                    else
                                                                        continue;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                else
                                                    if(*(cache_0 + pixel[0]) < c_b)
                                                        if(*(cache_0 + pixel[16]) < c_b)
                                                            if(*(cache_0 + pixel[13]) < c_b)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        continue;
                            else
                                if(*(cache_0 + pixel[6]) < c_b)
                                    if(*(cache_0 + pixel[7]) < c_b)
                                        if(*cache_2 < c_b)
                                            if(*(cache_0 + pixel[8]) > cb)
                                                if(*(cache_0 + pixel[16]) < c_b)
                                                    if(*(cache_0 + pixel[0]) < c_b)
                                                        if(*(cache_0+3) < c_b)
                                                            if(*(cache_0 + pixel[4]) < c_b)
                                                                if(*(cache_1+4) < c_b)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else if(*(cache_0 + pixel[8]) < c_b)
                                                if(*(cache_1+4) > cb)
                                                    if(*(cache_0 + pixel[11]) < c_b)
                                                        if(*(cache_0 + pixel[9]) < c_b)
                                                            if(*(cache_2+-4) < c_b)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else if(*(cache_1+4) < c_b)
                                                    if(*(cache_0+3) > cb)
                                                        if(*(cache_0 + pixel[11]) < c_b)
                                                            if(*(cache_0 + pixel[9]) < c_b)
                                                                if(*(cache_2+-4) < c_b)
                                                                    if(*(cache_0 + pixel[13]) < c_b)
                                                                        goto success;
                                                                    else
                                                                        continue;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else if(*(cache_0+3) < c_b)
                                                        if(*(cache_0 + pixel[4]) > cb)
                                                            if(*(cache_2+-4) < c_b)
                                                                if(*(cache_0 + pixel[11]) < c_b)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else if(*(cache_0 + pixel[4]) < c_b)
                                                            if(*(cache_0 + pixel[0]) > cb)
                                                                if(*(cache_0 + pixel[9]) < c_b)
                                                                    if(*(cache_2+-4) < c_b)
                                                                        goto success;
                                                                    else
                                                                        continue;
                                                                else
                                                                    continue;
                                                            else if(*(cache_0 + pixel[0]) < c_b)
                                                                goto success;
                                                            else
                                                                if(*(cache_2+-4) < c_b)
                                                                    if(*(cache_0 + pixel[9]) < c_b)
                                                                        goto success;
                                                                    else
                                                                        continue;
                                                                else
                                                                    continue;
                                                        else
                                                            if(*(cache_2+-4) < c_b)
                                                                if(*(cache_0 + pixel[13]) < c_b)
                                                                    if(*(cache_0 + pixel[9]) < c_b)
                                                                        if(*(cache_0 + pixel[11]) < c_b)
                                                                            goto success;
                                                                        else
                                                                            continue;
                                                                    else
                                                                        continue;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                    else
                                                        if(*(cache_2+-4) < c_b)
                                                            if(*(cache_0 + pixel[11]) < c_b)
                                                                if(*(cache_0 + pixel[9]) < c_b)
                                                                    if(*(cache_0 + pixel[13]) < c_b)
                                                                        goto success;
                                                                    else
                                                                        continue;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                else
                                                    if(*(cache_0 + pixel[11]) < c_b)
                                                        if(*(cache_2+-4) < c_b)
                                                            if(*(cache_0 + pixel[9]) < c_b)
                                                                if(*(cache_0 + pixel[13]) > cb)
                                                                    continue;
                                                                else if(*(cache_0 + pixel[13]) < c_b)
                                                                    goto success;
                                                                else
                                                                    if(*(cache_0+3) < c_b)
                                                                        if(*(cache_0 + pixel[4]) < c_b)
                                                                            goto success;
                                                                        else
                                                                            continue;
                                                                    else
                                                                        continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                            else
                                                if(*(cache_0 + pixel[16]) < c_b)
                                                    if(*(cache_1+4) < c_b)
                                                        if(*(cache_0 + pixel[4]) < c_b)
                                                            if(*(cache_0 + pixel[0]) < c_b)
                                                                if(*(cache_0+3) < c_b)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                        else
                                            continue;
                                    else
                                        continue;
                                else
                                    continue;
                        else
                            if(*(cache_0 + pixel[4]) < c_b)
                                if(*(cache_1+4) > cb)
                                    if(*(cache_0 + pixel[11]) < c_b)
                                        if(*(cache_0 + pixel[7]) < c_b)
                                            if(*(cache_0 + pixel[9]) < c_b)
                                                if(*(cache_0 + pixel[6]) < c_b)
                                                    if(*(cache_0 + pixel[8]) < c_b)
                                                        if(*(cache_2+-4) < c_b)
                                                            if(*(cache_0+3) < c_b)
                                                                if(*cache_2 < c_b)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        continue;
                                else if(*(cache_1+4) < c_b)
                                    if(*cache_2 > cb)
                                        if(*(cache_0 + pixel[13]) < c_b)
                                            if(*(cache_0 + pixel[15]) < c_b)
                                                if(*(cache_0+3) < c_b)
                                                    if(*(cache_0 + pixel[16]) < c_b)
                                                        if(*(cache_0 + pixel[0]) < c_b)
                                                            goto success;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else if(*cache_2 < c_b)
                                        if(*(cache_0+3) < c_b)
                                            if(*(cache_0 + pixel[16]) > cb)
                                                if(*(cache_0 + pixel[8]) < c_b)
                                                    if(*(cache_0 + pixel[6]) < c_b)
                                                        if(*(cache_0 + pixel[7]) < c_b)
                                                            if(*(cache_0 + pixel[0]) > cb)
                                                                continue;
                                                            else if(*(cache_0 + pixel[0]) < c_b)
                                                                goto success;
                                                            else
                                                                if(*(cache_2+-4) < c_b)
                                                                    if(*(cache_0 + pixel[9]) < c_b)
                                                                        goto success;
                                                                    else
                                                                        continue;
                                                                else
                                                                    continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else if(*(cache_0 + pixel[16]) < c_b)
                                                if(*(cache_0 + pixel[0]) > cb)
                                                    if(*(cache_2+-4) < c_b)
                                                        if(*(cache_0 + pixel[8]) < c_b)
                                                            if(*(cache_0 + pixel[9]) < c_b)
                                                                if(*(cache_0 + pixel[6]) < c_b)
                                                                    if(*(cache_0 + pixel[7]) < c_b)
                                                                        goto success;
                                                                    else
                                                                        continue;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else if(*(cache_0 + pixel[0]) < c_b)
                                                    if(*(cache_0 + pixel[15]) < c_b)
                                                        goto success;
                                                    else
                                                        if(*(cache_0 + pixel[7]) < c_b)
                                                            if(*(cache_0 + pixel[6]) < c_b)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                else
                                                    if(*(cache_2+-4) < c_b)
                                                        if(*(cache_0 + pixel[7]) < c_b)
                                                            if(*(cache_0 + pixel[9]) < c_b)
                                                                if(*(cache_0 + pixel[6]) < c_b)
                                                                    if(*(cache_0 + pixel[8]) < c_b)
                                                                        goto success;
                                                                    else
                                                                        continue;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                            else
                                                if(*(cache_0 + pixel[7]) < c_b)
                                                    if(*(cache_0 + pixel[8]) < c_b)
                                                        if(*(cache_0 + pixel[6]) < c_b)
                                                            if(*(cache_0 + pixel[0]) > cb)
                                                                if(*(cache_0 + pixel[9]) < c_b)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else if(*(cache_0 + pixel[0]) < c_b)
                                                                goto success;
                                                            else
                                                                if(*(cache_2+-4) < c_b)
                                                                    if(*(cache_0 + pixel[9]) < c_b)
                                                                        goto success;
                                                                    else
                                                                        continue;
                                                                else
                                                                    continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                        else
                                            continue;
                                    else
                                        if(*(cache_0 + pixel[13]) < c_b)
                                            if(*(cache_0 + pixel[15]) < c_b)
                                                if(*(cache_0 + pixel[16]) < c_b)
                                                    if(*(cache_0+3) < c_b)
                                                        if(*(cache_0 + pixel[0]) < c_b)
                                                            goto success;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                else
                                    if(*(cache_0 + pixel[11]) < c_b)
                                        if(*(cache_0 + pixel[8]) < c_b)
                                            if(*(cache_0 + pixel[6]) < c_b)
                                                if(*(cache_2+-4) < c_b)
                                                    if(*(cache_0 + pixel[9]) < c_b)
                                                        if(*(cache_0+3) < c_b)
                                                            if(*(cache_0 + pixel[7]) < c_b)
                                                                if(*cache_2 < c_b)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        continue;
                            else
                                continue;
                    else
                        if(*(cache_0 + pixel[7]) > cb)
                            if(*(cache_0+-3) > cb)
                                if(*(cache_0+3) > cb)
                                    if(*(cache_2+-4) > cb)
                                        if(*cache_2 > cb)
                                            if(*(cache_0 + pixel[8]) > cb)
                                                if(*(cache_0 + pixel[11]) > cb)
                                                    if(*(cache_0 + pixel[6]) > cb)
                                                        if(*(cache_0 + pixel[9]) > cb)
                                                            if(*(cache_0 + pixel[4]) > cb)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        continue;
                                else if(*(cache_0+3) < c_b)
                                    if(*(cache_0 + pixel[4]) > cb)
                                        if(*(cache_0 + pixel[13]) > cb)
                                            if(*(cache_2+-4) > cb)
                                                if(*(cache_0 + pixel[6]) > cb)
                                                    if(*cache_2 > cb)
                                                        if(*(cache_0 + pixel[8]) > cb)
                                                            goto success;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        continue;
                                else
                                    if(*(cache_0 + pixel[13]) > cb)
                                        if(*(cache_0 + pixel[4]) > cb)
                                            if(*(cache_2+-4) > cb)
                                                if(*cache_2 > cb)
                                                    if(*(cache_0 + pixel[8]) > cb)
                                                        if(*(cache_0 + pixel[11]) > cb)
                                                            if(*(cache_0 + pixel[9]) > cb)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        continue;
                            else
                                continue;
                        else if(*(cache_0 + pixel[7]) < c_b)
                            if(*(cache_0 + pixel[9]) < c_b)
                                if(*(cache_0 + pixel[6]) > cb)
                                    if(*(cache_0 + pixel[16]) < c_b)
                                        if(*(cache_0 + pixel[11]) < c_b)
                                            if(*(cache_0+-3) < c_b)
                                                if(*(cache_2+-4) < c_b)
                                                    if(*(cache_0 + pixel[13]) < c_b)
                                                        if(*(cache_0 + pixel[15]) < c_b)
                                                            if(*(cache_0 + pixel[8]) < c_b)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        continue;
                                else if(*(cache_0 + pixel[6]) < c_b)
                                    if(*(cache_0 + pixel[11]) > cb)
                                        if(*(cache_1+4) < c_b)
                                            if(*(cache_0 + pixel[0]) > cb)
                                                if(*(cache_2+-4) < c_b)
                                                    if(*cache_2 < c_b)
                                                        if(*(cache_0 + pixel[4]) < c_b)
                                                            goto success;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else if(*(cache_0 + pixel[0]) < c_b)
                                                if(*(cache_0 + pixel[4]) < c_b)
                                                    if(*cache_2 < c_b)
                                                        if(*(cache_0+3) < c_b)
                                                            if(*(cache_0 + pixel[8]) < c_b)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                if(*(cache_2+-4) < c_b)
                                                    if(*(cache_0 + pixel[4]) < c_b)
                                                        if(*(cache_0+3) < c_b)
                                                            if(*(cache_0 + pixel[8]) < c_b)
                                                                if(*cache_2 < c_b)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                        else
                                            continue;
                                    else if(*(cache_0 + pixel[11]) < c_b)
                                        if(*(cache_0 + pixel[8]) < c_b)
                                            if(*cache_2 < c_b)
                                                if(*(cache_2+-4) > cb)
                                                    if(*(cache_0 + pixel[0]) < c_b)
                                                        if(*(cache_0+3) < c_b)
                                                            if(*(cache_1+4) < c_b)
                                                                if(*(cache_0 + pixel[4]) < c_b)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else if(*(cache_2+-4) < c_b)
                                                    if(*(cache_0 + pixel[4]) > cb)
                                                        if(*(cache_0+-3) < c_b)
                                                            if(*(cache_0 + pixel[13]) < c_b)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else if(*(cache_0 + pixel[4]) < c_b)
                                                        if(*(cache_0+3) > cb)
                                                            if(*(cache_0 + pixel[13]) < c_b)
                                                                if(*(cache_0+-3) < c_b)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else if(*(cache_0+3) < c_b)
                                                            goto success;
                                                        else
                                                            if(*(cache_0+-3) < c_b)
                                                                if(*(cache_0 + pixel[13]) < c_b)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                    else
                                                        if(*(cache_0 + pixel[13]) < c_b)
                                                            if(*(cache_0+-3) < c_b)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                else
                                                    if(*(cache_0 + pixel[0]) < c_b)
                                                        if(*(cache_1+4) < c_b)
                                                            if(*(cache_0+3) < c_b)
                                                                if(*(cache_0 + pixel[4]) < c_b)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                            else
                                                if(*(cache_0 + pixel[15]) < c_b)
                                                    if(*(cache_0 + pixel[13]) < c_b)
                                                        if(*(cache_0+-3) < c_b)
                                                            if(*(cache_2+-4) < c_b)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                        else
                                            continue;
                                    else
                                        if(*(cache_1+4) < c_b)
                                            if(*(cache_0 + pixel[4]) < c_b)
                                                if(*(cache_0 + pixel[0]) > cb)
                                                    if(*(cache_2+-4) < c_b)
                                                        if(*(cache_0+3) < c_b)
                                                            if(*cache_2 < c_b)
                                                                if(*(cache_0 + pixel[8]) < c_b)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else if(*(cache_0 + pixel[0]) < c_b)
                                                    if(*(cache_0 + pixel[8]) < c_b)
                                                        if(*cache_2 < c_b)
                                                            if(*(cache_0+3) < c_b)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    if(*(cache_2+-4) < c_b)
                                                        if(*(cache_0+3) < c_b)
                                                            if(*(cache_0 + pixel[8]) < c_b)
                                                                if(*cache_2 < c_b)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                else
                                    if(*(cache_0 + pixel[16]) < c_b)
                                        if(*(cache_0 + pixel[11]) < c_b)
                                            if(*(cache_0 + pixel[13]) < c_b)
                                                if(*(cache_0 + pixel[15]) < c_b)
                                                    if(*(cache_2+-4) < c_b)
                                                        if(*(cache_0 + pixel[8]) < c_b)
                                                            if(*(cache_0+-3) < c_b)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        continue;
                            else
                                continue;
                        else
                            continue;
                else
                    if(*(cache_2+-4) > cb)
                        if(*(cache_0+-3) > cb)
                            if(*(cache_0+3) > cb)
                                if(*(cache_0 + pixel[6]) > cb)
                                    if(*(cache_0 + pixel[8]) > cb)
                                        if(*(cache_0 + pixel[4]) > cb)
                                            if(*(cache_0 + pixel[11]) > cb)
                                                if(*cache_2 > cb)
                                                    if(*(cache_0 + pixel[7]) > cb)
                                                        if(*(cache_0 + pixel[9]) > cb)
                                                            goto success;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        continue;
                                else
                                    continue;
                            else if(*(cache_0+3) < c_b)
                                if(*(cache_0 + pixel[4]) > cb)
                                    if(*(cache_0 + pixel[13]) > cb)
                                        if(*(cache_0 + pixel[6]) > cb)
                                            if(*(cache_0 + pixel[7]) > cb)
                                                if(*cache_2 > cb)
                                                    if(*(cache_0 + pixel[11]) > cb)
                                                        goto success;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        continue;
                                else
                                    continue;
                            else
                                if(*(cache_0 + pixel[13]) > cb)
                                    if(*(cache_0 + pixel[4]) > cb)
                                        if(*(cache_0 + pixel[6]) > cb)
                                            if(*(cache_0 + pixel[8]) > cb)
                                                if(*cache_2 > cb)
                                                    if(*(cache_0 + pixel[11]) > cb)
                                                        if(*(cache_0 + pixel[9]) > cb)
                                                            if(*(cache_0 + pixel[7]) > cb)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        continue;
                                else
                                    continue;
                        else
                            continue;
                    else if(*(cache_2+-4) < c_b)
                        if(*(cache_0 + pixel[17]) > cb)
                            if(*(cache_0 + pixel[6]) > cb)
                                if(*(cache_0 + pixel[16]) < c_b)
                                    if(*(cache_0 + pixel[7]) < c_b)
                                        if(*(cache_0+-3) < c_b)
                                            if(*(cache_0 + pixel[8]) < c_b)
                                                if(*(cache_0 + pixel[11]) < c_b)
                                                    if(*(cache_0 + pixel[9]) < c_b)
                                                        if(*(cache_0 + pixel[13]) < c_b)
                                                            goto success;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        continue;
                                else
                                    continue;
                            else if(*(cache_0 + pixel[6]) < c_b)
                                if(*(cache_0+-3) < c_b)
                                    if(*cache_2 > cb)
                                        if(*(cache_0 + pixel[15]) < c_b)
                                            if(*(cache_0 + pixel[7]) < c_b)
                                                if(*(cache_0 + pixel[9]) < c_b)
                                                    if(*(cache_0 + pixel[13]) < c_b)
                                                        if(*(cache_0 + pixel[11]) < c_b)
                                                            goto success;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else if(*cache_2 < c_b)
                                        if(*(cache_0 + pixel[8]) < c_b)
                                            if(*(cache_0 + pixel[11]) < c_b)
                                                if(*(cache_0 + pixel[7]) < c_b)
                                                    if(*(cache_0 + pixel[9]) < c_b)
                                                        if(*(cache_0 + pixel[13]) > cb)
                                                            if(*(cache_1+4) > cb)
                                                                if(*(cache_0 + pixel[0]) > cb)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else if(*(cache_1+4) < c_b)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else if(*(cache_0 + pixel[13]) < c_b)
                                                            goto success;
                                                        else
                                                            if(*(cache_0+3) < c_b)
                                                                if(*(cache_0 + pixel[4]) < c_b)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        if(*(cache_0 + pixel[15]) < c_b)
                                            if(*(cache_0 + pixel[7]) < c_b)
                                                if(*(cache_0 + pixel[8]) < c_b)
                                                    if(*(cache_0 + pixel[13]) < c_b)
                                                        if(*(cache_0 + pixel[9]) < c_b)
                                                            if(*(cache_0 + pixel[11]) < c_b)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                else
                                    continue;
                            else
                                if(*(cache_0 + pixel[16]) < c_b)
                                    if(*(cache_0 + pixel[7]) < c_b)
                                        if(*(cache_0+-3) < c_b)
                                            if(*(cache_0 + pixel[9]) < c_b)
                                                if(*(cache_0 + pixel[11]) < c_b)
                                                    if(*(cache_0 + pixel[15]) < c_b)
                                                        if(*(cache_0 + pixel[8]) < c_b)
                                                            if(*(cache_0 + pixel[13]) < c_b)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        continue;
                                else
                                    continue;
                        else if(*(cache_0 + pixel[17]) < c_b)
                            if(*(cache_0 + pixel[11]) < c_b)
                                if(*(cache_0 + pixel[9]) > cb)
                                    if(*(cache_1+4) < c_b)
                                        if(*(cache_0 + pixel[15]) < c_b)
                                            if(*(cache_0+-3) < c_b)
                                                if(*(cache_0 + pixel[0]) < c_b)
                                                    if(*(cache_0 + pixel[16]) < c_b)
                                                        if(*(cache_0 + pixel[13]) < c_b)
                                                            goto success;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        continue;
                                else if(*(cache_0 + pixel[9]) < c_b)
                                    if(*(cache_0+-3) < c_b)
                                        if(*(cache_0 + pixel[15]) > cb)
                                            if(*cache_2 < c_b)
                                                if(*(cache_0 + pixel[7]) < c_b)
                                                    if(*(cache_0 + pixel[6]) < c_b)
                                                        if(*(cache_0 + pixel[8]) < c_b)
                                                            if(*(cache_0 + pixel[13]) > cb||*(cache_0 + pixel[13]) < c_b)
                                                                goto success;
                                                            else
                                                                if(*(cache_0+3) < c_b)
                                                                    if(*(cache_0 + pixel[0]) < c_b)
                                                                        goto success;
                                                                    else
                                                                        continue;
                                                                else
                                                                    continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else if(*(cache_0 + pixel[15]) < c_b)
                                            if(*(cache_0 + pixel[8]) > cb)
                                                if(*(cache_0 + pixel[0]) < c_b)
                                                    if(*(cache_0 + pixel[13]) < c_b)
                                                        if(*(cache_0 + pixel[16]) < c_b)
                                                            goto success;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else if(*(cache_0 + pixel[8]) < c_b)
                                                if(*(cache_0 + pixel[13]) > cb)
                                                    if(*(cache_0+3) < c_b)
                                                        if(*cache_2 < c_b)
                                                            if(*(cache_0 + pixel[4]) < c_b)
                                                                if(*(cache_0 + pixel[7]) < c_b)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else if(*(cache_0 + pixel[13]) < c_b)
                                                    if(*(cache_0 + pixel[16]) < c_b)
                                                        goto success;
                                                    else
                                                        if(*(cache_0 + pixel[6]) < c_b)
                                                            if(*(cache_0 + pixel[7]) < c_b)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                else
                                                    if(*(cache_0+3) < c_b)
                                                        if(*cache_2 < c_b)
                                                            if(*(cache_0 + pixel[6]) < c_b)
                                                                if(*(cache_0 + pixel[4]) < c_b)
                                                                    if(*(cache_0 + pixel[7]) < c_b)
                                                                        goto success;
                                                                    else
                                                                        continue;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                            else
                                                if(*(cache_0 + pixel[0]) < c_b)
                                                    if(*(cache_0 + pixel[16]) < c_b)
                                                        if(*(cache_0 + pixel[13]) < c_b)
                                                            goto success;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                        else
                                            if(*cache_2 < c_b)
                                                if(*(cache_0 + pixel[7]) < c_b)
                                                    if(*(cache_0 + pixel[6]) < c_b)
                                                        if(*(cache_0 + pixel[8]) < c_b)
                                                            if(*(cache_0 + pixel[13]) > cb)
                                                                if(*(cache_0+3) < c_b)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else if(*(cache_0 + pixel[13]) < c_b)
                                                                goto success;
                                                            else
                                                                if(*(cache_0+3) < c_b)
                                                                    if(*(cache_0 + pixel[4]) < c_b)
                                                                        goto success;
                                                                    else
                                                                        continue;
                                                                else
                                                                    continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                    else
                                        continue;
                                else
                                    if(*(cache_1+4) < c_b)
                                        if(*(cache_0+-3) < c_b)
                                            if(*(cache_0 + pixel[15]) < c_b)
                                                if(*(cache_0 + pixel[0]) < c_b)
                                                    if(*(cache_0 + pixel[13]) < c_b)
                                                        if(*(cache_0 + pixel[16]) < c_b)
                                                            goto success;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        continue;
                            else
                                continue;
                        else
                            if(*(cache_0 + pixel[7]) < c_b)
                                if(*(cache_0 + pixel[6]) > cb)
                                    if(*(cache_0 + pixel[16]) < c_b)
                                        if(*(cache_0+-3) < c_b)
                                            if(*(cache_0 + pixel[9]) < c_b)
                                                if(*(cache_0 + pixel[15]) < c_b)
                                                    if(*(cache_0 + pixel[11]) < c_b)
                                                        if(*(cache_0 + pixel[8]) < c_b)
                                                            if(*(cache_0 + pixel[13]) < c_b)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        continue;
                                else if(*(cache_0 + pixel[6]) < c_b)
                                    if(*(cache_0+-3) < c_b)
                                        if(*(cache_0 + pixel[8]) < c_b)
                                            if(*cache_2 > cb)
                                                if(*(cache_0 + pixel[15]) < c_b)
                                                    if(*(cache_0 + pixel[11]) < c_b)
                                                        if(*(cache_0 + pixel[9]) < c_b)
                                                            if(*(cache_0 + pixel[13]) < c_b)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else if(*cache_2 < c_b)
                                                if(*(cache_0 + pixel[11]) < c_b)
                                                    if(*(cache_0 + pixel[9]) < c_b)
                                                        if(*(cache_0 + pixel[13]) > cb)
                                                            if(*(cache_0+3) < c_b)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else if(*(cache_0 + pixel[13]) < c_b)
                                                            goto success;
                                                        else
                                                            if(*(cache_0+3) < c_b)
                                                                if(*(cache_0 + pixel[4]) < c_b)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                if(*(cache_0 + pixel[15]) < c_b)
                                                    if(*(cache_0 + pixel[13]) < c_b)
                                                        if(*(cache_0 + pixel[11]) < c_b)
                                                            if(*(cache_0 + pixel[9]) < c_b)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                        else
                                            continue;
                                    else
                                        continue;
                                else
                                    if(*(cache_0 + pixel[16]) < c_b)
                                        if(*(cache_0+-3) < c_b)
                                            if(*(cache_0 + pixel[8]) < c_b)
                                                if(*(cache_0 + pixel[15]) < c_b)
                                                    if(*(cache_0 + pixel[11]) < c_b)
                                                        if(*(cache_0 + pixel[13]) < c_b)
                                                            if(*(cache_0 + pixel[9]) < c_b)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        continue;
                            else
                                continue;
                    else
                        continue;
            else
                if(*cache_2 > cb)
                    if(*(cache_2+-4) > cb)
                        if(*(cache_0 + pixel[4]) > cb)
                            if(*(cache_0 + pixel[6]) > cb)
                                if(*(cache_0+-3) > cb)
                                    if(*(cache_0 + pixel[8]) > cb)
                                        if(*(cache_0+3) > cb)
                                            if(*(cache_0 + pixel[7]) > cb)
                                                if(*(cache_0 + pixel[11]) > cb)
                                                    if(*(cache_0 + pixel[9]) > cb)
                                                        goto success;
                                                    else
                                                        if(*(cache_0 + pixel[17]) > cb)
                                                            if(*(cache_1+4) > cb)
                                                                if(*(cache_0 + pixel[0]) > cb)
                                                                    if(*(cache_0 + pixel[2]) > cb)
                                                                        goto success;
                                                                    else
                                                                        continue;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                else if(*(cache_0 + pixel[11]) < c_b)
                                                    if(*(cache_1+4) > cb)
                                                        if(*(cache_0 + pixel[2]) > cb)
                                                            goto success;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    if(*(cache_1+4) > cb)
                                                        if(*(cache_0 + pixel[2]) > cb)
                                                            if(*(cache_0 + pixel[9]) > cb)
                                                                goto success;
                                                            else if(*(cache_0 + pixel[9]) < c_b)
                                                                continue;
                                                            else
                                                                if(*(cache_0 + pixel[17]) > cb)
                                                                    if(*(cache_0 + pixel[0]) > cb)
                                                                        goto success;
                                                                    else
                                                                        continue;
                                                                else
                                                                    continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                            else if(*(cache_0 + pixel[7]) < c_b)
                                                if(*(cache_0 + pixel[15]) > cb)
                                                    if(*(cache_0 + pixel[0]) > cb)
                                                        if(*(cache_1+4) > cb)
                                                            if(*(cache_0 + pixel[17]) > cb)
                                                                if(*(cache_0 + pixel[2]) > cb)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                if(*(cache_0 + pixel[15]) > cb)
                                                    if(*(cache_0 + pixel[0]) > cb)
                                                        if(*(cache_0 + pixel[16]) > cb)
                                                            if(*(cache_0 + pixel[2]) > cb)
                                                                if(*(cache_1+4) > cb)
                                                                    if(*(cache_0 + pixel[17]) > cb)
                                                                        goto success;
                                                                    else
                                                                        continue;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                        else
                                            if(*(cache_0 + pixel[13]) > cb)
                                                if(*(cache_0 + pixel[7]) > cb)
                                                    if(*(cache_0 + pixel[11]) > cb)
                                                        if(*(cache_0 + pixel[9]) > cb)
                                                            goto success;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                    else if(*(cache_0 + pixel[8]) < c_b)
                                        if(*(cache_0 + pixel[15]) > cb)
                                            if(*(cache_1+4) > cb)
                                                if(*(cache_0 + pixel[16]) > cb)
                                                    if(*(cache_0 + pixel[2]) > cb)
                                                        if(*(cache_0 + pixel[17]) > cb)
                                                            if(*(cache_0+3) > cb)
                                                                if(*(cache_0 + pixel[0]) > cb)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else if(*(cache_0 + pixel[15]) < c_b)
                                            if(*(cache_0 + pixel[7]) > cb)
                                                if(*(cache_0 + pixel[16]) > cb)
                                                    if(*(cache_0 + pixel[0]) > cb)
                                                        goto success;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            if(*(cache_0 + pixel[7]) > cb)
                                                if(*(cache_0 + pixel[16]) > cb)
                                                    if(*(cache_1+4) > cb)
                                                        if(*(cache_0 + pixel[0]) > cb)
                                                            if(*(cache_0 + pixel[2]) > cb)
                                                                if(*(cache_0+3) > cb)
                                                                    if(*(cache_0 + pixel[17]) > cb)
                                                                        goto success;
                                                                    else
                                                                        continue;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                    else
                                        if(*(cache_0 + pixel[16]) > cb)
                                            if(*(cache_1+4) > cb)
                                                if(*(cache_0 + pixel[15]) > cb)
                                                    if(*(cache_0 + pixel[17]) > cb)
                                                        if(*(cache_0 + pixel[2]) > cb)
                                                            if(*(cache_0 + pixel[0]) > cb)
                                                                if(*(cache_0+3) > cb)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else if(*(cache_0 + pixel[15]) < c_b)
                                                    if(*(cache_0 + pixel[7]) > cb)
                                                        if(*(cache_0 + pixel[0]) > cb)
                                                            if(*(cache_0+3) > cb)
                                                                if(*(cache_0 + pixel[2]) > cb)
                                                                    if(*(cache_0 + pixel[17]) > cb)
                                                                        goto success;
                                                                    else
                                                                        continue;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    if(*(cache_0 + pixel[7]) > cb)
                                                        if(*(cache_0 + pixel[17]) > cb)
                                                            if(*(cache_0 + pixel[2]) > cb)
                                                                if(*(cache_0 + pixel[0]) > cb)
                                                                    if(*(cache_0+3) > cb)
                                                                        goto success;
                                                                    else
                                                                        continue;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                else if(*(cache_0+-3) < c_b)
                                    if(*(cache_1+4) > cb)
                                        if(*(cache_0 + pixel[2]) > cb)
                                            if(*(cache_0 + pixel[8]) > cb)
                                                if(*(cache_0+3) > cb)
                                                    if(*(cache_0 + pixel[7]) > cb)
                                                        if(*(cache_0 + pixel[9]) > cb)
                                                            goto success;
                                                        else if(*(cache_0 + pixel[9]) < c_b)
                                                            if(*(cache_0 + pixel[17]) > cb)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            if(*(cache_0 + pixel[17]) > cb)
                                                                if(*(cache_0 + pixel[0]) > cb)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                    else if(*(cache_0 + pixel[7]) < c_b)
                                                        continue;
                                                    else
                                                        if(*(cache_0 + pixel[15]) > cb)
                                                            if(*(cache_0 + pixel[17]) > cb)
                                                                if(*(cache_0 + pixel[16]) > cb)
                                                                    if(*(cache_0 + pixel[0]) > cb)
                                                                        goto success;
                                                                    else
                                                                        continue;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                else
                                                    continue;
                                            else if(*(cache_0 + pixel[8]) < c_b)
                                                if(*(cache_0 + pixel[15]) > cb)
                                                    if(*(cache_0 + pixel[0]) > cb)
                                                        if(*(cache_0 + pixel[17]) > cb)
                                                            if(*(cache_0 + pixel[16]) > cb)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                if(*(cache_0 + pixel[16]) > cb)
                                                    if(*(cache_0 + pixel[17]) > cb)
                                                        if(*(cache_0 + pixel[15]) > cb)
                                                            if(*(cache_0+3) > cb)
                                                                if(*(cache_0 + pixel[0]) > cb)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else if(*(cache_0 + pixel[15]) < c_b)
                                                            if(*(cache_0 + pixel[9]) < c_b)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            if(*(cache_0 + pixel[7]) > cb)
                                                                if(*(cache_0 + pixel[0]) > cb)
                                                                    if(*(cache_0+3) > cb)
                                                                        goto success;
                                                                    else
                                                                        continue;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                        else
                                            continue;
                                    else if(*(cache_1+4) < c_b)
                                        if(*(cache_0 + pixel[11]) > cb)
                                            if(*(cache_0 + pixel[2]) > cb)
                                                if(*(cache_0 + pixel[7]) > cb)
                                                    if(*(cache_0 + pixel[0]) > cb||*(cache_0 + pixel[0]) < c_b)
                                                        goto success;
                                                    else
                                                        if(*(cache_0 + pixel[8]) > cb)
                                                            if(*(cache_0+3) > cb)
                                                                if(*(cache_0 + pixel[9]) > cb)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        if(*(cache_0 + pixel[11]) > cb)
                                            if(*(cache_0 + pixel[2]) > cb)
                                                if(*(cache_0 + pixel[8]) > cb)
                                                    if(*(cache_0+3) > cb)
                                                        if(*(cache_0 + pixel[7]) > cb)
                                                            if(*(cache_0 + pixel[9]) > cb)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                else
                                    if(*(cache_1+4) > cb)
                                        if(*(cache_0 + pixel[2]) > cb)
                                            if(*(cache_0 + pixel[8]) > cb)
                                                if(*(cache_0+3) > cb)
                                                    if(*(cache_0 + pixel[7]) > cb)
                                                        if(*(cache_0 + pixel[9]) > cb)
                                                            goto success;
                                                        else
                                                            if(*(cache_0 + pixel[17]) > cb)
                                                                if(*(cache_0 + pixel[0]) > cb)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                    else if(*(cache_0 + pixel[7]) < c_b)
                                                        if(*(cache_0 + pixel[15]) > cb)
                                                            if(*(cache_0 + pixel[16]) > cb)
                                                                if(*(cache_0 + pixel[0]) > cb)
                                                                    if(*(cache_0 + pixel[17]) > cb)
                                                                        goto success;
                                                                    else
                                                                        continue;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        if(*(cache_0 + pixel[15]) > cb)
                                                            if(*(cache_0 + pixel[17]) > cb)
                                                                if(*(cache_0 + pixel[16]) > cb)
                                                                    if(*(cache_0 + pixel[0]) > cb)
                                                                        goto success;
                                                                    else
                                                                        continue;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                else
                                                    continue;
                                            else if(*(cache_0 + pixel[8]) < c_b)
                                                if(*(cache_0 + pixel[15]) > cb)
                                                    if(*(cache_0 + pixel[17]) > cb)
                                                        if(*(cache_0 + pixel[16]) > cb)
                                                            if(*(cache_0 + pixel[0]) > cb)
                                                                if(*(cache_0+3) > cb)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else if(*(cache_0 + pixel[15]) < c_b)
                                                    continue;
                                                else
                                                    if(*(cache_0 + pixel[7]) > cb)
                                                        if(*(cache_0 + pixel[16]) > cb)
                                                            if(*(cache_0 + pixel[0]) > cb)
                                                                if(*(cache_0+3) > cb)
                                                                    if(*(cache_0 + pixel[17]) > cb)
                                                                        goto success;
                                                                    else
                                                                        continue;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                            else
                                                if(*(cache_0 + pixel[16]) > cb)
                                                    if(*(cache_0 + pixel[17]) > cb)
                                                        if(*(cache_0 + pixel[15]) > cb)
                                                            if(*(cache_0 + pixel[0]) > cb)
                                                                if(*(cache_0+3) > cb)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else if(*(cache_0 + pixel[15]) < c_b)
                                                            if(*(cache_0 + pixel[7]) > cb)
                                                                if(*(cache_0 + pixel[0]) > cb)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            if(*(cache_0 + pixel[7]) > cb)
                                                                if(*(cache_0 + pixel[0]) > cb)
                                                                    if(*(cache_0+3) > cb)
                                                                        goto success;
                                                                    else
                                                                        continue;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                        else
                                            continue;
                                    else if(*(cache_1+4) < c_b)
                                        if(*(cache_0 + pixel[2]) > cb)
                                            if(*(cache_0 + pixel[11]) > cb)
                                                if(*(cache_0 + pixel[8]) > cb)
                                                    if(*(cache_0 + pixel[9]) > cb)
                                                        if(*(cache_0 + pixel[7]) > cb)
                                                            if(*(cache_0+3) > cb)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        if(*(cache_0 + pixel[11]) > cb)
                                            if(*(cache_0 + pixel[2]) > cb)
                                                if(*(cache_0 + pixel[8]) > cb)
                                                    if(*(cache_0 + pixel[9]) > cb)
                                                        if(*(cache_0+3) > cb)
                                                            if(*(cache_0 + pixel[7]) > cb)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                            else
                                continue;
                        else
                            continue;
                    else if(*(cache_2+-4) < c_b)
                        if(*(cache_0 + pixel[0]) > cb)
                            if(*(cache_0 + pixel[6]) > cb)
                                if(*(cache_0 + pixel[16]) > cb)
                                    if(*(cache_0 + pixel[2]) > cb)
                                        if(*(cache_0 + pixel[15]) > cb)
                                            if(*(cache_0 + pixel[4]) > cb)
                                                if(*(cache_1+4) > cb)
                                                    if(*(cache_0+3) > cb)
                                                        if(*(cache_0 + pixel[17]) > cb)
                                                            goto success;
                                                        else if(*(cache_0 + pixel[17]) < c_b)
                                                            continue;
                                                        else
                                                            if(*(cache_0 + pixel[9]) > cb)
                                                                if(*(cache_0 + pixel[13]) > cb)
                                                                    continue;
                                                                else
                                                                    goto success;
                                                            else
                                                                continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else if(*(cache_0 + pixel[15]) < c_b)
                                            if(*(cache_0 + pixel[7]) > cb)
                                                if(*(cache_0 + pixel[4]) > cb)
                                                    if(*(cache_0 + pixel[17]) > cb)
                                                        if(*(cache_1+4) > cb)
                                                            if(*(cache_0+3) > cb)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            if(*(cache_0 + pixel[7]) > cb)
                                                if(*(cache_0+3) > cb)
                                                    if(*(cache_1+4) > cb)
                                                        if(*(cache_0 + pixel[17]) > cb)
                                                            if(*(cache_0 + pixel[4]) > cb)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else if(*(cache_0 + pixel[17]) < c_b)
                                                            continue;
                                                        else
                                                            if(*(cache_0 + pixel[9]) > cb)
                                                                if(*(cache_0 + pixel[13]) < c_b)
                                                                    if(*(cache_0 + pixel[4]) > cb)
                                                                        if(*(cache_0 + pixel[8]) > cb)
                                                                            goto success;
                                                                        else
                                                                            continue;
                                                                    else
                                                                        continue;
                                                                else
                                                                    goto success;
                                                            else
                                                                continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                    else
                                        continue;
                                else if(*(cache_0 + pixel[16]) < c_b)
                                    if(*(cache_0 + pixel[9]) > cb)
                                        if(*(cache_0 + pixel[2]) > cb)
                                            if(*(cache_0 + pixel[7]) > cb)
                                                if(*(cache_1+4) > cb)
                                                    if(*(cache_0 + pixel[4]) > cb)
                                                        if(*(cache_0+3) > cb)
                                                            if(*(cache_0 + pixel[8]) > cb)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else if(*(cache_0 + pixel[9]) < c_b)
                                        if(*(cache_0 + pixel[8]) > cb)
                                            if(*(cache_0 + pixel[17]) > cb)
                                                if(*(cache_0+3) > cb)
                                                    if(*(cache_0 + pixel[7]) > cb)
                                                        if(*(cache_1+4) > cb)
                                                            goto success;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        if(*(cache_0 + pixel[17]) > cb)
                                            if(*(cache_0 + pixel[8]) > cb)
                                                if(*(cache_0 + pixel[2]) > cb)
                                                    if(*(cache_0 + pixel[15]) > cb||*(cache_0 + pixel[15]) < c_b)
                                                        goto success;
                                                    else
                                                        if(*(cache_0+3) > cb)
                                                            if(*(cache_0 + pixel[4]) > cb)
                                                                if(*(cache_1+4) > cb)
                                                                    if(*(cache_0 + pixel[7]) > cb)
                                                                        goto success;
                                                                    else
                                                                        continue;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                else
                                    if(*(cache_0 + pixel[8]) > cb)
                                        if(*(cache_0 + pixel[2]) > cb)
                                            if(*(cache_0 + pixel[17]) > cb)
                                                if(*(cache_0+3) > cb)
                                                    if(*(cache_1+4) > cb)
                                                        if(*(cache_0 + pixel[7]) > cb)
                                                            if(*(cache_0 + pixel[4]) > cb)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else if(*(cache_0 + pixel[17]) < c_b)
                                                if(*(cache_0 + pixel[9]) > cb)
                                                    if(*(cache_0 + pixel[4]) > cb)
                                                        goto success;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                if(*(cache_0 + pixel[9]) > cb)
                                                    if(*(cache_1+4) > cb)
                                                        if(*(cache_0 + pixel[4]) > cb)
                                                            if(*(cache_0+3) > cb)
                                                                if(*(cache_0 + pixel[7]) > cb)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                        else
                                            continue;
                                    else
                                        continue;
                            else
                                continue;
                        else
                            continue;
                    else
                        if(*(cache_0 + pixel[0]) > cb)
                            if(*(cache_0 + pixel[7]) > cb)
                                if(*(cache_0 + pixel[2]) > cb)
                                    if(*(cache_0 + pixel[8]) > cb)
                                        if(*(cache_0 + pixel[4]) > cb)
                                            if(*(cache_0 + pixel[6]) > cb)
                                                if(*(cache_1+4) > cb)
                                                    if(*(cache_0 + pixel[17]) > cb)
                                                        if(*(cache_0+3) > cb)
                                                            goto success;
                                                        else
                                                            continue;
                                                    else
                                                        if(*(cache_0 + pixel[9]) > cb)
                                                            if(*(cache_0+3) > cb)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else if(*(cache_0 + pixel[8]) < c_b)
                                        if(*(cache_0 + pixel[16]) > cb)
                                            if(*(cache_0+3) > cb)
                                                if(*(cache_0 + pixel[6]) > cb)
                                                    if(*(cache_0 + pixel[17]) > cb)
                                                        if(*(cache_1+4) > cb)
                                                            if(*(cache_0 + pixel[4]) > cb)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        if(*(cache_0 + pixel[16]) > cb)
                                            if(*(cache_0 + pixel[4]) > cb)
                                                if(*(cache_0 + pixel[6]) > cb)
                                                    if(*(cache_1+4) > cb)
                                                        if(*(cache_0 + pixel[17]) > cb)
                                                            if(*(cache_0+3) > cb)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                else
                                    continue;
                            else if(*(cache_0 + pixel[7]) < c_b)
                                if(*(cache_0 + pixel[6]) > cb)
                                    if(*(cache_0 + pixel[15]) > cb)
                                        if(*(cache_0 + pixel[2]) > cb)
                                            if(*(cache_0 + pixel[17]) > cb)
                                                if(*(cache_0 + pixel[16]) > cb)
                                                    if(*(cache_1+4) > cb)
                                                        if(*(cache_0+3) > cb)
                                                            if(*(cache_0 + pixel[4]) > cb)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        continue;
                                else
                                    continue;
                            else
                                if(*(cache_0 + pixel[15]) > cb)
                                    if(*(cache_0 + pixel[6]) > cb)
                                        if(*(cache_0 + pixel[2]) > cb)
                                            if(*(cache_0 + pixel[16]) > cb)
                                                if(*(cache_0 + pixel[4]) > cb)
                                                    if(*(cache_1+4) > cb)
                                                        if(*(cache_0 + pixel[17]) > cb)
                                                            if(*(cache_0+3) > cb)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        continue;
                                else
                                    continue;
                        else
                            continue;
                else if(*cache_2 < c_b)
                    if(*(cache_2+-4) > cb)
                        if(*(cache_0 + pixel[0]) < c_b)
                            if(*(cache_0 + pixel[6]) < c_b)
                                if(*(cache_0 + pixel[16]) > cb)
                                    if(*(cache_0 + pixel[9]) > cb)
                                        if(*(cache_0 + pixel[8]) < c_b)
                                            if(*(cache_0 + pixel[17]) < c_b)
                                                if(*(cache_0 + pixel[2]) < c_b)
                                                    if(*(cache_0 + pixel[7]) < c_b)
                                                        if(*(cache_0 + pixel[15]) > cb)
                                                            if(*(cache_0+-3) > cb)
                                                                continue;
                                                            else if(*(cache_0+-3) < c_b)
                                                                goto success;
                                                            else
                                                                if(*(cache_0+3) < c_b)
                                                                    if(*(cache_0 + pixel[4]) < c_b)
                                                                        goto success;
                                                                    else
                                                                        continue;
                                                                else
                                                                    continue;
                                                        else
                                                            goto success;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else if(*(cache_0 + pixel[9]) < c_b)
                                        if(*(cache_0 + pixel[2]) < c_b)
                                            if(*(cache_1+4) < c_b)
                                                if(*(cache_0 + pixel[8]) < c_b)
                                                    if(*(cache_0+3) < c_b)
                                                        if(*(cache_0 + pixel[4]) < c_b)
                                                            if(*(cache_0 + pixel[7]) < c_b)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        if(*(cache_0 + pixel[17]) < c_b)
                                            if(*(cache_0 + pixel[8]) < c_b)
                                                if(*(cache_0 + pixel[2]) < c_b)
                                                    if(*(cache_1+4) < c_b)
                                                        if(*(cache_0+3) < c_b)
                                                            if(*(cache_0 + pixel[7]) < c_b)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                else if(*(cache_0 + pixel[16]) < c_b)
                                    if(*(cache_0 + pixel[2]) < c_b)
                                        if(*(cache_0 + pixel[15]) > cb)
                                            if(*(cache_0 + pixel[7]) < c_b)
                                                if(*(cache_0 + pixel[4]) < c_b)
                                                    if(*(cache_1+4) < c_b)
                                                        if(*(cache_0 + pixel[17]) > cb)
                                                            continue;
                                                        else if(*(cache_0 + pixel[17]) < c_b)
                                                            goto success;
                                                        else
                                                            if(*(cache_0 + pixel[9]) < c_b)
                                                                goto success;
                                                            else
                                                                continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else if(*(cache_0 + pixel[15]) < c_b)
                                            if(*(cache_0+3) < c_b)
                                                if(*(cache_1+4) < c_b)
                                                    if(*(cache_0 + pixel[4]) < c_b)
                                                        if(*(cache_0 + pixel[17]) < c_b)
                                                            goto success;
                                                        else
                                                            if(*(cache_0 + pixel[9]) < c_b)
                                                                goto success;
                                                            else
                                                                continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            if(*(cache_0 + pixel[7]) < c_b)
                                                if(*(cache_0+3) < c_b)
                                                    if(*(cache_1+4) < c_b)
                                                        if(*(cache_0 + pixel[17]) > cb)
                                                            continue;
                                                        else if(*(cache_0 + pixel[17]) < c_b)
                                                            if(*(cache_0 + pixel[4]) < c_b)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            if(*(cache_0 + pixel[9]) < c_b)
                                                                if(*(cache_0 + pixel[8]) < c_b)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                    else
                                        continue;
                                else
                                    if(*(cache_0 + pixel[8]) < c_b)
                                        if(*(cache_0 + pixel[2]) < c_b)
                                            if(*(cache_0 + pixel[17]) > cb)
                                                if(*(cache_0 + pixel[9]) < c_b)
                                                    if(*(cache_0+-3) > cb)
                                                        if(*(cache_1+4) < c_b)
                                                            if(*(cache_0 + pixel[4]) < c_b)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else if(*(cache_0+-3) < c_b)
                                                        continue;
                                                    else
                                                        if(*(cache_1+4) < c_b)
                                                            goto success;
                                                        else
                                                            continue;
                                                else
                                                    continue;
                                            else if(*(cache_0 + pixel[17]) < c_b)
                                                if(*(cache_0+3) < c_b)
                                                    if(*(cache_1+4) < c_b)
                                                        if(*(cache_0 + pixel[7]) < c_b)
                                                            if(*(cache_0 + pixel[4]) < c_b)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                if(*(cache_0 + pixel[9]) < c_b)
                                                    if(*(cache_1+4) < c_b)
                                                        if(*(cache_0+3) < c_b)
                                                            if(*(cache_0 + pixel[7]) < c_b)
                                                                if(*(cache_0 + pixel[4]) < c_b)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                        else
                                            continue;
                                    else
                                        continue;
                            else
                                continue;
                        else
                            continue;
                    else if(*(cache_2+-4) < c_b)
                        if(*(cache_0 + pixel[4]) < c_b)
                            if(*(cache_0 + pixel[6]) < c_b)
                                if(*(cache_0+-3) > cb)
                                    if(*(cache_1+4) > cb)
                                        if(*(cache_0 + pixel[11]) < c_b)
                                            if(*(cache_0 + pixel[2]) < c_b)
                                                if(*(cache_0+3) < c_b)
                                                    if(*(cache_0 + pixel[8]) < c_b)
                                                        if(*(cache_0 + pixel[7]) < c_b)
                                                            if(*(cache_0 + pixel[9]) < c_b)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else if(*(cache_1+4) < c_b)
                                        if(*(cache_0 + pixel[2]) < c_b)
                                            if(*(cache_0 + pixel[8]) > cb)
                                                if(*(cache_0 + pixel[15]) > cb)
                                                    continue;
                                                else if(*(cache_0 + pixel[15]) < c_b)
                                                    if(*(cache_0 + pixel[17]) < c_b)
                                                        if(*(cache_0 + pixel[16]) < c_b)
                                                            goto success;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    if(*(cache_0 + pixel[7]) < c_b)
                                                        if(*(cache_0 + pixel[16]) < c_b)
                                                            if(*(cache_0 + pixel[11]) < c_b)
                                                                continue;
                                                            else
                                                                goto success;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                            else if(*(cache_0 + pixel[8]) < c_b)
                                                if(*(cache_0+3) < c_b)
                                                    if(*(cache_0 + pixel[7]) > cb)
                                                        if(*(cache_0 + pixel[13]) > cb)
                                                            goto success;
                                                        else
                                                            continue;
                                                    else if(*(cache_0 + pixel[7]) < c_b)
                                                        if(*(cache_0 + pixel[9]) > cb)
                                                            if(*(cache_0 + pixel[0]) < c_b)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else if(*(cache_0 + pixel[9]) < c_b)
                                                            goto success;
                                                        else
                                                            if(*(cache_0 + pixel[17]) < c_b)
                                                                if(*(cache_0 + pixel[0]) < c_b)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                    else
                                                        if(*(cache_0 + pixel[15]) < c_b)
                                                            if(*(cache_0 + pixel[17]) < c_b)
                                                                if(*(cache_0 + pixel[0]) < c_b)
                                                                    if(*(cache_0 + pixel[16]) < c_b)
                                                                        goto success;
                                                                    else
                                                                        continue;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                else
                                                    continue;
                                            else
                                                if(*(cache_0 + pixel[16]) < c_b)
                                                    if(*(cache_0 + pixel[17]) < c_b)
                                                        if(*(cache_0 + pixel[0]) < c_b)
                                                            if(*(cache_0 + pixel[15]) > cb)
                                                                if(*(cache_0 + pixel[7]) < c_b)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else if(*(cache_0 + pixel[15]) < c_b)
                                                                if(*(cache_0+3) < c_b)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                if(*(cache_0 + pixel[7]) < c_b)
                                                                    if(*(cache_0+3) < c_b)
                                                                        goto success;
                                                                    else
                                                                        continue;
                                                                else
                                                                    continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                        else
                                            continue;
                                    else
                                        if(*(cache_0 + pixel[11]) < c_b)
                                            if(*(cache_0 + pixel[2]) < c_b)
                                                if(*(cache_0 + pixel[8]) < c_b)
                                                    if(*(cache_0 + pixel[9]) < c_b)
                                                        if(*(cache_0 + pixel[7]) < c_b)
                                                            if(*(cache_0+3) < c_b)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                else if(*(cache_0+-3) < c_b)
                                    if(*(cache_0 + pixel[8]) > cb)
                                        if(*(cache_0 + pixel[15]) > cb)
                                            if(*(cache_0 + pixel[16]) < c_b)
                                                if(*(cache_0 + pixel[7]) < c_b)
                                                    if(*(cache_1+4) < c_b)
                                                        goto success;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else if(*(cache_0 + pixel[15]) < c_b)
                                            if(*(cache_0 + pixel[17]) < c_b)
                                                if(*(cache_1+4) < c_b)
                                                    if(*(cache_0+3) < c_b)
                                                        if(*(cache_0 + pixel[16]) < c_b)
                                                            if(*(cache_0 + pixel[2]) < c_b)
                                                                if(*(cache_0 + pixel[0]) < c_b)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            if(*(cache_0 + pixel[7]) < c_b)
                                                if(*(cache_0 + pixel[16]) < c_b)
                                                    if(*(cache_1+4) < c_b)
                                                        if(*(cache_0 + pixel[0]) < c_b)
                                                            if(*(cache_0 + pixel[2]) < c_b)
                                                                if(*(cache_0 + pixel[17]) < c_b)
                                                                    if(*(cache_0+3) < c_b)
                                                                        goto success;
                                                                    else
                                                                        continue;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                    else if(*(cache_0 + pixel[8]) < c_b)
                                        if(*(cache_0+3) > cb)
                                            if(*(cache_0 + pixel[13]) < c_b)
                                                if(*(cache_0 + pixel[11]) < c_b)
                                                    if(*(cache_0 + pixel[7]) < c_b)
                                                        if(*(cache_0 + pixel[9]) < c_b)
                                                            goto success;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else if(*(cache_0+3) < c_b)
                                            if(*(cache_0 + pixel[7]) > cb)
                                                if(*(cache_0 + pixel[15]) < c_b)
                                                    if(*(cache_0 + pixel[0]) < c_b)
                                                        if(*(cache_0 + pixel[16]) < c_b)
                                                            if(*(cache_0 + pixel[2]) < c_b)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else if(*(cache_0 + pixel[7]) < c_b)
                                                if(*(cache_0 + pixel[11]) > cb)
                                                    if(*(cache_1+4) < c_b)
                                                        if(*(cache_0 + pixel[2]) < c_b)
                                                            goto success;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else if(*(cache_0 + pixel[11]) < c_b)
                                                    if(*(cache_0 + pixel[9]) > cb)
                                                        if(*(cache_1+4) < c_b)
                                                            if(*(cache_0 + pixel[2]) < c_b)
                                                                if(*(cache_0 + pixel[17]) < c_b)
                                                                    if(*(cache_0 + pixel[0]) < c_b)
                                                                        goto success;
                                                                    else
                                                                        continue;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else if(*(cache_0 + pixel[9]) < c_b)
                                                        goto success;
                                                    else
                                                        if(*(cache_0 + pixel[17]) < c_b)
                                                            if(*(cache_1+4) < c_b)
                                                                if(*(cache_0 + pixel[0]) < c_b)
                                                                    if(*(cache_0 + pixel[2]) < c_b)
                                                                        goto success;
                                                                    else
                                                                        continue;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                else
                                                    if(*(cache_1+4) < c_b)
                                                        if(*(cache_0 + pixel[2]) < c_b)
                                                            if(*(cache_0 + pixel[9]) > cb)
                                                                if(*(cache_0 + pixel[0]) < c_b)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else if(*(cache_0 + pixel[9]) < c_b)
                                                                goto success;
                                                            else
                                                                if(*(cache_0 + pixel[17]) < c_b)
                                                                    if(*(cache_0 + pixel[0]) < c_b)
                                                                        goto success;
                                                                    else
                                                                        continue;
                                                                else
                                                                    continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                            else
                                                if(*(cache_0 + pixel[15]) < c_b)
                                                    if(*(cache_0 + pixel[17]) < c_b)
                                                        if(*(cache_1+4) < c_b)
                                                            if(*(cache_0 + pixel[16]) < c_b)
                                                                if(*(cache_0 + pixel[2]) < c_b)
                                                                    if(*(cache_0 + pixel[0]) < c_b)
                                                                        goto success;
                                                                    else
                                                                        continue;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                        else
                                            if(*(cache_0 + pixel[13]) < c_b)
                                                if(*(cache_0 + pixel[7]) < c_b)
                                                    if(*(cache_0 + pixel[11]) < c_b)
                                                        if(*(cache_0 + pixel[9]) < c_b)
                                                            goto success;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                    else
                                        if(*(cache_0 + pixel[16]) < c_b)
                                            if(*(cache_1+4) < c_b)
                                                if(*(cache_0 + pixel[15]) > cb)
                                                    if(*(cache_0 + pixel[7]) < c_b)
                                                        if(*(cache_0 + pixel[17]) < c_b)
                                                            if(*(cache_0 + pixel[2]) < c_b)
                                                                if(*(cache_0 + pixel[0]) < c_b)
                                                                    if(*(cache_0+3) < c_b)
                                                                        goto success;
                                                                    else
                                                                        continue;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else if(*(cache_0 + pixel[15]) < c_b)
                                                    if(*(cache_0 + pixel[17]) < c_b)
                                                        if(*(cache_0+3) < c_b)
                                                            if(*(cache_0 + pixel[2]) < c_b)
                                                                if(*(cache_0 + pixel[0]) < c_b)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    if(*(cache_0 + pixel[7]) < c_b)
                                                        if(*(cache_0 + pixel[0]) < c_b)
                                                            if(*(cache_0 + pixel[2]) < c_b)
                                                                if(*(cache_0 + pixel[17]) < c_b)
                                                                    if(*(cache_0+3) < c_b)
                                                                        goto success;
                                                                    else
                                                                        continue;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                else
                                    if(*(cache_1+4) > cb)
                                        if(*(cache_0 + pixel[2]) < c_b)
                                            if(*(cache_0 + pixel[11]) < c_b)
                                                if(*(cache_0 + pixel[8]) < c_b)
                                                    if(*(cache_0+3) < c_b)
                                                        if(*(cache_0 + pixel[9]) < c_b)
                                                            if(*(cache_0 + pixel[7]) < c_b)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else if(*(cache_1+4) < c_b)
                                        if(*(cache_0 + pixel[2]) < c_b)
                                            if(*(cache_0 + pixel[8]) > cb)
                                                if(*(cache_0 + pixel[16]) < c_b)
                                                    if(*(cache_0 + pixel[15]) > cb)
                                                        if(*(cache_0 + pixel[7]) < c_b)
                                                            goto success;
                                                        else
                                                            continue;
                                                    else if(*(cache_0 + pixel[15]) < c_b)
                                                        if(*(cache_0 + pixel[17]) < c_b)
                                                            if(*(cache_0 + pixel[0]) < c_b)
                                                                if(*(cache_0+3) < c_b)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        if(*(cache_0 + pixel[7]) < c_b)
                                                            if(*(cache_0 + pixel[0]) < c_b)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                else
                                                    continue;
                                            else if(*(cache_0 + pixel[8]) < c_b)
                                                if(*(cache_0+3) < c_b)
                                                    if(*(cache_0 + pixel[7]) > cb)
                                                        if(*(cache_0 + pixel[15]) < c_b)
                                                            if(*(cache_0 + pixel[13]) > cb||*(cache_0 + pixel[13]) < c_b)
                                                                continue;
                                                            else
                                                                goto success;
                                                        else
                                                            continue;
                                                    else if(*(cache_0 + pixel[7]) < c_b)
                                                        if(*(cache_0 + pixel[9]) < c_b)
                                                            goto success;
                                                        else
                                                            if(*(cache_0 + pixel[17]) < c_b)
                                                                if(*(cache_0 + pixel[0]) < c_b)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                    else
                                                        if(*(cache_0 + pixel[15]) < c_b)
                                                            if(*(cache_0 + pixel[16]) < c_b)
                                                                if(*(cache_0 + pixel[0]) < c_b)
                                                                    if(*(cache_0 + pixel[17]) < c_b)
                                                                        goto success;
                                                                    else
                                                                        continue;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                else
                                                    continue;
                                            else
                                                if(*(cache_0 + pixel[16]) < c_b)
                                                    if(*(cache_0 + pixel[17]) < c_b)
                                                        if(*(cache_0 + pixel[15]) < c_b)
                                                            if(*(cache_0+3) < c_b)
                                                                if(*(cache_0 + pixel[0]) < c_b)
                                                                    goto success;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                        else
                                                            if(*(cache_0 + pixel[7]) < c_b)
                                                                if(*(cache_0 + pixel[0]) < c_b)
                                                                    if(*(cache_0+3) < c_b)
                                                                        goto success;
                                                                    else
                                                                        continue;
                                                                else
                                                                    continue;
                                                            else
                                                                continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                        else
                                            continue;
                                    else
                                        if(*(cache_0 + pixel[11]) < c_b)
                                            if(*(cache_0 + pixel[2]) < c_b)
                                                if(*(cache_0 + pixel[8]) < c_b)
                                                    if(*(cache_0 + pixel[9]) < c_b)
                                                        if(*(cache_0+3) < c_b)
                                                            if(*(cache_0 + pixel[7]) < c_b)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                            else
                                continue;
                        else
                            continue;
                    else
                        if(*(cache_0 + pixel[0]) < c_b)
                            if(*(cache_0 + pixel[7]) > cb)
                                if(*(cache_0 + pixel[6]) < c_b)
                                    if(*(cache_0 + pixel[15]) < c_b)
                                        if(*(cache_0 + pixel[2]) < c_b)
                                            if(*(cache_0 + pixel[16]) < c_b)
                                                if(*(cache_0+3) < c_b)
                                                    if(*(cache_0 + pixel[17]) < c_b)
                                                        if(*(cache_1+4) < c_b)
                                                            if(*(cache_0 + pixel[4]) < c_b)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        continue;
                                else
                                    continue;
                            else if(*(cache_0 + pixel[7]) < c_b)
                                if(*(cache_0 + pixel[2]) < c_b)
                                    if(*(cache_0 + pixel[8]) > cb)
                                        if(*(cache_0 + pixel[16]) < c_b)
                                            if(*(cache_0+3) < c_b)
                                                if(*(cache_0 + pixel[6]) < c_b)
                                                    if(*(cache_1+4) < c_b)
                                                        if(*(cache_0 + pixel[17]) < c_b)
                                                            if(*(cache_0 + pixel[4]) < c_b)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else if(*(cache_0 + pixel[8]) < c_b)
                                        if(*(cache_0 + pixel[6]) < c_b)
                                            if(*(cache_0 + pixel[4]) < c_b)
                                                if(*(cache_0 + pixel[17]) < c_b)
                                                    if(*(cache_1+4) < c_b)
                                                        if(*(cache_0+3) < c_b)
                                                            goto success;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    if(*(cache_0 + pixel[9]) < c_b)
                                                        if(*(cache_1+4) < c_b)
                                                            if(*(cache_0+3) < c_b)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        if(*(cache_0 + pixel[16]) < c_b)
                                            if(*(cache_0 + pixel[4]) < c_b)
                                                if(*(cache_0 + pixel[6]) < c_b)
                                                    if(*(cache_1+4) < c_b)
                                                        if(*(cache_0 + pixel[17]) < c_b)
                                                            if(*(cache_0+3) < c_b)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                else
                                    continue;
                            else
                                if(*(cache_0 + pixel[15]) < c_b)
                                    if(*(cache_0 + pixel[6]) < c_b)
                                        if(*(cache_0 + pixel[2]) < c_b)
                                            if(*(cache_0 + pixel[16]) < c_b)
                                                if(*(cache_0 + pixel[4]) < c_b)
                                                    if(*(cache_0 + pixel[17]) < c_b)
                                                        if(*(cache_1+4) < c_b)
                                                            if(*(cache_0+3) < c_b)
                                                                goto success;
                                                            else
                                                                continue;
                                                        else
                                                            continue;
                                                    else
                                                        continue;
                                                else
                                                    continue;
                                            else
                                                continue;
                                        else
                                            continue;
                                    else
                                        continue;
                                else
                                    continue;
                        else
                            continue;
                else
                    continue;
			success:																			
				if(total >= rsize)																
				{																				
					rsize *=2;																	
					ret=(xy*)realloc(ret, rsize*sizeof(xy));									
					if(ret == NULL)																
					{																			
						*num=-1;																
						return NULL;															
					}																			
				}																				
				ret[total].x = cache_0-line_min;												
				ret[total++].y = y;																
		}																						
	}																							
	*num = total;																				
	return ret;																					
}																								
																								
int sfast_corner_score(const byte* im, const int pixel[], int bstart)                        	
{                                                                                              
	int bmin = bstart;                                                                          
	int bmax = 255;                                                                             
	int b = (bmax + bmin)/2;                                                                    
	const byte* cache_0 = im;                                                                   
	const byte* cache_1 = cache_0 + pixel[14];
	const byte* cache_2 = cache_0 + pixel[5];
	for(;;)																						
	{																							
		int cb = *cache_0 + b;																	
		int c_b = *cache_0 - b;																	
	    if(*cache_1 > cb)
	        if(*(cache_0 + pixel[2]) > cb)
	            if(*(cache_0 + pixel[17]) > cb)
	                if(*(cache_0+-3) > cb)
	                    if(*(cache_0 + pixel[15]) > cb)
	                        if(*(cache_1+4) > cb)
	                            if(*(cache_0 + pixel[16]) > cb)
	                                if(*(cache_0+3) > cb)
	                                    if(*(cache_0 + pixel[0]) > cb)
	                                        if(*(cache_0 + pixel[13]) > cb)
	                                            goto is_a_corner;
	                                        else
	                                            if(*cache_2 > cb)
	                                                if(*(cache_0 + pixel[4]) > cb)
	                                                    goto is_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                    else if(*(cache_0 + pixel[0]) < c_b)
	                                        if(*(cache_0 + pixel[8]) > cb)
	                                            if(*(cache_2+-4) > cb)
	                                                if(*(cache_0 + pixel[9]) > cb)
	                                                    if(*(cache_0 + pixel[6]) > cb)
	                                                        if(*(cache_0 + pixel[4]) > cb)
	                                                            goto is_a_corner;
	                                                        else if(*(cache_0 + pixel[4]) < c_b)
	                                                            goto is_not_a_corner;
	                                                        else
	                                                            if(*cache_2 > cb||*cache_2 < c_b)
	                                                                goto is_not_a_corner;
	                                                            else
	                                                                goto is_a_corner;
	                                                    else if(*(cache_0 + pixel[6]) < c_b)
	                                                        if(*(cache_0 + pixel[11]) > cb)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        if(*(cache_0 + pixel[11]) > cb)
	                                                            if(*(cache_0 + pixel[13]) > cb)
	                                                                goto is_a_corner;
	                                                            else
	                                                                goto is_not_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        if(*(cache_0 + pixel[9]) > cb)
	                                            if(*(cache_0 + pixel[8]) > cb)
	                                                if(*(cache_2+-4) > cb)
	                                                    if(*(cache_0 + pixel[13]) > cb)
	                                                        if(*(cache_0 + pixel[11]) > cb)
	                                                            goto is_a_corner;
	                                                        else if(*(cache_0 + pixel[11]) < c_b)
	                                                            if(*cache_2 > cb)
	                                                                if(*(cache_0 + pixel[4]) > cb)
	                                                                    if(*(cache_0 + pixel[7]) > cb)
	                                                                        goto is_a_corner;
	                                                                    else
	                                                                        goto is_not_a_corner;
	                                                                else
	                                                                    goto is_not_a_corner;
	                                                            else
	                                                                goto is_not_a_corner;
	                                                        else
	                                                            if(*(cache_0 + pixel[6]) > cb)
	                                                                if(*(cache_0 + pixel[7]) > cb)
	                                                                    if(*(cache_0 + pixel[4]) > cb)
	                                                                        if(*cache_2 > cb)
	                                                                            goto is_a_corner;
	                                                                        else
	                                                                            goto is_not_a_corner;
	                                                                    else
	                                                                        goto is_not_a_corner;
	                                                                else
	                                                                    goto is_not_a_corner;
	                                                            else
	                                                                goto is_not_a_corner;
	                                                    else if(*(cache_0 + pixel[13]) < c_b)
	                                                        goto is_not_a_corner;
	                                                    else
	                                                        if(*(cache_0 + pixel[4]) > cb)
	                                                            if(*cache_2 > cb)
	                                                                if(*(cache_0 + pixel[6]) > cb)
	                                                                    if(*(cache_0 + pixel[7]) > cb)
	                                                                        goto is_a_corner;
	                                                                    else
	                                                                        goto is_not_a_corner;
	                                                                else
	                                                                    goto is_not_a_corner;
	                                                            else
	                                                                goto is_not_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                else if(*(cache_0+3) < c_b)
	                                    if(*(cache_0 + pixel[11]) > cb)
	                                        if(*(cache_0 + pixel[13]) > cb)
	                                            if(*(cache_0 + pixel[0]) > cb)
	                                                goto is_a_corner;
	                                            else if(*(cache_0 + pixel[0]) < c_b)
	                                                if(*(cache_0 + pixel[4]) > cb)
	                                                    goto is_a_corner;
	                                                else if(*(cache_0 + pixel[4]) < c_b)
	                                                    goto is_not_a_corner;
	                                                else
	                                                    if(*(cache_0 + pixel[6]) > cb||*(cache_0 + pixel[6]) < c_b)
	                                                        goto is_not_a_corner;
	                                                    else
	                                                        goto is_a_corner;
	                                            else
	                                                if(*(cache_0 + pixel[9]) > cb)
	                                                    if(*(cache_0 + pixel[8]) > cb)
	                                                        if(*(cache_2+-4) > cb)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    if(*(cache_0 + pixel[11]) > cb)
	                                        if(*(cache_0 + pixel[13]) > cb)
	                                            if(*(cache_0 + pixel[0]) > cb)
	                                                goto is_a_corner;
	                                            else
	                                                if(*(cache_0 + pixel[8]) > cb)
	                                                    if(*(cache_0 + pixel[9]) > cb)
	                                                        if(*(cache_2+-4) > cb)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                            else if(*(cache_0 + pixel[16]) < c_b)
	                                if(*(cache_0 + pixel[6]) > cb)
	                                    if(*(cache_0 + pixel[8]) > cb)
	                                        if(*(cache_0 + pixel[7]) > cb)
	                                            if(*(cache_0 + pixel[4]) > cb)
	                                                if(*(cache_0+3) > cb)
	                                                    if(*cache_2 > cb||*cache_2 < c_b)
	                                                        goto is_a_corner;
	                                                    else
	                                                        if(*(cache_0 + pixel[9]) > cb)
	                                                            if(*(cache_2+-4) > cb)
	                                                                goto is_a_corner;
	                                                            else
	                                                                goto is_not_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else if(*(cache_0 + pixel[4]) < c_b)
	                                                if(*(cache_0 + pixel[9]) > cb)
	                                                    goto is_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                if(*(cache_2+-4) > cb)
	                                                    if(*(cache_0 + pixel[11]) > cb)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                if(*(cache_0 + pixel[7]) > cb)
	                                    if(*(cache_0 + pixel[6]) > cb)
	                                        if(*(cache_0 + pixel[8]) > cb)
	                                            if(*(cache_0 + pixel[4]) > cb)
	                                                if(*(cache_0+3) > cb)
	                                                    if(*cache_2 > cb)
	                                                        if(*(cache_0 + pixel[0]) > cb)
	                                                            goto is_a_corner;
	                                                        else if(*(cache_0 + pixel[0]) < c_b)
	                                                            goto is_not_a_corner;
	                                                        else
	                                                            if(*(cache_0 + pixel[9]) > cb)
	                                                                if(*(cache_2+-4) > cb)
	                                                                    goto is_a_corner;
	                                                                else
	                                                                    goto is_not_a_corner;
	                                                            else
	                                                                goto is_not_a_corner;
	                                                    else if(*cache_2 < c_b)
	                                                        if(*(cache_2+-4) > cb)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        if(*(cache_2+-4) > cb)
	                                                            if(*(cache_0 + pixel[13]) > cb)
	                                                                if(*(cache_0 + pixel[11]) > cb)
	                                                                    if(*(cache_0 + pixel[9]) > cb)
	                                                                        goto is_a_corner;
	                                                                    else
	                                                                        goto is_not_a_corner;
	                                                                else
	                                                                    goto is_not_a_corner;
	                                                            else
	                                                                goto is_not_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                else if(*(cache_0+3) < c_b)
	                                                    if(*(cache_0 + pixel[9]) > cb)
	                                                        if(*cache_2 > cb)
	                                                            if(*(cache_0 + pixel[13]) > cb)
	                                                                goto is_a_corner;
	                                                            else
	                                                                goto is_not_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    if(*(cache_0 + pixel[11]) > cb)
	                                                        if(*(cache_0 + pixel[9]) > cb)
	                                                            if(*(cache_0 + pixel[13]) > cb)
	                                                                if(*(cache_2+-4) > cb)
	                                                                    goto is_a_corner;
	                                                                else
	                                                                    goto is_not_a_corner;
	                                                            else
	                                                                goto is_not_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                            else if(*(cache_0 + pixel[4]) < c_b)
	                                                if(*(cache_0 + pixel[9]) > cb)
	                                                    if(*(cache_2+-4) > cb)
	                                                        if(*(cache_0 + pixel[11]) > cb)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                if(*(cache_2+-4) > cb)
	                                                    if(*(cache_0 + pixel[13]) > cb)
	                                                        if(*(cache_0 + pixel[9]) > cb)
	                                                            if(*(cache_0 + pixel[11]) > cb)
	                                                                goto is_a_corner;
	                                                            else
	                                                                goto is_not_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                        else if(*(cache_1+4) < c_b)
	                            if(*(cache_0 + pixel[11]) > cb)
	                                if(*(cache_0 + pixel[9]) > cb)
	                                    if(*(cache_2+-4) > cb)
	                                        if(*(cache_0 + pixel[8]) > cb)
	                                            if(*(cache_0 + pixel[16]) > cb)
	                                                if(*(cache_0 + pixel[13]) > cb)
	                                                    goto is_a_corner;
	                                                else if(*(cache_0 + pixel[13]) < c_b)
	                                                    goto is_not_a_corner;
	                                                else
	                                                    if(*(cache_0 + pixel[6]) > cb)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                            else if(*(cache_0 + pixel[16]) < c_b)
	                                                goto is_not_a_corner;
	                                            else
	                                                if(*(cache_0 + pixel[6]) > cb)
	                                                    if(*(cache_0 + pixel[7]) > cb)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                        else if(*(cache_0 + pixel[8]) < c_b)
	                                            if(*(cache_0 + pixel[0]) > cb)
	                                                if(*(cache_0 + pixel[4]) > cb)
	                                                    if(*cache_2 > cb)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            if(*(cache_0 + pixel[0]) > cb)
	                                                if(*(cache_0 + pixel[13]) > cb)
	                                                    if(*(cache_0 + pixel[16]) > cb)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                        else
	                            if(*(cache_2+-4) > cb)
	                                if(*(cache_0 + pixel[11]) > cb)
	                                    if(*(cache_0 + pixel[9]) > cb)
	                                        if(*(cache_0 + pixel[8]) > cb)
	                                            if(*(cache_0 + pixel[13]) > cb)
	                                                if(*(cache_0 + pixel[16]) > cb)
	                                                    goto is_a_corner;
	                                                else if(*(cache_0 + pixel[16]) < c_b)
	                                                    if(*(cache_0 + pixel[6]) > cb)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    if(*(cache_0 + pixel[6]) > cb)
	                                                        if(*(cache_0 + pixel[7]) > cb)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                            else if(*(cache_0 + pixel[13]) < c_b)
	                                                if(*cache_2 > cb)
	                                                    if(*(cache_0 + pixel[6]) > cb)
	                                                        if(*(cache_0 + pixel[4]) > cb)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                if(*cache_2 > cb)
	                                                    if(*(cache_0 + pixel[6]) > cb)
	                                                        if(*(cache_0 + pixel[4]) > cb)
	                                                            if(*(cache_0 + pixel[7]) > cb)
	                                                                if(*(cache_0+3) > cb)
	                                                                    goto is_a_corner;
	                                                                else
	                                                                    goto is_not_a_corner;
	                                                            else
	                                                                goto is_not_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                        else if(*(cache_0 + pixel[8]) < c_b)
	                                            if(*(cache_0 + pixel[0]) > cb)
	                                                if(*(cache_0 + pixel[13]) > cb)
	                                                    goto is_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            if(*(cache_0 + pixel[0]) > cb)
	                                                if(*(cache_0 + pixel[16]) > cb)
	                                                    if(*(cache_0 + pixel[13]) > cb)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                    else if(*(cache_0 + pixel[15]) < c_b)
	                        if(*cache_2 > cb)
	                            if(*(cache_0 + pixel[7]) > cb)
	                                if(*(cache_0 + pixel[6]) > cb)
	                                    if(*(cache_0 + pixel[8]) > cb)
	                                        if(*(cache_0 + pixel[11]) > cb)
	                                            if(*(cache_2+-4) > cb)
	                                                if(*(cache_0 + pixel[13]) > cb)
	                                                    if(*(cache_0 + pixel[9]) > cb)
	                                                        goto is_a_corner;
	                                                    else if(*(cache_0 + pixel[9]) < c_b)
	                                                        goto is_not_a_corner;
	                                                    else
	                                                        if(*(cache_0+3) > cb)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                else if(*(cache_0 + pixel[13]) < c_b)
	                                                    goto is_not_a_corner;
	                                                else
	                                                    if(*(cache_0 + pixel[4]) > cb)
	                                                        if(*(cache_1+4) > cb)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                            else if(*(cache_2+-4) < c_b)
	                                                goto is_a_corner;
	                                            else
	                                                if(*(cache_0 + pixel[0]) > cb)
	                                                    if(*(cache_0+3) > cb)
	                                                        if(*(cache_0 + pixel[4]) > cb)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                        else if(*(cache_0 + pixel[11]) < c_b)
	                                            if(*(cache_1+4) > cb)
	                                                goto is_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            if(*(cache_1+4) > cb)
	                                                if(*(cache_0+3) > cb)
	                                                    if(*(cache_0 + pixel[4]) > cb)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                    else if(*(cache_0 + pixel[8]) < c_b)
	                                        if(*(cache_0 + pixel[16]) > cb)
	                                            if(*(cache_0 + pixel[0]) > cb)
	                                                goto is_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        if(*(cache_0 + pixel[16]) > cb)
	                                            if(*(cache_1+4) > cb)
	                                                if(*(cache_0+3) > cb)
	                                                    if(*(cache_0 + pixel[4]) > cb)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                        else
	                            goto is_not_a_corner;
	                    else
	                        if(*(cache_0 + pixel[6]) > cb)
	                            if(*(cache_0 + pixel[7]) > cb)
	                                if(*cache_2 > cb)
	                                    if(*(cache_0 + pixel[8]) > cb)
	                                        if(*(cache_1+4) > cb)
	                                            if(*(cache_0+3) > cb)
	                                                if(*(cache_0 + pixel[4]) > cb)
	                                                    if(*(cache_0 + pixel[0]) > cb)
	                                                        goto is_a_corner;
	                                                    else
	                                                        if(*(cache_2+-4) > cb)
	                                                            if(*(cache_0 + pixel[9]) > cb)
	                                                                goto is_a_corner;
	                                                            else
	                                                                goto is_not_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                else if(*(cache_0 + pixel[4]) < c_b)
	                                                    if(*(cache_2+-4) > cb)
	                                                        if(*(cache_0 + pixel[16]) > cb)
	                                                            if(*(cache_0 + pixel[9]) > cb)
	                                                                if(*(cache_0 + pixel[13]) > cb)
	                                                                    goto is_a_corner;
	                                                                else
	                                                                    goto is_not_a_corner;
	                                                            else
	                                                                goto is_not_a_corner;
	                                                        else if(*(cache_0 + pixel[16]) < c_b)
	                                                            goto is_not_a_corner;
	                                                        else
	                                                            goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    if(*(cache_2+-4) > cb)
	                                                        if(*(cache_0 + pixel[13]) > cb)
	                                                            if(*(cache_0 + pixel[11]) > cb)
	                                                                if(*(cache_0 + pixel[9]) > cb)
	                                                                    goto is_a_corner;
	                                                                else
	                                                                    goto is_not_a_corner;
	                                                            else
	                                                                goto is_not_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                            else if(*(cache_0+3) < c_b)
	                                                if(*(cache_0 + pixel[11]) > cb)
	                                                    if(*(cache_0 + pixel[13]) > cb)
	                                                        if(*(cache_0 + pixel[9]) > cb)
	                                                            if(*(cache_2+-4) > cb)
	                                                                goto is_a_corner;
	                                                            else
	                                                                goto is_not_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                if(*(cache_2+-4) > cb)
	                                                    if(*(cache_0 + pixel[11]) > cb)
	                                                        if(*(cache_0 + pixel[9]) > cb)
	                                                            if(*(cache_0 + pixel[13]) > cb)
	                                                                goto is_a_corner;
	                                                            else
	                                                                goto is_not_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                        else if(*(cache_1+4) < c_b)
	                                            if(*(cache_0 + pixel[11]) > cb)
	                                                if(*(cache_2+-4) > cb)
	                                                    if(*(cache_0 + pixel[9]) > cb)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            if(*(cache_0 + pixel[11]) > cb)
	                                                if(*(cache_2+-4) > cb)
	                                                    if(*(cache_0 + pixel[9]) > cb)
	                                                        if(*(cache_0 + pixel[13]) > cb)
	                                                            goto is_a_corner;
	                                                        else if(*(cache_0 + pixel[13]) < c_b)
	                                                            goto is_not_a_corner;
	                                                        else
	                                                            if(*(cache_0 + pixel[4]) > cb)
	                                                                if(*(cache_0+3) > cb)
	                                                                    goto is_a_corner;
	                                                                else
	                                                                    goto is_not_a_corner;
	                                                            else
	                                                                goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                    else if(*(cache_0 + pixel[8]) < c_b)
	                                        if(*(cache_0 + pixel[16]) > cb)
	                                            if(*(cache_0 + pixel[0]) > cb)
	                                                if(*(cache_0 + pixel[4]) > cb)
	                                                    if(*(cache_1+4) > cb)
	                                                        if(*(cache_0+3) > cb)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        if(*(cache_0 + pixel[16]) > cb)
	                                            if(*(cache_1+4) > cb)
	                                                if(*(cache_0 + pixel[4]) > cb)
	                                                    if(*(cache_0 + pixel[0]) > cb)
	                                                        if(*(cache_0+3) > cb)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                        else
	                            goto is_not_a_corner;
	                else if(*(cache_0+-3) < c_b)
	                    if(*cache_2 > cb)
	                        if(*(cache_1+4) > cb)
	                            if(*(cache_0 + pixel[4]) > cb)
	                                if(*(cache_0 + pixel[16]) > cb)
	                                    if(*(cache_0+3) > cb)
	                                        if(*(cache_0 + pixel[15]) > cb)
	                                            if(*(cache_0 + pixel[0]) > cb)
	                                                goto is_a_corner;
	                                            else if(*(cache_0 + pixel[0]) < c_b)
	                                                if(*(cache_0 + pixel[9]) > cb)
	                                                    if(*(cache_0 + pixel[7]) > cb)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                if(*(cache_2+-4) > cb)
	                                                    if(*(cache_0 + pixel[6]) > cb)
	                                                        if(*(cache_0 + pixel[8]) > cb)
	                                                            if(*(cache_0 + pixel[7]) > cb)
	                                                                if(*(cache_0 + pixel[9]) > cb)
	                                                                    goto is_a_corner;
	                                                                else
	                                                                    goto is_not_a_corner;
	                                                            else
	                                                                goto is_not_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                        else if(*(cache_0 + pixel[15]) < c_b)
	                                            if(*(cache_0 + pixel[7]) > cb)
	                                                if(*(cache_0 + pixel[6]) > cb)
	                                                    if(*(cache_0 + pixel[0]) > cb)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            if(*(cache_0 + pixel[7]) > cb)
	                                                if(*(cache_0 + pixel[6]) > cb)
	                                                    if(*(cache_0 + pixel[0]) > cb)
	                                                        goto is_a_corner;
	                                                    else if(*(cache_0 + pixel[0]) < c_b)
	                                                        goto is_not_a_corner;
	                                                    else
	                                                        if(*(cache_2+-4) > cb)
	                                                            if(*(cache_0 + pixel[9]) > cb)
	                                                                goto is_a_corner;
	                                                            else
	                                                                goto is_not_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else if(*(cache_0 + pixel[16]) < c_b)
	                                    if(*(cache_0 + pixel[8]) > cb)
	                                        if(*(cache_0 + pixel[6]) > cb)
	                                            if(*(cache_0+3) > cb)
	                                                if(*(cache_0 + pixel[7]) > cb)
	                                                    goto is_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    if(*(cache_0 + pixel[8]) > cb)
	                                        if(*(cache_0 + pixel[6]) > cb)
	                                            if(*(cache_0 + pixel[7]) > cb)
	                                                if(*(cache_0+3) > cb)
	                                                    if(*(cache_0 + pixel[0]) > cb)
	                                                        goto is_a_corner;
	                                                    else if(*(cache_0 + pixel[0]) < c_b)
	                                                        goto is_not_a_corner;
	                                                    else
	                                                        if(*(cache_2+-4) > cb)
	                                                            if(*(cache_0 + pixel[9]) > cb)
	                                                                goto is_a_corner;
	                                                            else
	                                                                goto is_not_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                        else if(*(cache_1+4) < c_b)
	                            if(*(cache_0 + pixel[11]) > cb)
	                                if(*(cache_0 + pixel[9]) > cb)
	                                    if(*(cache_2+-4) > cb)
	                                        if(*(cache_0 + pixel[4]) > cb)
	                                            goto is_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                        else
	                            if(*(cache_0 + pixel[11]) > cb)
	                                if(*(cache_0 + pixel[7]) > cb)
	                                    if(*(cache_0 + pixel[9]) > cb)
	                                        if(*(cache_0 + pixel[4]) > cb)
	                                            if(*(cache_0 + pixel[8]) > cb)
	                                                if(*(cache_2+-4) > cb)
	                                                    if(*(cache_0+3) > cb)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                    else if(*cache_2 < c_b)
	                        if(*(cache_0+3) > cb)
	                            if(*(cache_0 + pixel[13]) > cb)
	                                if(*(cache_0 + pixel[4]) > cb)
	                                    if(*(cache_0 + pixel[15]) > cb)
	                                        if(*(cache_0 + pixel[0]) > cb)
	                                            if(*(cache_1+4) > cb)
	                                                if(*(cache_0 + pixel[16]) > cb)
	                                                    goto is_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else if(*(cache_0 + pixel[13]) < c_b)
	                                if(*(cache_0 + pixel[4]) < c_b)
	                                    if(*(cache_0 + pixel[8]) < c_b)
	                                        if(*(cache_0 + pixel[6]) < c_b)
	                                            if(*(cache_0 + pixel[11]) < c_b)
	                                                if(*(cache_0 + pixel[7]) < c_b)
	                                                    if(*(cache_0 + pixel[9]) < c_b)
	                                                        if(*(cache_2+-4) < c_b)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                        else if(*(cache_0+3) < c_b)
	                            if(*(cache_2+-4) < c_b)
	                                if(*(cache_0 + pixel[7]) < c_b)
	                                    if(*(cache_0 + pixel[9]) < c_b)
	                                        if(*(cache_0 + pixel[11]) < c_b)
	                                            if(*(cache_0 + pixel[6]) < c_b)
	                                                if(*(cache_0 + pixel[4]) < c_b)
	                                                    if(*(cache_0 + pixel[8]) < c_b)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                        else
	                            if(*(cache_0 + pixel[13]) < c_b)
	                                if(*(cache_0 + pixel[4]) < c_b)
	                                    if(*(cache_0 + pixel[9]) < c_b)
	                                        if(*(cache_0 + pixel[11]) < c_b)
	                                            if(*(cache_0 + pixel[6]) < c_b)
	                                                if(*(cache_0 + pixel[8]) < c_b)
	                                                    if(*(cache_2+-4) < c_b)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                    else
	                        if(*(cache_0 + pixel[13]) > cb)
	                            if(*(cache_0 + pixel[4]) > cb)
	                                if(*(cache_0 + pixel[15]) > cb)
	                                    if(*(cache_0 + pixel[0]) > cb)
	                                        if(*(cache_0 + pixel[16]) > cb)
	                                            if(*(cache_0+3) > cb)
	                                                if(*(cache_1+4) > cb)
	                                                    goto is_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                        else
	                            goto is_not_a_corner;
	                else
	                    if(*(cache_0 + pixel[4]) > cb)
	                        if(*(cache_1+4) > cb)
	                            if(*cache_2 > cb)
	                                if(*(cache_0+3) > cb)
	                                    if(*(cache_0 + pixel[16]) > cb)
	                                        if(*(cache_0 + pixel[0]) > cb)
	                                            if(*(cache_0 + pixel[15]) > cb)
	                                                goto is_a_corner;
	                                            else if(*(cache_0 + pixel[15]) < c_b)
	                                                if(*(cache_0 + pixel[6]) > cb)
	                                                    if(*(cache_0 + pixel[7]) > cb)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                if(*(cache_0 + pixel[7]) > cb)
	                                                    if(*(cache_0 + pixel[6]) > cb)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                        else if(*(cache_0 + pixel[0]) < c_b)
	                                            if(*(cache_2+-4) > cb)
	                                                if(*(cache_0 + pixel[8]) > cb)
	                                                    if(*(cache_0 + pixel[9]) > cb)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            if(*(cache_2+-4) > cb)
	                                                if(*(cache_0 + pixel[8]) > cb)
	                                                    if(*(cache_0 + pixel[6]) > cb)
	                                                        if(*(cache_0 + pixel[9]) > cb)
	                                                            if(*(cache_0 + pixel[7]) > cb)
	                                                                goto is_a_corner;
	                                                            else
	                                                                goto is_not_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                    else if(*(cache_0 + pixel[16]) < c_b)
	                                        if(*(cache_0 + pixel[8]) > cb)
	                                            if(*(cache_0 + pixel[6]) > cb)
	                                                if(*(cache_0 + pixel[7]) > cb)
	                                                    if(*(cache_0 + pixel[0]) > cb)
	                                                        goto is_a_corner;
	                                                    else if(*(cache_0 + pixel[0]) < c_b)
	                                                        goto is_not_a_corner;
	                                                    else
	                                                        if(*(cache_0 + pixel[13]) > cb)
	                                                            if(*(cache_0 + pixel[15]) > cb)
	                                                                goto is_a_corner;
	                                                            else
	                                                                goto is_not_a_corner;
	                                                        else if(*(cache_0 + pixel[13]) < c_b)
	                                                            goto is_not_a_corner;
	                                                        else
	                                                            goto is_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        if(*(cache_0 + pixel[7]) > cb)
	                                            if(*(cache_0 + pixel[8]) > cb)
	                                                if(*(cache_0 + pixel[6]) > cb)
	                                                    if(*(cache_0 + pixel[0]) > cb)
	                                                        goto is_a_corner;
	                                                    else if(*(cache_0 + pixel[0]) < c_b)
	                                                        goto is_not_a_corner;
	                                                    else
	                                                        if(*(cache_2+-4) > cb)
	                                                            if(*(cache_0 + pixel[9]) > cb)
	                                                                goto is_a_corner;
	                                                            else
	                                                                goto is_not_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else if(*cache_2 < c_b)
	                                if(*(cache_0 + pixel[13]) > cb)
	                                    if(*(cache_0 + pixel[15]) > cb)
	                                        if(*(cache_0+3) > cb)
	                                            if(*(cache_0 + pixel[0]) > cb)
	                                                if(*(cache_0 + pixel[16]) > cb)
	                                                    goto is_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                if(*(cache_0 + pixel[13]) > cb)
	                                    if(*(cache_0 + pixel[15]) > cb)
	                                        if(*(cache_0 + pixel[16]) > cb)
	                                            if(*(cache_0 + pixel[0]) > cb)
	                                                if(*(cache_0+3) > cb)
	                                                    goto is_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                        else if(*(cache_1+4) < c_b)
	                            if(*(cache_0 + pixel[11]) > cb)
	                                if(*(cache_0 + pixel[9]) > cb)
	                                    if(*(cache_0 + pixel[7]) > cb)
	                                        if(*(cache_2+-4) > cb)
	                                            if(*(cache_0 + pixel[6]) > cb)
	                                                if(*(cache_0+3) > cb)
	                                                    if(*(cache_0 + pixel[8]) > cb)
	                                                        if(*cache_2 > cb)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                        else
	                            if(*(cache_0 + pixel[11]) > cb)
	                                if(*(cache_0 + pixel[8]) > cb)
	                                    if(*(cache_0 + pixel[6]) > cb)
	                                        if(*(cache_2+-4) > cb)
	                                            if(*(cache_0 + pixel[9]) > cb)
	                                                if(*(cache_0+3) > cb)
	                                                    if(*(cache_0 + pixel[7]) > cb)
	                                                        if(*cache_2 > cb)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                    else
	                        goto is_not_a_corner;
	            else if(*(cache_0 + pixel[17]) < c_b)
	                if(*(cache_0 + pixel[6]) > cb)
	                    if(*(cache_2+-4) > cb)
	                        if(*(cache_0 + pixel[8]) > cb)
	                            if(*(cache_0 + pixel[11]) > cb)
	                                if(*(cache_0 + pixel[7]) > cb)
	                                    if(*(cache_0 + pixel[9]) > cb)
	                                        if(*cache_2 > cb)
	                                            if(*(cache_0+-3) > cb)
	                                                if(*(cache_0 + pixel[13]) > cb)
	                                                    goto is_a_corner;
	                                                else if(*(cache_0 + pixel[13]) < c_b)
	                                                    if(*(cache_0 + pixel[16]) > cb)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    if(*(cache_0 + pixel[4]) > cb)
	                                                        if(*(cache_0+3) > cb)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                            else
	                                                if(*(cache_0+3) > cb)
	                                                    if(*(cache_0 + pixel[4]) > cb)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                        else if(*cache_2 < c_b)
	                                            if(*(cache_0 + pixel[15]) > cb)
	                                                if(*(cache_0+-3) > cb)
	                                                    if(*(cache_0 + pixel[13]) > cb)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            if(*(cache_0 + pixel[15]) > cb)
	                                                if(*(cache_0 + pixel[13]) > cb)
	                                                    if(*(cache_0+-3) > cb)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else if(*(cache_0 + pixel[11]) < c_b)
	                                if(*(cache_1+4) > cb)
	                                    if(*(cache_0 + pixel[4]) > cb)
	                                        if(*(cache_0+3) > cb)
	                                            if(*(cache_0 + pixel[7]) > cb)
	                                                if(*cache_2 > cb)
	                                                    if(*(cache_0 + pixel[9]) > cb)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                if(*(cache_1+4) > cb)
	                                    if(*(cache_0 + pixel[4]) > cb)
	                                        if(*(cache_0 + pixel[7]) > cb)
	                                            if(*(cache_0 + pixel[9]) > cb)
	                                                if(*(cache_0+3) > cb)
	                                                    if(*cache_2 > cb)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                        else
	                            goto is_not_a_corner;
	                    else if(*(cache_2+-4) < c_b)
	                        if(*(cache_0 + pixel[0]) > cb)
	                            if(*(cache_0 + pixel[9]) > cb)
	                                if(*(cache_0 + pixel[4]) > cb)
	                                    if(*(cache_0 + pixel[15]) > cb)
	                                        if(*(cache_0 + pixel[11]) < c_b)
	                                            if(*(cache_1+4) > cb)
	                                                if(*(cache_0 + pixel[8]) > cb)
	                                                    goto is_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_a_corner;
	                                    else if(*(cache_0 + pixel[15]) < c_b)
	                                        goto is_not_a_corner;
	                                    else
	                                        if(*(cache_0 + pixel[11]) > cb||*(cache_0 + pixel[11]) < c_b)
	                                            goto is_not_a_corner;
	                                        else
	                                            if(*cache_2 > cb)
	                                                goto is_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                        else
	                            goto is_not_a_corner;
	                    else
	                        if(*(cache_0 + pixel[0]) > cb)
	                            if(*(cache_0 + pixel[9]) > cb)
	                                if(*(cache_0 + pixel[7]) > cb)
	                                    if(*(cache_0 + pixel[4]) > cb)
	                                        if(*(cache_0 + pixel[8]) > cb)
	                                            if(*cache_2 > cb)
	                                                if(*(cache_1+4) > cb)
	                                                    if(*(cache_0+3) > cb)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                        else
	                            goto is_not_a_corner;
	                else if(*(cache_0 + pixel[6]) < c_b)
	                    if(*(cache_0+-3) > cb)
	                        if(*(cache_0 + pixel[16]) > cb)
	                            if(*(cache_0 + pixel[7]) > cb)
	                                if(*(cache_0 + pixel[9]) > cb)
	                                    if(*(cache_0 + pixel[8]) > cb)
	                                        if(*(cache_2+-4) > cb)
	                                            if(*(cache_0 + pixel[15]) > cb)
	                                                if(*(cache_1+4) < c_b)
	                                                    goto is_not_a_corner;
	                                                else
	                                                    goto is_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                        else
	                            goto is_not_a_corner;
	                    else if(*(cache_0+-3) < c_b)
	                        if(*(cache_0 + pixel[4]) < c_b)
	                            if(*(cache_0+3) > cb)
	                                if(*(cache_0 + pixel[13]) < c_b)
	                                    if(*(cache_2+-4) < c_b)
	                                        if(*(cache_0 + pixel[8]) < c_b)
	                                            if(*cache_2 < c_b)
	                                                goto is_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else if(*(cache_0+3) < c_b)
	                                if(*(cache_0 + pixel[9]) < c_b)
	                                    if(*(cache_2+-4) < c_b)
	                                        if(*cache_2 < c_b)
	                                            if(*(cache_0 + pixel[11]) < c_b)
	                                                if(*(cache_0 + pixel[8]) < c_b)
	                                                    if(*(cache_0 + pixel[7]) < c_b)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                if(*(cache_0 + pixel[13]) < c_b)
	                                    if(*(cache_0 + pixel[9]) < c_b)
	                                        if(*(cache_0 + pixel[7]) < c_b)
	                                            if(*(cache_0 + pixel[11]) < c_b)
	                                                if(*cache_2 < c_b)
	                                                    goto is_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                        else
	                            goto is_not_a_corner;
	                    else
	                        goto is_not_a_corner;
	                else
	                    if(*(cache_0 + pixel[16]) > cb)
	                        if(*(cache_0 + pixel[7]) > cb)
	                            if(*(cache_2+-4) > cb)
	                                if(*(cache_0+-3) > cb)
	                                    if(*(cache_0 + pixel[9]) > cb)
	                                        if(*(cache_0 + pixel[8]) > cb)
	                                            if(*(cache_0 + pixel[13]) > cb)
	                                                if(*(cache_0 + pixel[11]) > cb)
	                                                    if(*(cache_0 + pixel[15]) > cb)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                        else
	                            goto is_not_a_corner;
	                    else
	                        goto is_not_a_corner;
	            else
	                if(*(cache_0 + pixel[7]) > cb)
	                    if(*(cache_0 + pixel[9]) > cb)
	                        if(*(cache_0 + pixel[6]) > cb)
	                            if(*(cache_0 + pixel[11]) > cb)
	                                if(*(cache_0 + pixel[8]) > cb)
	                                    if(*cache_2 > cb)
	                                        if(*(cache_2+-4) > cb)
	                                            if(*(cache_0+-3) > cb)
	                                                if(*(cache_0 + pixel[13]) > cb)
	                                                    goto is_a_corner;
	                                                else if(*(cache_0 + pixel[13]) < c_b)
	                                                    if(*(cache_0+3) > cb)
	                                                        if(*(cache_0 + pixel[4]) > cb)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    if(*(cache_0 + pixel[4]) > cb)
	                                                        if(*(cache_0+3) > cb)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                            else
	                                                if(*(cache_0+3) > cb)
	                                                    if(*(cache_0 + pixel[4]) > cb)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                        else if(*(cache_2+-4) < c_b)
	                                            if(*(cache_0 + pixel[0]) > cb)
	                                                if(*(cache_0+3) > cb)
	                                                    if(*(cache_1+4) > cb)
	                                                        if(*(cache_0 + pixel[4]) > cb)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            if(*(cache_0 + pixel[0]) > cb)
	                                                if(*(cache_1+4) > cb)
	                                                    if(*(cache_0 + pixel[4]) > cb)
	                                                        if(*(cache_0+3) > cb)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                    else if(*cache_2 < c_b)
	                                        if(*(cache_0 + pixel[15]) > cb)
	                                            if(*(cache_0 + pixel[13]) > cb)
	                                                if(*(cache_0+-3) > cb)
	                                                    if(*(cache_2+-4) > cb)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        if(*(cache_0 + pixel[15]) > cb)
	                                            if(*(cache_0 + pixel[13]) > cb)
	                                                if(*(cache_2+-4) > cb)
	                                                    if(*(cache_0+-3) > cb)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else if(*(cache_0 + pixel[11]) < c_b)
	                                if(*(cache_1+4) > cb)
	                                    if(*(cache_0 + pixel[4]) > cb)
	                                        if(*(cache_0 + pixel[0]) > cb)
	                                            if(*cache_2 > cb)
	                                                if(*(cache_0 + pixel[8]) > cb)
	                                                    if(*(cache_0+3) > cb)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else if(*(cache_0 + pixel[0]) < c_b)
	                                            if(*(cache_2+-4) > cb)
	                                                if(*(cache_0 + pixel[8]) > cb)
	                                                    if(*(cache_0+3) > cb)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            if(*(cache_2+-4) > cb)
	                                                if(*(cache_0+3) > cb)
	                                                    if(*cache_2 > cb)
	                                                        if(*(cache_0 + pixel[8]) > cb)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                if(*(cache_1+4) > cb)
	                                    if(*(cache_0 + pixel[4]) > cb)
	                                        if(*(cache_0 + pixel[0]) > cb)
	                                            if(*(cache_0 + pixel[8]) > cb)
	                                                if(*cache_2 > cb)
	                                                    if(*(cache_0+3) > cb)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else if(*(cache_0 + pixel[0]) < c_b)
	                                            if(*(cache_2+-4) > cb)
	                                                if(*cache_2 > cb)
	                                                    if(*(cache_0+3) > cb)
	                                                        if(*(cache_0 + pixel[8]) > cb)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            if(*(cache_2+-4) > cb)
	                                                if(*(cache_0+3) > cb)
	                                                    if(*(cache_0 + pixel[8]) > cb)
	                                                        if(*cache_2 > cb)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                        else if(*(cache_0 + pixel[6]) < c_b)
	                            if(*(cache_0 + pixel[16]) > cb)
	                                if(*(cache_0 + pixel[11]) > cb)
	                                    if(*(cache_2+-4) > cb)
	                                        if(*(cache_0+-3) > cb)
	                                            if(*(cache_0 + pixel[15]) > cb)
	                                                if(*(cache_0 + pixel[8]) > cb)
	                                                    if(*(cache_0 + pixel[13]) > cb)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                        else
	                            if(*(cache_0 + pixel[16]) > cb)
	                                if(*(cache_0 + pixel[11]) > cb)
	                                    if(*(cache_0 + pixel[13]) > cb)
	                                        if(*(cache_0 + pixel[15]) > cb)
	                                            if(*(cache_2+-4) > cb)
	                                                if(*(cache_0 + pixel[8]) > cb)
	                                                    if(*(cache_0+-3) > cb)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                    else
	                        goto is_not_a_corner;
	                else if(*(cache_0 + pixel[7]) < c_b)
	                    if(*(cache_0+-3) < c_b)
	                        if(*(cache_0 + pixel[4]) < c_b)
	                            if(*(cache_0 + pixel[13]) > cb)
	                                if(*(cache_0+3) < c_b)
	                                    if(*(cache_2+-4) < c_b)
	                                        if(*(cache_0 + pixel[6]) < c_b)
	                                            if(*(cache_0 + pixel[8]) < c_b)
	                                                if(*(cache_0 + pixel[9]) < c_b)
	                                                    goto is_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else if(*(cache_0 + pixel[13]) < c_b)
	                                if(*(cache_2+-4) < c_b)
	                                    if(*(cache_0 + pixel[6]) < c_b)
	                                        if(*(cache_0 + pixel[9]) < c_b)
	                                            if(*cache_2 < c_b)
	                                                if(*(cache_0 + pixel[11]) < c_b)
	                                                    if(*(cache_0 + pixel[8]) < c_b)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                if(*(cache_0+3) < c_b)
	                                    if(*(cache_2+-4) < c_b)
	                                        if(*cache_2 < c_b)
	                                            if(*(cache_0 + pixel[11]) < c_b)
	                                                if(*(cache_0 + pixel[9]) < c_b)
	                                                    if(*(cache_0 + pixel[6]) < c_b)
	                                                        if(*(cache_0 + pixel[8]) < c_b)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                        else
	                            goto is_not_a_corner;
	                    else
	                        goto is_not_a_corner;
	                else
	                    goto is_not_a_corner;
	        else if(*(cache_0 + pixel[2]) < c_b)
	            if(*(cache_0 + pixel[7]) > cb)
	                if(*(cache_2+-4) > cb)
	                    if(*(cache_0 + pixel[16]) > cb)
	                        if(*(cache_0+-3) > cb)
	                            if(*(cache_0 + pixel[11]) > cb)
	                                if(*(cache_0 + pixel[9]) > cb)
	                                    if(*(cache_0 + pixel[15]) > cb)
	                                        if(*(cache_0 + pixel[13]) > cb)
	                                            if(*(cache_0 + pixel[8]) > cb)
	                                                goto is_a_corner;
	                                            else if(*(cache_0 + pixel[8]) < c_b)
	                                                if(*(cache_0 + pixel[0]) > cb)
	                                                    if(*cache_2 < c_b)
	                                                        goto is_not_a_corner;
	                                                    else
	                                                        goto is_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                if(*(cache_0 + pixel[0]) > cb)
	                                                    if(*(cache_0 + pixel[17]) > cb)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                        else if(*(cache_0 + pixel[13]) < c_b)
	                                            if(*(cache_0+3) > cb)
	                                                goto is_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            if(*(cache_0+3) > cb)
	                                                if(*cache_2 > cb)
	                                                    if(*(cache_0 + pixel[4]) > cb)
	                                                        if(*(cache_0 + pixel[6]) > cb)
	                                                            if(*(cache_0 + pixel[8]) > cb)
	                                                                goto is_a_corner;
	                                                            else
	                                                                goto is_not_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                    else if(*(cache_0 + pixel[15]) < c_b)
	                                        if(*cache_2 > cb)
	                                            if(*(cache_0 + pixel[6]) > cb)
	                                                goto is_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        if(*cache_2 > cb)
	                                            if(*(cache_0 + pixel[6]) > cb)
	                                                if(*(cache_0 + pixel[8]) > cb)
	                                                    if(*(cache_0 + pixel[13]) > cb)
	                                                        goto is_a_corner;
	                                                    else if(*(cache_0 + pixel[13]) < c_b)
	                                                        goto is_not_a_corner;
	                                                    else
	                                                        if(*(cache_0+3) > cb)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                else if(*(cache_0 + pixel[9]) < c_b)
	                                    if(*(cache_1+4) > cb)
	                                        if(*(cache_0 + pixel[0]) > cb)
	                                            if(*(cache_0 + pixel[15]) > cb)
	                                                if(*(cache_0 + pixel[17]) > cb)
	                                                    goto is_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    if(*(cache_1+4) > cb)
	                                        if(*(cache_0 + pixel[0]) > cb)
	                                            if(*(cache_0 + pixel[15]) > cb)
	                                                if(*(cache_0 + pixel[13]) > cb)
	                                                    if(*(cache_0 + pixel[17]) > cb)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                        else
	                            goto is_not_a_corner;
	                    else if(*(cache_0 + pixel[16]) < c_b)
	                        if(*cache_2 > cb)
	                            if(*(cache_0+-3) > cb)
	                                if(*(cache_0 + pixel[6]) > cb)
	                                    if(*(cache_0 + pixel[9]) > cb)
	                                        if(*(cache_0 + pixel[11]) > cb)
	                                            if(*(cache_0 + pixel[8]) > cb)
	                                                if(*(cache_0 + pixel[13]) > cb)
	                                                    goto is_a_corner;
	                                                else if(*(cache_0 + pixel[13]) < c_b)
	                                                    goto is_not_a_corner;
	                                                else
	                                                    if(*(cache_0+3) > cb)
	                                                        if(*(cache_0 + pixel[4]) > cb)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                        else if(*cache_2 < c_b)
	                            if(*(cache_0 + pixel[6]) > cb)
	                                if(*(cache_0 + pixel[15]) > cb)
	                                    if(*(cache_0 + pixel[11]) > cb)
	                                        if(*(cache_0 + pixel[9]) > cb)
	                                            if(*(cache_0+-3) > cb)
	                                                if(*(cache_0 + pixel[8]) > cb)
	                                                    if(*(cache_0 + pixel[13]) > cb)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else if(*(cache_0 + pixel[6]) < c_b)
	                                if(*(cache_0 + pixel[15]) < c_b)
	                                    if(*(cache_0 + pixel[0]) < c_b)
	                                        if(*(cache_0+3) < c_b)
	                                            if(*(cache_1+4) < c_b)
	                                                if(*(cache_0 + pixel[17]) < c_b)
	                                                    if(*(cache_0 + pixel[4]) < c_b)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                        else
	                            if(*(cache_0 + pixel[15]) > cb)
	                                if(*(cache_0 + pixel[6]) > cb)
	                                    if(*(cache_0+-3) > cb)
	                                        if(*(cache_0 + pixel[8]) > cb)
	                                            if(*(cache_0 + pixel[13]) > cb)
	                                                if(*(cache_0 + pixel[11]) > cb)
	                                                    if(*(cache_0 + pixel[9]) > cb)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                    else
	                        if(*(cache_0 + pixel[6]) > cb)
	                            if(*(cache_0 + pixel[15]) > cb)
	                                if(*(cache_0+-3) > cb)
	                                    if(*(cache_0 + pixel[8]) > cb)
	                                        if(*(cache_0 + pixel[11]) > cb)
	                                            if(*(cache_0 + pixel[13]) > cb)
	                                                if(*(cache_0 + pixel[9]) > cb)
	                                                    goto is_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else if(*(cache_0 + pixel[13]) < c_b)
	                                                goto is_not_a_corner;
	                                            else
	                                                if(*(cache_0+3) > cb)
	                                                    if(*(cache_0 + pixel[4]) > cb)
	                                                        if(*(cache_0 + pixel[9]) > cb)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else if(*(cache_0 + pixel[15]) < c_b)
	                                if(*cache_2 > cb)
	                                    if(*(cache_0+-3) > cb)
	                                        if(*(cache_0 + pixel[9]) > cb)
	                                            if(*(cache_0 + pixel[13]) > cb)
	                                                if(*(cache_0 + pixel[11]) > cb)
	                                                    if(*(cache_0 + pixel[8]) > cb)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else if(*(cache_0 + pixel[13]) < c_b)
	                                                goto is_not_a_corner;
	                                            else
	                                                if(*(cache_0+3) > cb)
	                                                    goto is_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                if(*cache_2 > cb)
	                                    if(*(cache_0+-3) > cb)
	                                        if(*(cache_0 + pixel[8]) > cb)
	                                            if(*(cache_0 + pixel[11]) > cb)
	                                                if(*(cache_0 + pixel[13]) > cb)
	                                                    if(*(cache_0 + pixel[9]) > cb)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else if(*(cache_0 + pixel[13]) < c_b)
	                                                    goto is_not_a_corner;
	                                                else
	                                                    if(*(cache_0+3) > cb)
	                                                        if(*(cache_0 + pixel[4]) > cb)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                        else
	                            goto is_not_a_corner;
	                else if(*(cache_2+-4) < c_b)
	                    if(*(cache_0 + pixel[6]) < c_b)
	                        if(*(cache_0 + pixel[15]) < c_b)
	                            if(*(cache_0 + pixel[17]) < c_b)
	                                if(*(cache_0 + pixel[4]) < c_b)
	                                    if(*(cache_0+-3) > cb)
	                                        goto is_a_corner;
	                                    else if(*(cache_0+-3) < c_b)
	                                        if(*(cache_1+4) < c_b)
	                                            if(*cache_2 < c_b)
	                                                if(*(cache_0 + pixel[16]) < c_b)
	                                                    goto is_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        if(*(cache_0 + pixel[13]) > cb)
	                                            if(*(cache_0 + pixel[0]) < c_b)
	                                                if(*(cache_0+3) < c_b)
	                                                    if(*(cache_0 + pixel[8]) < c_b)
	                                                        goto is_not_a_corner;
	                                                    else
	                                                        goto is_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else if(*(cache_0 + pixel[13]) < c_b)
	                                            goto is_not_a_corner;
	                                        else
	                                            goto is_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                        else
	                            goto is_not_a_corner;
	                    else
	                        goto is_not_a_corner;
	                else
	                    if(*(cache_0 + pixel[15]) < c_b)
	                        if(*(cache_0 + pixel[6]) < c_b)
	                            if(*cache_2 < c_b)
	                                if(*(cache_0 + pixel[0]) < c_b)
	                                    if(*(cache_1+4) < c_b)
	                                        if(*(cache_0 + pixel[16]) < c_b)
	                                            if(*(cache_0+3) < c_b)
	                                                goto is_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                        else
	                            goto is_not_a_corner;
	                    else
	                        goto is_not_a_corner;
	            else if(*(cache_0 + pixel[7]) < c_b)
	                if(*(cache_0 + pixel[17]) > cb)
	                    if(*(cache_0 + pixel[11]) > cb)
	                        if(*(cache_0 + pixel[9]) > cb)
	                            if(*(cache_0 + pixel[0]) > cb)
	                                if(*(cache_0 + pixel[15]) > cb)
	                                    if(*(cache_2+-4) > cb)
	                                        if(*(cache_0+-3) > cb)
	                                            if(*(cache_0 + pixel[16]) > cb)
	                                                if(*(cache_0 + pixel[13]) > cb)
	                                                    goto is_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else if(*(cache_0 + pixel[0]) < c_b)
	                                if(*(cache_0 + pixel[8]) > cb)
	                                    if(*(cache_0 + pixel[16]) > cb)
	                                        if(*(cache_0 + pixel[13]) > cb)
	                                            if(*(cache_0 + pixel[15]) > cb)
	                                                if(*(cache_0+-3) > cb)
	                                                    if(*(cache_2+-4) > cb)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                if(*(cache_0 + pixel[8]) > cb)
	                                    if(*(cache_0 + pixel[15]) > cb)
	                                        if(*(cache_0+-3) > cb)
	                                            if(*(cache_0 + pixel[13]) > cb)
	                                                if(*(cache_2+-4) > cb)
	                                                    if(*(cache_0 + pixel[16]) > cb)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                        else if(*(cache_0 + pixel[9]) < c_b)
	                            if(*(cache_0 + pixel[0]) > cb)
	                                if(*(cache_2+-4) > cb)
	                                    if(*(cache_1+4) > cb)
	                                        if(*(cache_0+-3) > cb)
	                                            if(*(cache_0 + pixel[16]) > cb)
	                                                if(*(cache_0 + pixel[13]) > cb)
	                                                    if(*(cache_0 + pixel[15]) > cb)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else if(*(cache_2+-4) < c_b)
	                                    if(*(cache_1+4) < c_b)
	                                        if(*(cache_0 + pixel[6]) < c_b)
	                                            if(*(cache_0+3) < c_b)
	                                                if(*cache_2 < c_b)
	                                                    if(*(cache_0 + pixel[8]) < c_b)
	                                                        if(*(cache_0 + pixel[4]) < c_b)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else if(*(cache_0 + pixel[0]) < c_b)
	                                if(*(cache_0 + pixel[6]) < c_b)
	                                    if(*(cache_0 + pixel[4]) < c_b)
	                                        if(*(cache_1+4) < c_b)
	                                            if(*(cache_0 + pixel[8]) < c_b)
	                                                if(*(cache_0+3) < c_b)
	                                                    if(*cache_2 < c_b)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                if(*(cache_2+-4) < c_b)
	                                    if(*(cache_1+4) < c_b)
	                                        if(*(cache_0 + pixel[6]) < c_b)
	                                            if(*(cache_0+3) < c_b)
	                                                if(*cache_2 < c_b)
	                                                    if(*(cache_0 + pixel[8]) < c_b)
	                                                        if(*(cache_0 + pixel[4]) < c_b)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                        else
	                            if(*(cache_1+4) > cb)
	                                if(*(cache_2+-4) > cb)
	                                    if(*(cache_0 + pixel[15]) > cb)
	                                        if(*(cache_0+-3) > cb)
	                                            if(*(cache_0 + pixel[0]) > cb)
	                                                if(*(cache_0 + pixel[16]) > cb)
	                                                    if(*(cache_0 + pixel[13]) > cb)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                    else if(*(cache_0 + pixel[11]) < c_b)
	                        if(*cache_2 < c_b)
	                            if(*(cache_0 + pixel[9]) < c_b)
	                                if(*(cache_0 + pixel[4]) < c_b)
	                                    if(*(cache_0 + pixel[6]) < c_b)
	                                        if(*(cache_2+-4) > cb)
	                                            if(*(cache_0 + pixel[0]) < c_b)
	                                                goto is_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else if(*(cache_2+-4) < c_b)
	                                            if(*(cache_0+3) > cb)
	                                                if(*(cache_0 + pixel[13]) < c_b)
	                                                    goto is_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else if(*(cache_0+3) < c_b)
	                                                if(*(cache_0 + pixel[8]) < c_b)
	                                                    goto is_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                if(*(cache_0 + pixel[13]) < c_b)
	                                                    if(*(cache_0+-3) < c_b)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                        else
	                                            if(*(cache_0 + pixel[0]) < c_b)
	                                                if(*(cache_0+-3) > cb)
	                                                    if(*(cache_0 + pixel[8]) < c_b)
	                                                        if(*(cache_0+3) < c_b)
	                                                            if(*(cache_1+4) < c_b)
	                                                                goto is_a_corner;
	                                                            else
	                                                                goto is_not_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else if(*(cache_0+-3) < c_b)
	                                                    if(*(cache_0 + pixel[16]) > cb)
	                                                        goto is_a_corner;
	                                                    else if(*(cache_0 + pixel[16]) < c_b)
	                                                        goto is_not_a_corner;
	                                                    else
	                                                        if(*(cache_1+4) < c_b)
	                                                            if(*(cache_0 + pixel[8]) < c_b)
	                                                                goto is_a_corner;
	                                                            else
	                                                                goto is_not_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                else
	                                                    if(*(cache_1+4) < c_b)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                        else
	                            goto is_not_a_corner;
	                    else
	                        if(*(cache_1+4) < c_b)
	                            if(*(cache_2+-4) > cb)
	                                if(*(cache_0 + pixel[9]) < c_b)
	                                    if(*(cache_0 + pixel[0]) < c_b)
	                                        if(*(cache_0 + pixel[6]) < c_b)
	                                            if(*(cache_0+3) < c_b)
	                                                goto is_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else if(*(cache_2+-4) < c_b)
	                                if(*cache_2 < c_b)
	                                    if(*(cache_0 + pixel[9]) < c_b)
	                                        if(*(cache_0+3) < c_b)
	                                            if(*(cache_0 + pixel[6]) < c_b)
	                                                if(*(cache_0 + pixel[4]) < c_b)
	                                                    if(*(cache_0 + pixel[8]) < c_b)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                if(*(cache_0 + pixel[0]) < c_b)
	                                    if(*(cache_0 + pixel[9]) < c_b)
	                                        if(*(cache_0 + pixel[4]) < c_b)
	                                            if(*(cache_0 + pixel[6]) < c_b)
	                                                if(*(cache_0 + pixel[8]) < c_b)
	                                                    if(*cache_2 < c_b)
	                                                        if(*(cache_0+3) < c_b)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                        else
	                            goto is_not_a_corner;
	                else if(*(cache_0 + pixel[17]) < c_b)
	                    if(*cache_2 < c_b)
	                        if(*(cache_0 + pixel[8]) > cb)
	                            if(*(cache_0 + pixel[16]) < c_b)
	                                if(*(cache_0+3) < c_b)
	                                    if(*(cache_0 + pixel[0]) < c_b)
	                                        if(*(cache_0 + pixel[6]) < c_b)
	                                            if(*(cache_0 + pixel[4]) < c_b)
	                                                if(*(cache_1+4) < c_b)
	                                                    goto is_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                        else if(*(cache_0 + pixel[8]) < c_b)
	                            if(*(cache_0 + pixel[4]) < c_b)
	                                if(*(cache_0 + pixel[6]) < c_b)
	                                    if(*(cache_1+4) > cb)
	                                        if(*(cache_0 + pixel[11]) < c_b)
	                                            if(*(cache_0 + pixel[9]) < c_b)
	                                                if(*(cache_2+-4) < c_b)
	                                                    if(*(cache_0+3) > cb)
	                                                        goto is_not_a_corner;
	                                                    else if(*(cache_0+3) < c_b)
	                                                        goto is_a_corner;
	                                                    else
	                                                        if(*(cache_0 + pixel[0]) < c_b)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else if(*(cache_1+4) < c_b)
	                                        if(*(cache_0+3) > cb)
	                                            if(*(cache_0 + pixel[13]) < c_b)
	                                                if(*(cache_0 + pixel[11]) < c_b)
	                                                    goto is_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else if(*(cache_0+3) < c_b)
	                                            if(*(cache_0 + pixel[0]) < c_b)
	                                                goto is_a_corner;
	                                            else
	                                                if(*(cache_2+-4) < c_b)
	                                                    if(*(cache_0 + pixel[9]) < c_b)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                        else
	                                            if(*(cache_0 + pixel[13]) < c_b)
	                                                if(*(cache_0 + pixel[11]) < c_b)
	                                                    if(*(cache_0 + pixel[9]) < c_b)
	                                                        if(*(cache_0+-3) < c_b)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                    else
	                                        if(*(cache_0 + pixel[11]) < c_b)
	                                            if(*(cache_2+-4) < c_b)
	                                                if(*(cache_0 + pixel[9]) < c_b)
	                                                    if(*(cache_0+3) > cb)
	                                                        goto is_not_a_corner;
	                                                    else if(*(cache_0+3) < c_b)
	                                                        goto is_a_corner;
	                                                    else
	                                                        if(*(cache_0 + pixel[13]) < c_b)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                        else
	                            if(*(cache_0 + pixel[16]) < c_b)
	                                if(*(cache_0 + pixel[0]) < c_b)
	                                    if(*(cache_0 + pixel[4]) < c_b)
	                                        if(*(cache_0 + pixel[6]) < c_b)
	                                            if(*(cache_0+3) < c_b)
	                                                if(*(cache_1+4) < c_b)
	                                                    goto is_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                    else
	                        goto is_not_a_corner;
	                else
	                    if(*(cache_0 + pixel[9]) < c_b)
	                        if(*(cache_1+4) > cb)
	                            if(*(cache_0 + pixel[11]) < c_b)
	                                if(*cache_2 < c_b)
	                                    if(*(cache_0+3) > cb)
	                                        goto is_not_a_corner;
	                                    else if(*(cache_0+3) < c_b)
	                                        if(*(cache_0 + pixel[6]) < c_b)
	                                            if(*(cache_2+-4) < c_b)
	                                                if(*(cache_0 + pixel[8]) < c_b)
	                                                    if(*(cache_0 + pixel[4]) < c_b)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        if(*(cache_0 + pixel[16]) < c_b)
	                                            if(*(cache_0 + pixel[13]) < c_b)
	                                                goto is_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                        else if(*(cache_1+4) < c_b)
	                            if(*cache_2 < c_b)
	                                if(*(cache_0 + pixel[0]) > cb)
	                                    if(*(cache_2+-4) < c_b)
	                                        if(*(cache_0+3) < c_b)
	                                            if(*(cache_0 + pixel[6]) < c_b)
	                                                if(*(cache_0 + pixel[4]) < c_b)
	                                                    if(*(cache_0 + pixel[8]) < c_b)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else if(*(cache_0 + pixel[0]) < c_b)
	                                    if(*(cache_0 + pixel[4]) < c_b)
	                                        if(*(cache_0 + pixel[6]) < c_b)
	                                            if(*(cache_0 + pixel[8]) < c_b)
	                                                if(*(cache_0+3) > cb)
	                                                    if(*(cache_2+-4) < c_b)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else if(*(cache_0+3) < c_b)
	                                                    goto is_a_corner;
	                                                else
	                                                    if(*(cache_0 + pixel[13]) < c_b)
	                                                        if(*(cache_0 + pixel[11]) < c_b)
	                                                            if(*(cache_2+-4) < c_b)
	                                                                goto is_a_corner;
	                                                            else
	                                                                goto is_not_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    if(*(cache_2+-4) < c_b)
	                                        if(*(cache_0 + pixel[4]) < c_b)
	                                            if(*(cache_0 + pixel[6]) < c_b)
	                                                if(*(cache_0 + pixel[8]) < c_b)
	                                                    if(*(cache_0+3) > cb)
	                                                        goto is_not_a_corner;
	                                                    else if(*(cache_0+3) < c_b)
	                                                        goto is_a_corner;
	                                                    else
	                                                        if(*(cache_0 + pixel[13]) < c_b)
	                                                            if(*(cache_0+-3) < c_b)
	                                                                goto is_a_corner;
	                                                            else
	                                                                goto is_not_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                        else
	                            if(*(cache_0 + pixel[11]) < c_b)
	                                if(*(cache_0 + pixel[4]) < c_b)
	                                    if(*(cache_0 + pixel[6]) < c_b)
	                                        if(*(cache_2+-4) < c_b)
	                                            if(*(cache_0+3) > cb)
	                                                goto is_not_a_corner;
	                                            else if(*(cache_0+3) < c_b)
	                                                if(*cache_2 < c_b)
	                                                    if(*(cache_0 + pixel[8]) < c_b)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                if(*(cache_0 + pixel[13]) < c_b)
	                                                    if(*(cache_0+-3) < c_b)
	                                                        if(*cache_2 < c_b)
	                                                            if(*(cache_0 + pixel[8]) < c_b)
	                                                                goto is_a_corner;
	                                                            else
	                                                                goto is_not_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                    else
	                        goto is_not_a_corner;
	            else
	                if(*(cache_0 + pixel[17]) > cb)
	                    if(*(cache_0 + pixel[9]) > cb)
	                        if(*(cache_0 + pixel[11]) > cb)
	                            if(*(cache_0 + pixel[15]) > cb)
	                                if(*(cache_0 + pixel[8]) > cb)
	                                    if(*(cache_2+-4) > cb)
	                                        if(*(cache_0+-3) > cb)
	                                            if(*(cache_0 + pixel[16]) > cb)
	                                                if(*(cache_0 + pixel[13]) > cb)
	                                                    goto is_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    if(*(cache_0 + pixel[0]) > cb)
	                                        if(*(cache_2+-4) > cb)
	                                            if(*(cache_0+-3) > cb)
	                                                if(*(cache_0 + pixel[16]) > cb)
	                                                    if(*(cache_0 + pixel[13]) > cb)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                        else
	                            goto is_not_a_corner;
	                    else if(*(cache_0 + pixel[9]) < c_b)
	                        if(*(cache_2+-4) > cb)
	                            if(*(cache_1+4) > cb)
	                                if(*(cache_0 + pixel[16]) > cb)
	                                    if(*(cache_0+-3) > cb)
	                                        if(*(cache_0 + pixel[11]) > cb)
	                                            if(*(cache_0 + pixel[13]) > cb)
	                                                if(*(cache_0 + pixel[4]) > cb)
	                                                    if(*(cache_0 + pixel[0]) > cb)
	                                                        if(*(cache_0 + pixel[15]) > cb)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                        else
	                            goto is_not_a_corner;
	                    else
	                        if(*(cache_1+4) > cb)
	                            if(*(cache_2+-4) > cb)
	                                if(*(cache_0 + pixel[11]) > cb)
	                                    if(*(cache_0+-3) > cb)
	                                        if(*(cache_0 + pixel[15]) > cb)
	                                            if(*(cache_0 + pixel[0]) > cb)
	                                                if(*(cache_0 + pixel[16]) > cb)
	                                                    if(*(cache_0 + pixel[13]) > cb)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                        else
	                            goto is_not_a_corner;
	                else if(*(cache_0 + pixel[17]) < c_b)
	                    if(*(cache_0 + pixel[15]) < c_b)
	                        if(*(cache_0 + pixel[6]) < c_b)
	                            if(*(cache_0 + pixel[4]) < c_b)
	                                if(*(cache_0 + pixel[0]) < c_b)
	                                    if(*cache_2 < c_b)
	                                        if(*(cache_0 + pixel[16]) < c_b)
	                                            if(*(cache_0+3) < c_b)
	                                                if(*(cache_1+4) < c_b)
	                                                    goto is_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                        else
	                            goto is_not_a_corner;
	                    else
	                        goto is_not_a_corner;
	                else
	                    goto is_not_a_corner;
	        else
	            if(*(cache_2+-4) > cb)
	                if(*(cache_0 + pixel[17]) > cb)
	                    if(*(cache_0 + pixel[11]) > cb)
	                        if(*(cache_0 + pixel[9]) > cb)
	                            if(*(cache_0+-3) > cb)
	                                if(*(cache_0 + pixel[15]) > cb)
	                                    if(*(cache_0 + pixel[13]) > cb)
	                                        if(*(cache_0 + pixel[8]) > cb)
	                                            if(*(cache_0 + pixel[16]) > cb)
	                                                goto is_a_corner;
	                                            else
	                                                if(*(cache_0 + pixel[6]) > cb)
	                                                    if(*(cache_0 + pixel[7]) > cb)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                        else
	                                            if(*(cache_0 + pixel[0]) > cb)
	                                                if(*(cache_0 + pixel[16]) > cb)
	                                                    goto is_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                    else if(*(cache_0 + pixel[13]) < c_b)
	                                        if(*(cache_0+3) > cb)
	                                            if(*cache_2 > cb)
	                                                if(*(cache_0 + pixel[6]) > cb)
	                                                    if(*(cache_0 + pixel[4]) > cb)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        if(*(cache_0+3) > cb)
	                                            if(*(cache_0 + pixel[6]) > cb)
	                                                if(*(cache_0 + pixel[4]) > cb)
	                                                    if(*(cache_0 + pixel[8]) > cb)
	                                                        if(*cache_2 > cb)
	                                                            if(*(cache_0 + pixel[7]) > cb)
	                                                                goto is_a_corner;
	                                                            else
	                                                                goto is_not_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                else if(*(cache_0 + pixel[15]) < c_b)
	                                    if(*cache_2 > cb)
	                                        if(*(cache_0 + pixel[7]) > cb)
	                                            if(*(cache_0 + pixel[6]) > cb)
	                                                if(*(cache_0 + pixel[8]) > cb)
	                                                    if(*(cache_0 + pixel[13]) > cb)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    if(*(cache_0 + pixel[6]) > cb)
	                                        if(*cache_2 > cb)
	                                            if(*(cache_0 + pixel[7]) > cb)
	                                                if(*(cache_0 + pixel[8]) > cb)
	                                                    if(*(cache_0 + pixel[13]) > cb)
	                                                        goto is_a_corner;
	                                                    else if(*(cache_0 + pixel[13]) < c_b)
	                                                        goto is_not_a_corner;
	                                                    else
	                                                        if(*(cache_0+3) > cb)
	                                                            if(*(cache_0 + pixel[4]) > cb)
	                                                                goto is_a_corner;
	                                                            else
	                                                                goto is_not_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                        else if(*(cache_0 + pixel[9]) < c_b)
	                            if(*(cache_1+4) > cb)
	                                if(*(cache_0 + pixel[15]) > cb)
	                                    if(*(cache_0+-3) > cb)
	                                        if(*(cache_0 + pixel[0]) > cb)
	                                            if(*(cache_0 + pixel[13]) > cb)
	                                                if(*(cache_0 + pixel[16]) > cb)
	                                                    goto is_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                        else
	                            if(*(cache_1+4) > cb)
	                                if(*(cache_0+-3) > cb)
	                                    if(*(cache_0 + pixel[15]) > cb)
	                                        if(*(cache_0 + pixel[13]) > cb)
	                                            if(*(cache_0 + pixel[16]) > cb)
	                                                if(*(cache_0 + pixel[0]) > cb)
	                                                    goto is_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                    else
	                        goto is_not_a_corner;
	                else if(*(cache_0 + pixel[17]) < c_b)
	                    if(*(cache_0 + pixel[6]) > cb)
	                        if(*(cache_0+-3) > cb)
	                            if(*cache_2 > cb)
	                                if(*(cache_0 + pixel[8]) > cb)
	                                    if(*(cache_0 + pixel[11]) > cb)
	                                        if(*(cache_0 + pixel[7]) > cb)
	                                            if(*(cache_0 + pixel[9]) > cb)
	                                                if(*(cache_0 + pixel[13]) > cb)
	                                                    goto is_a_corner;
	                                                else if(*(cache_0 + pixel[13]) < c_b)
	                                                    if(*(cache_0+3) > cb)
	                                                        if(*(cache_0 + pixel[0]) < c_b)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    if(*(cache_0+3) > cb)
	                                                        if(*(cache_0 + pixel[4]) > cb)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else if(*cache_2 < c_b)
	                                if(*(cache_0 + pixel[15]) > cb)
	                                    if(*(cache_0 + pixel[7]) > cb)
	                                        if(*(cache_0 + pixel[13]) > cb)
	                                            if(*(cache_0 + pixel[9]) > cb)
	                                                if(*(cache_0 + pixel[8]) > cb)
	                                                    if(*(cache_0 + pixel[11]) > cb)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                if(*(cache_0 + pixel[15]) > cb)
	                                    if(*(cache_0 + pixel[8]) > cb)
	                                        if(*(cache_0 + pixel[7]) > cb)
	                                            if(*(cache_0 + pixel[11]) > cb)
	                                                if(*(cache_0 + pixel[9]) > cb)
	                                                    if(*(cache_0 + pixel[13]) > cb)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                        else
	                            goto is_not_a_corner;
	                    else if(*(cache_0 + pixel[6]) < c_b)
	                        if(*(cache_0 + pixel[16]) > cb)
	                            if(*(cache_0 + pixel[7]) > cb)
	                                if(*(cache_0 + pixel[11]) > cb)
	                                    if(*(cache_0 + pixel[9]) > cb)
	                                        if(*(cache_0 + pixel[13]) > cb)
	                                            if(*(cache_0 + pixel[4]) > cb)
	                                                if(*(cache_0+3) > cb)
	                                                    if(*cache_2 > cb||*cache_2 < c_b)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else if(*(cache_0+3) < c_b)
	                                                    goto is_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                        else
	                            goto is_not_a_corner;
	                    else
	                        if(*(cache_0 + pixel[16]) > cb)
	                            if(*(cache_0 + pixel[7]) > cb)
	                                if(*(cache_0+-3) > cb)
	                                    if(*(cache_0 + pixel[9]) > cb)
	                                        if(*(cache_0 + pixel[15]) > cb)
	                                            if(*(cache_0 + pixel[11]) > cb)
	                                                if(*(cache_0 + pixel[8]) > cb)
	                                                    if(*(cache_0 + pixel[13]) > cb)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                        else
	                            goto is_not_a_corner;
	                else
	                    if(*(cache_0 + pixel[7]) > cb)
	                        if(*(cache_0 + pixel[6]) > cb)
	                            if(*(cache_0+-3) > cb)
	                                if(*(cache_0 + pixel[8]) > cb)
	                                    if(*cache_2 > cb)
	                                        if(*(cache_0 + pixel[11]) > cb)
	                                            if(*(cache_0 + pixel[9]) > cb)
	                                                if(*(cache_0 + pixel[13]) > cb)
	                                                    goto is_a_corner;
	                                                else
	                                                    if(*(cache_0+3) > cb)
	                                                        if(*(cache_0 + pixel[4]) > cb)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        if(*(cache_0 + pixel[15]) > cb)
	                                            if(*(cache_0 + pixel[13]) > cb)
	                                                if(*(cache_0 + pixel[11]) > cb)
	                                                    if(*(cache_0 + pixel[9]) > cb)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                        else if(*(cache_0 + pixel[6]) < c_b)
	                            if(*(cache_0 + pixel[16]) > cb)
	                                if(*(cache_0+-3) > cb)
	                                    if(*(cache_0 + pixel[9]) > cb)
	                                        if(*(cache_0 + pixel[15]) > cb)
	                                            if(*(cache_0 + pixel[8]) > cb)
	                                                if(*(cache_0 + pixel[13]) > cb)
	                                                    if(*(cache_0 + pixel[11]) > cb)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                        else
	                            if(*(cache_0 + pixel[16]) > cb)
	                                if(*(cache_0+-3) > cb)
	                                    if(*(cache_0 + pixel[8]) > cb)
	                                        if(*(cache_0 + pixel[15]) > cb)
	                                            if(*(cache_0 + pixel[11]) > cb)
	                                                if(*(cache_0 + pixel[13]) > cb)
	                                                    if(*(cache_0 + pixel[9]) > cb)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                    else
	                        goto is_not_a_corner;
	            else if(*(cache_2+-4) < c_b)
	                if(*(cache_0+-3) < c_b)
	                    if(*(cache_0 + pixel[4]) < c_b)
	                        if(*(cache_0 + pixel[7]) < c_b)
	                            if(*(cache_0+3) > cb)
	                                if(*(cache_0 + pixel[13]) < c_b)
	                                    if(*cache_2 < c_b)
	                                        if(*(cache_0 + pixel[11]) < c_b)
	                                            if(*(cache_0 + pixel[6]) < c_b)
	                                                if(*(cache_0 + pixel[9]) < c_b)
	                                                    goto is_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else if(*(cache_0+3) < c_b)
	                                if(*(cache_0 + pixel[6]) < c_b)
	                                    if(*(cache_0 + pixel[11]) < c_b)
	                                        if(*(cache_0 + pixel[9]) < c_b)
	                                            if(*cache_2 < c_b)
	                                                if(*(cache_0 + pixel[8]) < c_b)
	                                                    goto is_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                if(*(cache_0 + pixel[13]) < c_b)
	                                    if(*cache_2 < c_b)
	                                        if(*(cache_0 + pixel[9]) < c_b)
	                                            if(*(cache_0 + pixel[6]) < c_b)
	                                                if(*(cache_0 + pixel[11]) < c_b)
	                                                    if(*(cache_0 + pixel[8]) < c_b)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                        else
	                            goto is_not_a_corner;
	                    else
	                        goto is_not_a_corner;
	                else
	                    goto is_not_a_corner;
	            else
	                goto is_not_a_corner;
	    else if(*cache_1 < c_b)
	        if(*(cache_0 + pixel[2]) > cb)
	            if(*(cache_0 + pixel[6]) > cb)
	                if(*(cache_0 + pixel[11]) > cb)
	                    if(*(cache_0 + pixel[8]) > cb)
	                        if(*(cache_0 + pixel[4]) > cb)
	                            if(*cache_2 > cb)
	                                if(*(cache_0 + pixel[7]) > cb)
	                                    if(*(cache_0 + pixel[9]) > cb)
	                                        if(*(cache_0+3) > cb)
	                                            if(*(cache_2+-4) > cb)
	                                                goto is_a_corner;
	                                            else
	                                                if(*(cache_0 + pixel[0]) > cb)
	                                                    if(*(cache_1+4) > cb)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                        else if(*(cache_0+3) < c_b)
	                                            if(*(cache_0 + pixel[13]) > cb)
	                                                if(*(cache_2+-4) > cb)
	                                                    goto is_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            if(*(cache_0 + pixel[13]) > cb)
	                                                if(*(cache_2+-4) > cb)
	                                                    if(*(cache_0+-3) > cb)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                    else if(*(cache_0 + pixel[9]) < c_b)
	                                        if(*(cache_0 + pixel[17]) > cb)
	                                            if(*(cache_1+4) > cb)
	                                                if(*(cache_0 + pixel[0]) > cb)
	                                                    goto is_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        if(*(cache_0 + pixel[17]) > cb)
	                                            if(*(cache_1+4) > cb)
	                                                if(*(cache_0 + pixel[0]) > cb)
	                                                    if(*(cache_0+3) > cb)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                else if(*(cache_0 + pixel[7]) < c_b)
	                                    if(*(cache_0 + pixel[15]) > cb)
	                                        if(*(cache_1+4) > cb)
	                                            goto is_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    if(*(cache_0 + pixel[15]) > cb)
	                                        if(*(cache_1+4) > cb)
	                                            if(*(cache_0 + pixel[17]) > cb)
	                                                if(*(cache_0+3) > cb)
	                                                    if(*(cache_0 + pixel[16]) > cb)
	                                                        if(*(cache_0 + pixel[0]) > cb)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                        else
	                            goto is_not_a_corner;
	                    else if(*(cache_0 + pixel[8]) < c_b)
	                        if(*(cache_0 + pixel[15]) > cb)
	                            if(*(cache_0 + pixel[17]) > cb)
	                                if(*(cache_0 + pixel[4]) > cb)
	                                    if(*(cache_0 + pixel[0]) > cb)
	                                        if(*(cache_0 + pixel[16]) > cb)
	                                            goto is_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                        else if(*(cache_0 + pixel[15]) < c_b)
	                            if(*(cache_0 + pixel[7]) > cb)
	                                if(*(cache_0 + pixel[16]) > cb)
	                                    if(*(cache_1+4) > cb)
	                                        if(*(cache_0 + pixel[0]) > cb)
	                                            if(*(cache_0+3) > cb)
	                                                if(*cache_2 > cb)
	                                                    goto is_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                        else
	                            if(*(cache_0 + pixel[7]) > cb)
	                                if(*(cache_0 + pixel[16]) > cb)
	                                    if(*(cache_0 + pixel[0]) > cb)
	                                        if(*(cache_0+3) > cb)
	                                            goto is_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                    else
	                        if(*(cache_0 + pixel[16]) > cb)
	                            if(*(cache_0 + pixel[7]) > cb)
	                                if(*(cache_0 + pixel[4]) > cb)
	                                    if(*(cache_0 + pixel[0]) > cb)
	                                        if(*cache_2 > cb)
	                                            if(*(cache_0+3) > cb)
	                                                if(*(cache_1+4) > cb)
	                                                    if(*(cache_0 + pixel[17]) > cb)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else if(*(cache_0 + pixel[7]) < c_b)
	                                if(*(cache_0 + pixel[15]) > cb)
	                                    if(*(cache_1+4) > cb)
	                                        if(*(cache_0+3) > cb)
	                                            goto is_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                if(*(cache_0 + pixel[15]) > cb)
	                                    if(*(cache_0 + pixel[4]) > cb)
	                                        if(*(cache_0 + pixel[17]) > cb)
	                                            if(*cache_2 > cb)
	                                                if(*(cache_1+4) > cb)
	                                                    if(*(cache_0+3) > cb)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                        else
	                            goto is_not_a_corner;
	                else if(*(cache_0 + pixel[11]) < c_b)
	                    if(*(cache_0 + pixel[16]) > cb)
	                        if(*(cache_0 + pixel[7]) > cb)
	                            if(*(cache_0 + pixel[0]) > cb)
	                                if(*(cache_0 + pixel[4]) > cb)
	                                    if(*(cache_1+4) > cb)
	                                        if(*(cache_0+3) > cb)
	                                            if(*cache_2 > cb)
	                                                if(*(cache_0 + pixel[17]) > cb)
	                                                    goto is_a_corner;
	                                                else if(*(cache_0 + pixel[17]) < c_b)
	                                                    if(*(cache_2+-4) > cb)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    if(*(cache_0 + pixel[9]) > cb)
	                                                        if(*(cache_0 + pixel[8]) > cb)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else if(*(cache_0 + pixel[0]) < c_b)
	                                goto is_not_a_corner;
	                            else
	                                if(*(cache_2+-4) > cb)
	                                    if(*(cache_1+4) > cb)
	                                        if(*(cache_0+3) > cb)
	                                            if(*(cache_0 + pixel[17]) > cb)
	                                                if(*(cache_0 + pixel[9]) > cb)
	                                                    goto is_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else if(*(cache_0 + pixel[17]) < c_b)
	                                                goto is_not_a_corner;
	                                            else
	                                                if(*(cache_0 + pixel[15]) > cb||*(cache_0 + pixel[15]) < c_b)
	                                                    goto is_not_a_corner;
	                                                else
	                                                    goto is_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                        else if(*(cache_0 + pixel[7]) < c_b)
	                            if(*(cache_0 + pixel[15]) > cb)
	                                if(*(cache_0 + pixel[0]) > cb)
	                                    if(*(cache_0 + pixel[4]) > cb)
	                                        if(*(cache_0 + pixel[17]) > cb)
	                                            if(*(cache_0+3) > cb)
	                                                if(*(cache_1+4) > cb)
	                                                    if(*cache_2 > cb)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                        else
	                            if(*(cache_0 + pixel[15]) > cb)
	                                if(*(cache_0 + pixel[0]) > cb)
	                                    if(*(cache_0 + pixel[4]) > cb)
	                                        if(*cache_2 > cb)
	                                            if(*(cache_1+4) > cb)
	                                                if(*(cache_0 + pixel[17]) > cb)
	                                                    if(*(cache_0+3) > cb)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                    else if(*(cache_0 + pixel[16]) < c_b)
	                        if(*(cache_0 + pixel[9]) > cb)
	                            if(*(cache_0 + pixel[0]) > cb)
	                                if(*(cache_0 + pixel[4]) > cb)
	                                    if(*(cache_1+4) > cb)
	                                        if(*(cache_0 + pixel[8]) > cb)
	                                            if(*(cache_0 + pixel[7]) > cb)
	                                                if(*(cache_0+3) > cb)
	                                                    if(*cache_2 > cb)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else if(*(cache_0 + pixel[0]) < c_b)
	                                if(*(cache_2+-4) > cb)
	                                    if(*(cache_1+4) > cb)
	                                        if(*(cache_0 + pixel[8]) > cb)
	                                            if(*(cache_0+3) > cb)
	                                                if(*(cache_0 + pixel[4]) > cb)
	                                                    if(*(cache_0 + pixel[7]) > cb)
	                                                        if(*cache_2 > cb)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else if(*(cache_2+-4) < c_b)
	                                    if(*(cache_1+4) < c_b)
	                                        if(*(cache_0+-3) < c_b)
	                                            if(*(cache_0 + pixel[15]) < c_b)
	                                                if(*(cache_0 + pixel[13]) < c_b)
	                                                    if(*(cache_0 + pixel[17]) < c_b)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                if(*(cache_2+-4) > cb)
	                                    if(*(cache_1+4) > cb)
	                                        if(*(cache_0 + pixel[4]) > cb)
	                                            if(*(cache_0 + pixel[7]) > cb)
	                                                if(*(cache_0+3) > cb)
	                                                    if(*cache_2 > cb)
	                                                        if(*(cache_0 + pixel[8]) > cb)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                        else if(*(cache_0 + pixel[9]) < c_b)
	                            if(*(cache_0 + pixel[0]) > cb)
	                                if(*(cache_0 + pixel[7]) > cb)
	                                    if(*(cache_0 + pixel[17]) > cb)
	                                        if(*(cache_0 + pixel[8]) > cb)
	                                            if(*(cache_0 + pixel[4]) > cb)
	                                                if(*(cache_1+4) > cb)
	                                                    if(*cache_2 > cb)
	                                                        if(*(cache_0+3) > cb)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else if(*(cache_0 + pixel[17]) < c_b)
	                                        if(*(cache_0 + pixel[8]) < c_b)
	                                            if(*(cache_0 + pixel[15]) < c_b)
	                                                if(*(cache_0+-3) < c_b)
	                                                    if(*(cache_2+-4) < c_b)
	                                                        if(*(cache_0 + pixel[13]) < c_b)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else if(*(cache_0 + pixel[7]) < c_b)
	                                    if(*(cache_0 + pixel[15]) < c_b)
	                                        if(*(cache_0+-3) < c_b)
	                                            if(*(cache_2+-4) < c_b)
	                                                if(*(cache_0 + pixel[8]) < c_b)
	                                                    if(*(cache_0 + pixel[13]) < c_b)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    if(*(cache_0 + pixel[17]) < c_b)
	                                        if(*(cache_0 + pixel[8]) < c_b)
	                                            if(*(cache_0 + pixel[15]) < c_b)
	                                                if(*(cache_0+-3) < c_b)
	                                                    if(*(cache_2+-4) < c_b)
	                                                        if(*(cache_0 + pixel[13]) < c_b)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                            else if(*(cache_0 + pixel[0]) < c_b)
	                                if(*(cache_2+-4) < c_b)
	                                    if(*(cache_0 + pixel[15]) < c_b)
	                                        if(*(cache_0+-3) < c_b)
	                                            if(*(cache_0 + pixel[17]) > cb)
	                                                if(*(cache_0 + pixel[7]) < c_b)
	                                                    goto is_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else if(*(cache_0 + pixel[17]) < c_b)
	                                                if(*(cache_0 + pixel[13]) < c_b)
	                                                    goto is_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                if(*(cache_0 + pixel[7]) < c_b)
	                                                    if(*(cache_0 + pixel[8]) < c_b)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                if(*(cache_0 + pixel[8]) < c_b)
	                                    if(*(cache_0 + pixel[17]) > cb)
	                                        if(*(cache_0 + pixel[7]) < c_b)
	                                            if(*(cache_1+4) > cb)
	                                                if(*(cache_0+-3) < c_b)
	                                                    if(*(cache_0 + pixel[15]) < c_b)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else if(*(cache_1+4) < c_b)
	                                                goto is_not_a_corner;
	                                            else
	                                                goto is_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else if(*(cache_0 + pixel[17]) < c_b)
	                                        if(*(cache_0+-3) < c_b)
	                                            if(*(cache_0 + pixel[15]) < c_b)
	                                                if(*(cache_2+-4) < c_b)
	                                                    if(*(cache_0 + pixel[13]) < c_b)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        if(*(cache_0 + pixel[7]) < c_b)
	                                            if(*(cache_0 + pixel[15]) < c_b)
	                                                if(*(cache_0 + pixel[13]) < c_b)
	                                                    if(*(cache_0+-3) < c_b)
	                                                        if(*(cache_2+-4) < c_b)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                        else
	                            if(*(cache_1+4) > cb)
	                                if(*(cache_0 + pixel[17]) > cb)
	                                    if(*(cache_0 + pixel[8]) > cb)
	                                        if(*(cache_0 + pixel[4]) > cb)
	                                            if(*(cache_0 + pixel[0]) > cb)
	                                                if(*(cache_0+3) > cb)
	                                                    if(*cache_2 > cb)
	                                                        if(*(cache_0 + pixel[7]) > cb)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else if(*(cache_1+4) < c_b)
	                                if(*(cache_2+-4) < c_b)
	                                    if(*(cache_0 + pixel[17]) < c_b)
	                                        if(*(cache_0 + pixel[15]) < c_b)
	                                            if(*(cache_0+-3) < c_b)
	                                                if(*(cache_0 + pixel[0]) < c_b)
	                                                    if(*(cache_0 + pixel[13]) < c_b)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                    else
	                        if(*(cache_0 + pixel[8]) > cb)
	                            if(*(cache_0 + pixel[0]) > cb)
	                                if(*(cache_0 + pixel[4]) > cb)
	                                    if(*(cache_0 + pixel[17]) > cb)
	                                        if(*(cache_1+4) > cb)
	                                            if(*cache_2 > cb)
	                                                if(*(cache_0 + pixel[7]) > cb)
	                                                    if(*(cache_0+3) > cb)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else if(*(cache_0 + pixel[17]) < c_b)
	                                        if(*(cache_0 + pixel[9]) > cb)
	                                            if(*(cache_0+3) > cb)
	                                                goto is_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        if(*(cache_0 + pixel[9]) > cb)
	                                            if(*(cache_1+4) > cb)
	                                                if(*cache_2 > cb)
	                                                    if(*(cache_0+3) > cb)
	                                                        if(*(cache_0 + pixel[7]) > cb)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else if(*(cache_0 + pixel[0]) < c_b)
	                                if(*(cache_1+4) > cb)
	                                    if(*(cache_2+-4) > cb)
	                                        if(*(cache_0 + pixel[4]) > cb)
	                                            if(*cache_2 > cb)
	                                                goto is_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                if(*(cache_2+-4) > cb)
	                                    if(*(cache_1+4) > cb)
	                                        if(*(cache_0 + pixel[4]) > cb)
	                                            if(*(cache_0 + pixel[7]) > cb)
	                                                if(*(cache_0 + pixel[9]) > cb)
	                                                    if(*(cache_0+3) > cb)
	                                                        if(*cache_2 > cb)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                        else
	                            goto is_not_a_corner;
	                else
	                    if(*(cache_1+4) > cb)
	                        if(*(cache_0 + pixel[8]) > cb)
	                            if(*(cache_0 + pixel[4]) > cb)
	                                if(*(cache_0 + pixel[9]) > cb)
	                                    if(*(cache_0 + pixel[0]) > cb)
	                                        if(*(cache_0 + pixel[7]) > cb)
	                                            if(*cache_2 > cb)
	                                                if(*(cache_0+3) > cb)
	                                                    goto is_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else if(*(cache_0 + pixel[7]) < c_b)
	                                            goto is_not_a_corner;
	                                        else
	                                            if(*(cache_0 + pixel[15]) > cb)
	                                                if(*(cache_0 + pixel[16]) > cb)
	                                                    if(*cache_2 > cb)
	                                                        if(*(cache_0 + pixel[17]) > cb)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                    else if(*(cache_0 + pixel[0]) < c_b)
	                                        if(*(cache_2+-4) > cb)
	                                            if(*(cache_0+3) > cb)
	                                                if(*(cache_0 + pixel[7]) > cb)
	                                                    if(*cache_2 > cb)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        if(*(cache_2+-4) > cb)
	                                            if(*(cache_0 + pixel[7]) > cb)
	                                                if(*cache_2 > cb)
	                                                    if(*(cache_0+3) > cb)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                else if(*(cache_0 + pixel[9]) < c_b)
	                                    if(*(cache_0 + pixel[17]) > cb)
	                                        if(*cache_2 > cb)
	                                            if(*(cache_0 + pixel[7]) > cb)
	                                                if(*(cache_0 + pixel[0]) > cb)
	                                                    if(*(cache_0+3) > cb)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    if(*(cache_0 + pixel[17]) > cb)
	                                        if(*cache_2 > cb)
	                                            if(*(cache_0+3) > cb)
	                                                if(*(cache_0 + pixel[7]) > cb)
	                                                    if(*(cache_0 + pixel[0]) > cb)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else if(*(cache_0 + pixel[7]) < c_b)
	                                                    goto is_not_a_corner;
	                                                else
	                                                    if(*(cache_0 + pixel[15]) > cb)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                        else if(*(cache_0 + pixel[8]) < c_b)
	                            if(*(cache_0 + pixel[15]) > cb)
	                                if(*cache_2 > cb)
	                                    if(*(cache_0 + pixel[0]) > cb)
	                                        if(*(cache_0+3) > cb)
	                                            if(*(cache_0 + pixel[17]) > cb)
	                                                if(*(cache_0 + pixel[4]) > cb)
	                                                    if(*(cache_0 + pixel[16]) > cb)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else if(*(cache_0 + pixel[15]) < c_b)
	                                if(*(cache_0 + pixel[7]) > cb)
	                                    if(*(cache_0 + pixel[16]) > cb)
	                                        if(*(cache_0 + pixel[4]) > cb)
	                                            if(*(cache_0 + pixel[0]) > cb)
	                                                if(*cache_2 > cb)
	                                                    goto is_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                if(*(cache_0 + pixel[7]) > cb)
	                                    if(*(cache_0 + pixel[16]) > cb)
	                                        if(*(cache_0 + pixel[0]) > cb)
	                                            if(*(cache_0+3) > cb)
	                                                if(*(cache_0 + pixel[4]) > cb)
	                                                    if(*cache_2 > cb)
	                                                        if(*(cache_0 + pixel[17]) > cb)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                        else
	                            if(*(cache_0 + pixel[16]) > cb)
	                                if(*(cache_0 + pixel[7]) > cb)
	                                    if(*(cache_0 + pixel[4]) > cb)
	                                        if(*(cache_0 + pixel[0]) > cb)
	                                            if(*cache_2 > cb)
	                                                if(*(cache_0+3) > cb)
	                                                    if(*(cache_0 + pixel[17]) > cb)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else if(*(cache_0 + pixel[7]) < c_b)
	                                    if(*(cache_0 + pixel[15]) > cb)
	                                        if(*(cache_0+3) > cb)
	                                            if(*(cache_0+-3) > cb)
	                                                goto is_not_a_corner;
	                                            else if(*(cache_0+-3) < c_b)
	                                                if(*(cache_0 + pixel[4]) > cb)
	                                                    goto is_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    if(*(cache_0 + pixel[15]) > cb)
	                                        if(*(cache_0 + pixel[4]) > cb)
	                                            if(*cache_2 > cb)
	                                                if(*(cache_0 + pixel[0]) > cb)
	                                                    if(*(cache_0+3) > cb)
	                                                        if(*(cache_0 + pixel[17]) > cb)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                    else
	                        goto is_not_a_corner;
	            else if(*(cache_0 + pixel[6]) < c_b)
	                if(*(cache_2+-4) < c_b)
	                    if(*(cache_0 + pixel[15]) > cb)
	                        if(*cache_2 < c_b)
	                            if(*(cache_0+-3) < c_b)
	                                if(*(cache_0 + pixel[8]) < c_b)
	                                    if(*(cache_0 + pixel[9]) < c_b)
	                                        if(*(cache_0 + pixel[11]) < c_b)
	                                            if(*(cache_0 + pixel[7]) < c_b)
	                                                if(*(cache_0 + pixel[13]) > cb)
	                                                    goto is_not_a_corner;
	                                                else if(*(cache_0 + pixel[13]) < c_b)
	                                                    goto is_a_corner;
	                                                else
	                                                    if(*(cache_0+3) < c_b)
	                                                        if(*(cache_0 + pixel[4]) < c_b)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                        else
	                            goto is_not_a_corner;
	                    else if(*(cache_0 + pixel[15]) < c_b)
	                        if(*(cache_0+-3) < c_b)
	                            if(*(cache_0 + pixel[8]) > cb)
	                                if(*(cache_1+4) > cb)
	                                    if(*(cache_0 + pixel[9]) < c_b)
	                                        if(*(cache_0 + pixel[0]) < c_b)
	                                            if(*(cache_0 + pixel[11]) < c_b)
	                                                if(*(cache_0 + pixel[16]) < c_b)
	                                                    goto is_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else if(*(cache_1+4) < c_b)
	                                    if(*(cache_0 + pixel[17]) < c_b)
	                                        if(*(cache_0 + pixel[11]) < c_b)
	                                            if(*(cache_0 + pixel[0]) < c_b)
	                                                if(*(cache_0 + pixel[13]) < c_b)
	                                                    if(*(cache_0 + pixel[16]) < c_b)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    if(*(cache_0 + pixel[9]) < c_b)
	                                        if(*(cache_0 + pixel[0]) < c_b)
	                                            if(*(cache_0 + pixel[16]) < c_b)
	                                                if(*(cache_0 + pixel[11]) < c_b)
	                                                    goto is_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                            else if(*(cache_0 + pixel[8]) < c_b)
	                                if(*(cache_0 + pixel[11]) < c_b)
	                                    if(*(cache_0 + pixel[9]) > cb)
	                                        if(*(cache_1+4) < c_b)
	                                            if(*(cache_0 + pixel[17]) < c_b)
	                                                goto is_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else if(*(cache_0 + pixel[9]) < c_b)
	                                        if(*(cache_0 + pixel[13]) > cb)
	                                            if(*(cache_0+3) < c_b)
	                                                if(*(cache_0 + pixel[4]) < c_b)
	                                                    if(*cache_2 < c_b)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else if(*(cache_0 + pixel[13]) < c_b)
	                                            if(*(cache_0 + pixel[7]) < c_b)
	                                                goto is_a_corner;
	                                            else
	                                                if(*(cache_0 + pixel[17]) < c_b)
	                                                    if(*(cache_0 + pixel[16]) < c_b)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                        else
	                                            if(*(cache_0+3) < c_b)
	                                                if(*(cache_0 + pixel[4]) < c_b)
	                                                    if(*cache_2 < c_b)
	                                                        if(*(cache_0 + pixel[7]) < c_b)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                    else
	                                        if(*(cache_1+4) < c_b)
	                                            if(*(cache_0 + pixel[17]) < c_b)
	                                                if(*(cache_0 + pixel[13]) < c_b)
	                                                    if(*(cache_0 + pixel[16]) < c_b)
	                                                        if(*(cache_0 + pixel[0]) < c_b)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                if(*(cache_0 + pixel[0]) < c_b)
	                                    if(*(cache_0 + pixel[9]) > cb)
	                                        if(*(cache_1+4) < c_b)
	                                            if(*(cache_0 + pixel[11]) < c_b)
	                                                if(*(cache_0 + pixel[17]) < c_b)
	                                                    goto is_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else if(*(cache_0 + pixel[9]) < c_b)
	                                        if(*(cache_0 + pixel[16]) < c_b)
	                                            if(*(cache_0 + pixel[11]) < c_b)
	                                                if(*(cache_0 + pixel[17]) < c_b)
	                                                    if(*(cache_0 + pixel[13]) < c_b)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        if(*(cache_1+4) < c_b)
	                                            if(*(cache_0 + pixel[11]) < c_b)
	                                                if(*(cache_0 + pixel[17]) < c_b)
	                                                    if(*(cache_0 + pixel[13]) < c_b)
	                                                        if(*(cache_0 + pixel[16]) < c_b)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                        else
	                            goto is_not_a_corner;
	                    else
	                        if(*cache_2 < c_b)
	                            if(*(cache_0+-3) < c_b)
	                                if(*(cache_0 + pixel[8]) < c_b)
	                                    if(*(cache_0 + pixel[11]) < c_b)
	                                        if(*(cache_0 + pixel[7]) < c_b)
	                                            if(*(cache_0 + pixel[9]) < c_b)
	                                                if(*(cache_0 + pixel[13]) > cb)
	                                                    if(*(cache_1+4) < c_b)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else if(*(cache_0 + pixel[13]) < c_b)
	                                                    goto is_a_corner;
	                                                else
	                                                    if(*(cache_0+3) < c_b)
	                                                        if(*(cache_0 + pixel[4]) < c_b)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                        else
	                            goto is_not_a_corner;
	                else
	                    goto is_not_a_corner;
	            else
	                if(*(cache_0 + pixel[16]) < c_b)
	                    if(*(cache_0 + pixel[9]) > cb)
	                        if(*(cache_2+-4) < c_b)
	                            if(*(cache_1+4) < c_b)
	                                if(*(cache_0 + pixel[13]) < c_b)
	                                    if(*(cache_0 + pixel[0]) < c_b)
	                                        if(*(cache_0 + pixel[11]) < c_b)
	                                            if(*(cache_0 + pixel[15]) < c_b)
	                                                if(*(cache_0+-3) < c_b)
	                                                    goto is_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                        else
	                            goto is_not_a_corner;
	                    else if(*(cache_0 + pixel[9]) < c_b)
	                        if(*(cache_0 + pixel[11]) < c_b)
	                            if(*(cache_0 + pixel[7]) > cb)
	                                if(*(cache_0 + pixel[0]) > cb)
	                                    if(*(cache_0 + pixel[8]) < c_b)
	                                        if(*(cache_0 + pixel[17]) < c_b)
	                                            if(*(cache_0 + pixel[15]) < c_b)
	                                                if(*(cache_0+-3) < c_b)
	                                                    goto is_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else if(*(cache_0 + pixel[0]) < c_b)
	                                    if(*(cache_2+-4) < c_b)
	                                        if(*(cache_0+-3) < c_b)
	                                            if(*(cache_0 + pixel[15]) < c_b)
	                                                if(*(cache_0 + pixel[17]) < c_b)
	                                                    if(*(cache_0 + pixel[13]) < c_b)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    if(*(cache_0 + pixel[8]) < c_b)
	                                        if(*(cache_0 + pixel[17]) < c_b)
	                                            if(*(cache_0+-3) < c_b)
	                                                if(*(cache_0 + pixel[15]) < c_b)
	                                                    if(*(cache_0 + pixel[13]) < c_b)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                            else if(*(cache_0 + pixel[7]) < c_b)
	                                if(*(cache_0 + pixel[15]) < c_b)
	                                    if(*(cache_0+-3) < c_b)
	                                        if(*(cache_2+-4) < c_b)
	                                            if(*(cache_0 + pixel[13]) < c_b)
	                                                if(*(cache_0 + pixel[8]) > cb)
	                                                    if(*(cache_0 + pixel[0]) < c_b)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else if(*(cache_0 + pixel[8]) < c_b)
	                                                    goto is_a_corner;
	                                                else
	                                                    if(*(cache_0 + pixel[0]) < c_b)
	                                                        if(*(cache_0 + pixel[17]) < c_b)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                if(*(cache_0 + pixel[17]) < c_b)
	                                    if(*(cache_0 + pixel[8]) > cb)
	                                        if(*(cache_0 + pixel[0]) < c_b)
	                                            if(*(cache_2+-4) < c_b)
	                                                if(*(cache_0 + pixel[13]) < c_b)
	                                                    if(*(cache_0 + pixel[15]) < c_b)
	                                                        if(*(cache_0+-3) < c_b)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else if(*(cache_0 + pixel[8]) < c_b)
	                                        if(*(cache_0 + pixel[15]) < c_b)
	                                            if(*(cache_2+-4) < c_b)
	                                                if(*(cache_0+-3) < c_b)
	                                                    if(*(cache_0 + pixel[13]) < c_b)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        if(*(cache_0 + pixel[0]) < c_b)
	                                            if(*(cache_2+-4) < c_b)
	                                                if(*(cache_0 + pixel[15]) < c_b)
	                                                    if(*(cache_0+-3) < c_b)
	                                                        if(*(cache_0 + pixel[13]) < c_b)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                        else
	                            goto is_not_a_corner;
	                    else
	                        if(*(cache_1+4) < c_b)
	                            if(*(cache_2+-4) < c_b)
	                                if(*(cache_0+-3) < c_b)
	                                    if(*(cache_0 + pixel[0]) < c_b)
	                                        if(*(cache_0 + pixel[11]) < c_b)
	                                            if(*(cache_0 + pixel[15]) < c_b)
	                                                if(*(cache_0 + pixel[13]) < c_b)
	                                                    if(*(cache_0 + pixel[17]) < c_b)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                        else
	                            goto is_not_a_corner;
	                else
	                    goto is_not_a_corner;
	        else if(*(cache_0 + pixel[2]) < c_b)
	            if(*(cache_0 + pixel[17]) > cb)
	                if(*(cache_0 + pixel[6]) > cb)
	                    if(*(cache_0+-3) > cb)
	                        if(*(cache_0+3) > cb)
	                            if(*(cache_2+-4) > cb)
	                                if(*(cache_0 + pixel[8]) > cb)
	                                    if(*cache_2 > cb)
	                                        if(*(cache_0 + pixel[11]) > cb)
	                                            if(*(cache_0 + pixel[9]) > cb)
	                                                if(*(cache_0 + pixel[4]) > cb)
	                                                    if(*(cache_0 + pixel[7]) > cb)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                        else if(*(cache_0+3) < c_b)
	                            if(*(cache_0 + pixel[13]) > cb)
	                                if(*(cache_0 + pixel[4]) > cb)
	                                    if(*(cache_0 + pixel[8]) > cb)
	                                        if(*(cache_2+-4) > cb)
	                                            if(*cache_2 > cb)
	                                                goto is_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                        else
	                            if(*(cache_0 + pixel[13]) > cb)
	                                if(*(cache_2+-4) > cb)
	                                    if(*(cache_0 + pixel[4]) > cb)
	                                        if(*(cache_0 + pixel[8]) > cb)
	                                            if(*(cache_0 + pixel[11]) > cb)
	                                                if(*(cache_1+4) > cb)
	                                                    goto is_not_a_corner;
	                                                else
	                                                    goto is_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                    else if(*(cache_0+-3) < c_b)
	                        if(*(cache_0 + pixel[16]) < c_b)
	                            if(*(cache_0 + pixel[7]) < c_b)
	                                if(*(cache_2+-4) < c_b)
	                                    if(*(cache_0 + pixel[9]) < c_b)
	                                        if(*(cache_1+4) > cb||*(cache_1+4) < c_b)
	                                            if(*(cache_0+3) > cb)
	                                                goto is_not_a_corner;
	                                            else
	                                                goto is_a_corner;
	                                        else
	                                            if(*(cache_0 + pixel[0]) > cb)
	                                                if(*cache_2 < c_b)
	                                                    if(*(cache_0 + pixel[15]) < c_b)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else if(*(cache_0 + pixel[0]) < c_b)
	                                                goto is_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                        else
	                            goto is_not_a_corner;
	                    else
	                        goto is_not_a_corner;
	                else if(*(cache_0 + pixel[6]) < c_b)
	                    if(*(cache_2+-4) > cb)
	                        if(*(cache_0 + pixel[0]) < c_b)
	                            if(*(cache_0 + pixel[9]) < c_b)
	                                if(*(cache_0+3) < c_b)
	                                    if(*cache_2 < c_b)
	                                        if(*(cache_0 + pixel[7]) < c_b)
	                                            if(*(cache_0 + pixel[8]) < c_b)
	                                                goto is_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                        else
	                            goto is_not_a_corner;
	                    else if(*(cache_2+-4) < c_b)
	                        if(*(cache_0 + pixel[8]) < c_b)
	                            if(*(cache_0 + pixel[11]) > cb)
	                                if(*(cache_1+4) < c_b)
	                                    if(*(cache_0+3) < c_b)
	                                        if(*(cache_0 + pixel[4]) < c_b)
	                                            if(*(cache_0 + pixel[9]) < c_b)
	                                                if(*cache_2 < c_b)
	                                                    goto is_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else if(*(cache_0 + pixel[11]) < c_b)
	                                if(*(cache_0 + pixel[7]) < c_b)
	                                    if(*cache_2 < c_b)
	                                        if(*(cache_0 + pixel[9]) < c_b)
	                                            if(*(cache_0+-3) < c_b)
	                                                if(*(cache_0 + pixel[13]) > cb||*(cache_0 + pixel[13]) < c_b)
	                                                    goto is_a_corner;
	                                                else
	                                                    if(*(cache_0+3) < c_b)
	                                                        if(*(cache_0 + pixel[4]) < c_b)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                            else
	                                                if(*(cache_0 + pixel[4]) < c_b)
	                                                    if(*(cache_0+3) < c_b)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        if(*(cache_0 + pixel[15]) < c_b)
	                                            if(*(cache_0+-3) < c_b)
	                                                if(*(cache_0 + pixel[9]) < c_b)
	                                                    if(*(cache_0 + pixel[13]) < c_b)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                if(*(cache_1+4) < c_b)
	                                    if(*(cache_0 + pixel[4]) < c_b)
	                                        if(*(cache_0+3) < c_b)
	                                            if(*cache_2 < c_b)
	                                                if(*(cache_0 + pixel[9]) < c_b)
	                                                    if(*(cache_0 + pixel[7]) < c_b)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                        else
	                            goto is_not_a_corner;
	                    else
	                        if(*(cache_0 + pixel[0]) < c_b)
	                            if(*(cache_0 + pixel[9]) < c_b)
	                                if(*(cache_0 + pixel[4]) < c_b)
	                                    if(*(cache_0 + pixel[7]) < c_b)
	                                        if(*(cache_1+4) < c_b)
	                                            if(*cache_2 < c_b)
	                                                if(*(cache_0+3) < c_b)
	                                                    if(*(cache_0 + pixel[8]) < c_b)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                        else
	                            goto is_not_a_corner;
	                else
	                    if(*(cache_0 + pixel[16]) < c_b)
	                        if(*(cache_0 + pixel[7]) < c_b)
	                            if(*(cache_0 + pixel[11]) < c_b)
	                                if(*(cache_0 + pixel[9]) < c_b)
	                                    if(*(cache_0+-3) < c_b)
	                                        if(*(cache_0 + pixel[15]) < c_b)
	                                            if(*(cache_0 + pixel[13]) < c_b)
	                                                if(*(cache_2+-4) < c_b)
	                                                    if(*(cache_0 + pixel[8]) < c_b)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                        else
	                            goto is_not_a_corner;
	                    else
	                        goto is_not_a_corner;
	            else if(*(cache_0 + pixel[17]) < c_b)
	                if(*(cache_0+-3) > cb)
	                    if(*cache_2 > cb)
	                        if(*(cache_0+3) > cb)
	                            if(*(cache_2+-4) > cb)
	                                if(*(cache_0 + pixel[7]) > cb)
	                                    if(*(cache_0 + pixel[9]) > cb)
	                                        if(*(cache_0 + pixel[4]) > cb)
	                                            if(*(cache_0 + pixel[11]) > cb)
	                                                if(*(cache_0 + pixel[6]) > cb)
	                                                    if(*(cache_0 + pixel[8]) > cb)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                        else if(*(cache_0+3) < c_b)
	                            if(*(cache_0 + pixel[13]) > cb)
	                                if(*(cache_0 + pixel[4]) > cb)
	                                    if(*(cache_0 + pixel[9]) > cb)
	                                        if(*(cache_0 + pixel[6]) > cb)
	                                            if(*(cache_0 + pixel[11]) > cb)
	                                                if(*(cache_0 + pixel[7]) > cb)
	                                                    if(*(cache_2+-4) > cb)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else if(*(cache_0 + pixel[13]) < c_b)
	                                if(*(cache_0 + pixel[4]) < c_b)
	                                    if(*(cache_0 + pixel[15]) < c_b)
	                                        if(*(cache_1+4) < c_b)
	                                            if(*(cache_0 + pixel[0]) < c_b)
	                                                if(*(cache_0 + pixel[16]) < c_b)
	                                                    goto is_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                        else
	                            if(*(cache_0 + pixel[13]) > cb)
	                                if(*(cache_0 + pixel[4]) > cb)
	                                    if(*(cache_0 + pixel[8]) > cb)
	                                        if(*(cache_2+-4) > cb)
	                                            if(*(cache_0 + pixel[6]) > cb)
	                                                if(*(cache_0 + pixel[9]) > cb)
	                                                    if(*(cache_0 + pixel[7]) > cb)
	                                                        if(*(cache_0 + pixel[11]) > cb)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                    else if(*cache_2 < c_b)
	                        if(*(cache_1+4) > cb)
	                            if(*(cache_0 + pixel[11]) < c_b)
	                                if(*(cache_0 + pixel[4]) < c_b)
	                                    if(*(cache_0 + pixel[7]) < c_b)
	                                        if(*(cache_2+-4) < c_b)
	                                            if(*(cache_0 + pixel[8]) < c_b)
	                                                goto is_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                        else if(*(cache_1+4) < c_b)
	                            if(*(cache_0+3) < c_b)
	                                if(*(cache_0 + pixel[15]) > cb)
	                                    if(*(cache_0 + pixel[7]) < c_b)
	                                        if(*(cache_0 + pixel[8]) > cb)
	                                            goto is_not_a_corner;
	                                        else if(*(cache_0 + pixel[8]) < c_b)
	                                            if(*(cache_0 + pixel[0]) < c_b)
	                                                if(*(cache_0 + pixel[6]) < c_b)
	                                                    if(*(cache_0 + pixel[4]) < c_b)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            if(*(cache_2+-4) > cb)
	                                                goto is_not_a_corner;
	                                            else if(*(cache_2+-4) < c_b)
	                                                if(*(cache_0 + pixel[13]) > cb)
	                                                    goto is_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                if(*(cache_0 + pixel[16]) < c_b)
	                                                    goto is_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else if(*(cache_0 + pixel[15]) < c_b)
	                                    if(*(cache_0 + pixel[4]) < c_b)
	                                        if(*(cache_0 + pixel[0]) > cb)
	                                            if(*(cache_2+-4) < c_b)
	                                                if(*(cache_0 + pixel[8]) < c_b)
	                                                    goto is_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else if(*(cache_0 + pixel[0]) < c_b)
	                                            if(*(cache_0 + pixel[16]) > cb)
	                                                if(*(cache_0 + pixel[7]) < c_b)
	                                                    if(*(cache_0 + pixel[8]) < c_b)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else if(*(cache_0 + pixel[16]) < c_b)
	                                                goto is_a_corner;
	                                            else
	                                                if(*(cache_0 + pixel[8]) < c_b)
	                                                    if(*(cache_0 + pixel[7]) < c_b)
	                                                        if(*(cache_0 + pixel[6]) < c_b)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                        else
	                                            if(*(cache_2+-4) < c_b)
	                                                if(*(cache_0 + pixel[7]) < c_b)
	                                                    if(*(cache_0 + pixel[9]) < c_b)
	                                                        if(*(cache_0 + pixel[6]) < c_b)
	                                                            if(*(cache_0 + pixel[8]) < c_b)
	                                                                goto is_a_corner;
	                                                            else
	                                                                goto is_not_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    if(*(cache_0 + pixel[7]) < c_b)
	                                        if(*(cache_0 + pixel[6]) < c_b)
	                                            if(*(cache_0 + pixel[8]) > cb)
	                                                if(*(cache_0 + pixel[16]) < c_b)
	                                                    goto is_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else if(*(cache_0 + pixel[8]) < c_b)
	                                                if(*(cache_0 + pixel[4]) < c_b)
	                                                    if(*(cache_0 + pixel[0]) > cb)
	                                                        goto is_not_a_corner;
	                                                    else if(*(cache_0 + pixel[0]) < c_b)
	                                                        goto is_a_corner;
	                                                    else
	                                                        if(*(cache_2+-4) < c_b)
	                                                            if(*(cache_0 + pixel[9]) < c_b)
	                                                                goto is_a_corner;
	                                                            else
	                                                                goto is_not_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                if(*(cache_0 + pixel[16]) < c_b)
	                                                    if(*(cache_0 + pixel[0]) < c_b)
	                                                        if(*(cache_0 + pixel[4]) < c_b)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                        else
	                            if(*(cache_0 + pixel[11]) < c_b)
	                                if(*(cache_0 + pixel[8]) < c_b)
	                                    if(*(cache_0+3) < c_b)
	                                        if(*(cache_0 + pixel[6]) < c_b)
	                                            if(*(cache_0 + pixel[4]) < c_b)
	                                                if(*(cache_2+-4) < c_b)
	                                                    if(*(cache_0 + pixel[9]) < c_b)
	                                                        if(*(cache_0 + pixel[0]) > cb)
	                                                            goto is_not_a_corner;
	                                                        else
	                                                            goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                    else
	                        if(*(cache_0 + pixel[13]) < c_b)
	                            if(*(cache_0 + pixel[4]) < c_b)
	                                if(*(cache_0 + pixel[15]) < c_b)
	                                    if(*(cache_1+4) < c_b)
	                                        if(*(cache_0+3) < c_b)
	                                            if(*(cache_0 + pixel[0]) < c_b)
	                                                if(*(cache_0 + pixel[16]) < c_b)
	                                                    goto is_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                        else
	                            goto is_not_a_corner;
	                else if(*(cache_0+-3) < c_b)
	                    if(*(cache_0 + pixel[15]) > cb)
	                        if(*cache_2 < c_b)
	                            if(*(cache_0 + pixel[7]) < c_b)
	                                if(*(cache_0 + pixel[6]) < c_b)
	                                    if(*(cache_0 + pixel[8]) > cb)
	                                        if(*(cache_0 + pixel[16]) < c_b)
	                                            if(*(cache_0+3) < c_b)
	                                                goto is_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else if(*(cache_0 + pixel[8]) < c_b)
	                                        if(*(cache_2+-4) > cb)
	                                            if(*(cache_1+4) < c_b)
	                                                if(*(cache_0 + pixel[0]) < c_b)
	                                                    goto is_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else if(*(cache_2+-4) < c_b)
	                                            if(*(cache_0 + pixel[11]) > cb)
	                                                if(*(cache_1+4) < c_b)
	                                                    goto is_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else if(*(cache_0 + pixel[11]) < c_b)
	                                                if(*(cache_0 + pixel[9]) > cb)
	                                                    goto is_a_corner;
	                                                else if(*(cache_0 + pixel[9]) < c_b)
	                                                    if(*(cache_0 + pixel[13]) > cb||*(cache_0 + pixel[13]) < c_b)
	                                                        goto is_a_corner;
	                                                    else
	                                                        if(*(cache_0+3) < c_b)
	                                                            if(*(cache_1+4) > cb)
	                                                                goto is_not_a_corner;
	                                                            else
	                                                                goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                else
	                                                    if(*(cache_0+3) < c_b)
	                                                        if(*(cache_0 + pixel[4]) < c_b)
	                                                            if(*(cache_0 + pixel[0]) < c_b)
	                                                                goto is_a_corner;
	                                                            else
	                                                                goto is_not_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                            else
	                                                if(*(cache_1+4) < c_b)
	                                                    if(*(cache_0+3) < c_b)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                        else
	                                            if(*(cache_0+3) < c_b)
	                                                if(*(cache_1+4) < c_b)
	                                                    if(*(cache_0 + pixel[4]) < c_b)
	                                                        if(*(cache_0 + pixel[0]) < c_b)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                    else
	                                        if(*(cache_0 + pixel[16]) < c_b)
	                                            if(*(cache_1+4) < c_b)
	                                                if(*(cache_0+3) < c_b)
	                                                    if(*(cache_0 + pixel[0]) < c_b)
	                                                        if(*(cache_0 + pixel[4]) < c_b)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                        else
	                            goto is_not_a_corner;
	                    else if(*(cache_0 + pixel[15]) < c_b)
	                        if(*(cache_1+4) > cb)
	                            if(*(cache_0 + pixel[11]) < c_b)
	                                if(*(cache_0 + pixel[9]) < c_b)
	                                    if(*(cache_2+-4) < c_b)
	                                        if(*(cache_0 + pixel[8]) > cb)
	                                            if(*(cache_0 + pixel[0]) < c_b)
	                                                goto is_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else if(*(cache_0 + pixel[8]) < c_b)
	                                            if(*(cache_0 + pixel[13]) > cb)
	                                                if(*(cache_0 + pixel[0]) < c_b)
	                                                    goto is_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else if(*(cache_0 + pixel[13]) < c_b)
	                                                if(*(cache_0 + pixel[16]) > cb)
	                                                    if(*cache_2 > cb)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else if(*(cache_0 + pixel[16]) < c_b)
	                                                    goto is_a_corner;
	                                                else
	                                                    if(*(cache_0 + pixel[6]) < c_b)
	                                                        if(*(cache_0 + pixel[7]) < c_b)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                            else
	                                                if(*cache_2 < c_b)
	                                                    if(*(cache_0 + pixel[6]) < c_b)
	                                                        if(*(cache_0 + pixel[4]) < c_b)
	                                                            if(*(cache_0 + pixel[7]) < c_b)
	                                                                goto is_a_corner;
	                                                            else
	                                                                goto is_not_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                        else
	                                            if(*(cache_0 + pixel[0]) < c_b)
	                                                if(*(cache_0 + pixel[13]) < c_b)
	                                                    if(*(cache_0 + pixel[16]) < c_b)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                        else if(*(cache_1+4) < c_b)
	                            if(*(cache_0 + pixel[16]) > cb)
	                                if(*(cache_0 + pixel[6]) < c_b)
	                                    if(*(cache_0 + pixel[8]) < c_b)
	                                        if(*(cache_0 + pixel[7]) < c_b)
	                                            if(*(cache_2+-4) > cb)
	                                                if(*(cache_0 + pixel[0]) < c_b)
	                                                    goto is_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else if(*(cache_2+-4) < c_b)
	                                                if(*(cache_0+3) > cb||*(cache_0+3) < c_b)
	                                                    goto is_a_corner;
	                                                else
	                                                    if(*(cache_0 + pixel[9]) < c_b)
	                                                        if(*(cache_0 + pixel[13]) < c_b)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                            else
	                                                if(*cache_2 < c_b)
	                                                    if(*(cache_0+3) < c_b)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else if(*(cache_0 + pixel[16]) < c_b)
	                                if(*(cache_0+3) > cb)
	                                    if(*(cache_0 + pixel[11]) < c_b)
	                                        if(*(cache_0 + pixel[13]) < c_b)
	                                            if(*(cache_0 + pixel[0]) > cb)
	                                                if(*(cache_0 + pixel[7]) < c_b)
	                                                    goto is_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else if(*(cache_0 + pixel[0]) < c_b)
	                                                goto is_a_corner;
	                                            else
	                                                if(*(cache_0 + pixel[8]) < c_b)
	                                                    if(*(cache_0 + pixel[9]) < c_b)
	                                                        if(*(cache_2+-4) < c_b)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else if(*(cache_0+3) < c_b)
	                                    if(*(cache_0 + pixel[0]) > cb)
	                                        if(*(cache_2+-4) < c_b)
	                                            if(*(cache_0 + pixel[8]) < c_b)
	                                                if(*(cache_0 + pixel[9]) < c_b)
	                                                    if(*cache_2 > cb)
	                                                        if(*(cache_0 + pixel[4]) > cb)
	                                                            goto is_not_a_corner;
	                                                        else
	                                                            goto is_a_corner;
	                                                    else if(*cache_2 < c_b)
	                                                        goto is_a_corner;
	                                                    else
	                                                        if(*(cache_0 + pixel[11]) < c_b)
	                                                            if(*(cache_0 + pixel[13]) < c_b)
	                                                                goto is_a_corner;
	                                                            else
	                                                                goto is_not_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else if(*(cache_0 + pixel[0]) < c_b)
	                                        if(*(cache_0 + pixel[13]) < c_b)
	                                            goto is_a_corner;
	                                        else
	                                            if(*cache_2 < c_b)
	                                                if(*(cache_0 + pixel[4]) < c_b)
	                                                    goto is_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                    else
	                                        if(*(cache_0 + pixel[9]) < c_b)
	                                            if(*(cache_0 + pixel[8]) < c_b)
	                                                if(*(cache_2+-4) < c_b)
	                                                    if(*(cache_0 + pixel[13]) > cb)
	                                                        if(*cache_2 < c_b)
	                                                            if(*(cache_0 + pixel[6]) < c_b)
	                                                                goto is_a_corner;
	                                                            else
	                                                                goto is_not_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else if(*(cache_0 + pixel[13]) < c_b)
	                                                        if(*(cache_0 + pixel[11]) > cb)
	                                                            if(*cache_2 < c_b)
	                                                                if(*(cache_0 + pixel[4]) < c_b)
	                                                                    goto is_a_corner;
	                                                                else
	                                                                    goto is_not_a_corner;
	                                                            else
	                                                                goto is_not_a_corner;
	                                                        else if(*(cache_0 + pixel[11]) < c_b)
	                                                            goto is_a_corner;
	                                                        else
	                                                            if(*cache_2 < c_b)
	                                                                if(*(cache_0 + pixel[6]) < c_b)
	                                                                    if(*(cache_0 + pixel[4]) < c_b)
	                                                                        if(*(cache_0 + pixel[7]) < c_b)
	                                                                            goto is_a_corner;
	                                                                        else
	                                                                            goto is_not_a_corner;
	                                                                    else
	                                                                        goto is_not_a_corner;
	                                                                else
	                                                                    goto is_not_a_corner;
	                                                            else
	                                                                goto is_not_a_corner;
	                                                    else
	                                                        if(*cache_2 < c_b)
	                                                            if(*(cache_0 + pixel[4]) < c_b)
	                                                                if(*(cache_0 + pixel[7]) < c_b)
	                                                                    if(*(cache_0 + pixel[6]) < c_b)
	                                                                        goto is_a_corner;
	                                                                    else
	                                                                        goto is_not_a_corner;
	                                                                else
	                                                                    goto is_not_a_corner;
	                                                            else
	                                                                goto is_not_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                else
	                                    if(*(cache_0 + pixel[11]) < c_b)
	                                        if(*(cache_0 + pixel[13]) < c_b)
	                                            if(*(cache_0 + pixel[0]) < c_b)
	                                                goto is_a_corner;
	                                            else
	                                                if(*(cache_0 + pixel[8]) < c_b)
	                                                    if(*(cache_2+-4) < c_b)
	                                                        if(*(cache_0 + pixel[9]) < c_b)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                            else
	                                if(*(cache_0 + pixel[7]) < c_b)
	                                    if(*(cache_0 + pixel[6]) < c_b)
	                                        if(*(cache_0 + pixel[8]) < c_b)
	                                            if(*(cache_0 + pixel[4]) > cb)
	                                                if(*(cache_2+-4) < c_b)
	                                                    if(*(cache_0 + pixel[11]) < c_b)
	                                                        if(*(cache_0 + pixel[9]) < c_b)
	                                                            if(*(cache_0 + pixel[13]) < c_b)
	                                                                goto is_a_corner;
	                                                            else
	                                                                goto is_not_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else if(*(cache_0 + pixel[4]) < c_b)
	                                                if(*cache_2 > cb)
	                                                    if(*(cache_2+-4) < c_b)
	                                                        if(*(cache_0 + pixel[9]) < c_b)
	                                                            if(*(cache_0 + pixel[13]) < c_b)
	                                                                goto is_a_corner;
	                                                            else
	                                                                goto is_not_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else if(*cache_2 < c_b)
	                                                    if(*(cache_0 + pixel[0]) > cb)
	                                                        if(*(cache_0 + pixel[9]) < c_b)
	                                                            if(*(cache_2+-4) < c_b)
	                                                                goto is_a_corner;
	                                                            else
	                                                                goto is_not_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else if(*(cache_0 + pixel[0]) < c_b)
	                                                        if(*(cache_0+3) > cb)
	                                                            if(*(cache_2+-4) < c_b)
	                                                                goto is_a_corner;
	                                                            else
	                                                                goto is_not_a_corner;
	                                                        else if(*(cache_0+3) < c_b)
	                                                            goto is_a_corner;
	                                                        else
	                                                            if(*(cache_2+-4) < c_b)
	                                                                if(*(cache_0 + pixel[13]) < c_b)
	                                                                    if(*(cache_0 + pixel[11]) < c_b)
	                                                                        if(*(cache_0 + pixel[9]) < c_b)
	                                                                            goto is_a_corner;
	                                                                        else
	                                                                            goto is_not_a_corner;
	                                                                    else
	                                                                        goto is_not_a_corner;
	                                                                else
	                                                                    goto is_not_a_corner;
	                                                            else
	                                                                goto is_not_a_corner;
	                                                    else
	                                                        if(*(cache_2+-4) < c_b)
	                                                            if(*(cache_0 + pixel[9]) < c_b)
	                                                                if(*(cache_0+3) > cb)
	                                                                    goto is_not_a_corner;
	                                                                else if(*(cache_0+3) < c_b)
	                                                                    goto is_a_corner;
	                                                                else
	                                                                    if(*(cache_0 + pixel[13]) < c_b)
	                                                                        if(*(cache_0 + pixel[11]) < c_b)
	                                                                            goto is_a_corner;
	                                                                        else
	                                                                            goto is_not_a_corner;
	                                                                    else
	                                                                        goto is_not_a_corner;
	                                                            else
	                                                                goto is_not_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                else
	                                                    if(*(cache_2+-4) < c_b)
	                                                        if(*(cache_0 + pixel[9]) < c_b)
	                                                            if(*(cache_0 + pixel[13]) < c_b)
	                                                                if(*(cache_0 + pixel[11]) < c_b)
	                                                                    goto is_a_corner;
	                                                                else
	                                                                    goto is_not_a_corner;
	                                                            else
	                                                                goto is_not_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                            else
	                                                if(*(cache_2+-4) < c_b)
	                                                    if(*(cache_0 + pixel[13]) < c_b)
	                                                        if(*(cache_0 + pixel[9]) < c_b)
	                                                            if(*(cache_0 + pixel[11]) < c_b)
	                                                                goto is_a_corner;
	                                                            else
	                                                                goto is_not_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                        else
	                            if(*(cache_2+-4) < c_b)
	                                if(*(cache_0 + pixel[11]) < c_b)
	                                    if(*(cache_0 + pixel[9]) < c_b)
	                                        if(*(cache_0 + pixel[8]) < c_b)
	                                            if(*(cache_0 + pixel[13]) > cb)
	                                                if(*(cache_0 + pixel[4]) < c_b)
	                                                    if(*(cache_0 + pixel[6]) < c_b)
	                                                        if(*(cache_0+3) < c_b)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else if(*(cache_0 + pixel[13]) < c_b)
	                                                if(*(cache_0 + pixel[16]) > cb)
	                                                    if(*(cache_0 + pixel[6]) < c_b)
	                                                        if(*(cache_0+3) < c_b)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else if(*(cache_0 + pixel[16]) < c_b)
	                                                    goto is_a_corner;
	                                                else
	                                                    if(*(cache_0 + pixel[6]) < c_b)
	                                                        if(*(cache_0 + pixel[7]) < c_b)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                            else
	                                                if(*cache_2 < c_b)
	                                                    if(*(cache_0 + pixel[4]) < c_b)
	                                                        if(*(cache_0 + pixel[7]) < c_b)
	                                                            if(*(cache_0+3) < c_b)
	                                                                if(*(cache_0 + pixel[6]) < c_b)
	                                                                    goto is_a_corner;
	                                                                else
	                                                                    goto is_not_a_corner;
	                                                            else
	                                                                goto is_not_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                        else
	                                            if(*(cache_0 + pixel[0]) < c_b)
	                                                if(*(cache_0 + pixel[16]) < c_b)
	                                                    if(*(cache_0 + pixel[13]) < c_b)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                    else
	                        if(*(cache_0 + pixel[6]) < c_b)
	                            if(*(cache_0 + pixel[7]) < c_b)
	                                if(*cache_2 < c_b)
	                                    if(*(cache_0 + pixel[8]) > cb)
	                                        if(*(cache_0 + pixel[16]) < c_b)
	                                            if(*(cache_0 + pixel[0]) < c_b)
	                                                if(*(cache_0+3) < c_b)
	                                                    if(*(cache_0 + pixel[4]) < c_b)
	                                                        if(*(cache_1+4) < c_b)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else if(*(cache_0 + pixel[8]) < c_b)
	                                        if(*(cache_1+4) > cb)
	                                            if(*(cache_0 + pixel[11]) < c_b)
	                                                if(*(cache_0 + pixel[9]) < c_b)
	                                                    if(*(cache_2+-4) < c_b)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else if(*(cache_1+4) < c_b)
	                                            if(*(cache_0+3) > cb)
	                                                if(*(cache_0 + pixel[11]) < c_b)
	                                                    if(*(cache_0 + pixel[9]) < c_b)
	                                                        if(*(cache_2+-4) < c_b)
	                                                            if(*(cache_0 + pixel[13]) < c_b)
	                                                                goto is_a_corner;
	                                                            else
	                                                                goto is_not_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else if(*(cache_0+3) < c_b)
	                                                if(*(cache_0 + pixel[4]) > cb)
	                                                    if(*(cache_2+-4) < c_b)
	                                                        if(*(cache_0 + pixel[11]) < c_b)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else if(*(cache_0 + pixel[4]) < c_b)
	                                                    if(*(cache_0 + pixel[0]) > cb)
	                                                        if(*(cache_0 + pixel[9]) < c_b)
	                                                            if(*(cache_2+-4) < c_b)
	                                                                goto is_a_corner;
	                                                            else
	                                                                goto is_not_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else if(*(cache_0 + pixel[0]) < c_b)
	                                                        goto is_a_corner;
	                                                    else
	                                                        if(*(cache_2+-4) < c_b)
	                                                            if(*(cache_0 + pixel[9]) < c_b)
	                                                                goto is_a_corner;
	                                                            else
	                                                                goto is_not_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                else
	                                                    if(*(cache_2+-4) < c_b)
	                                                        if(*(cache_0 + pixel[13]) < c_b)
	                                                            if(*(cache_0 + pixel[9]) < c_b)
	                                                                if(*(cache_0 + pixel[11]) < c_b)
	                                                                    goto is_a_corner;
	                                                                else
	                                                                    goto is_not_a_corner;
	                                                            else
	                                                                goto is_not_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                            else
	                                                if(*(cache_2+-4) < c_b)
	                                                    if(*(cache_0 + pixel[11]) < c_b)
	                                                        if(*(cache_0 + pixel[9]) < c_b)
	                                                            if(*(cache_0 + pixel[13]) < c_b)
	                                                                goto is_a_corner;
	                                                            else
	                                                                goto is_not_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                        else
	                                            if(*(cache_0 + pixel[11]) < c_b)
	                                                if(*(cache_2+-4) < c_b)
	                                                    if(*(cache_0 + pixel[9]) < c_b)
	                                                        if(*(cache_0 + pixel[13]) > cb)
	                                                            goto is_not_a_corner;
	                                                        else if(*(cache_0 + pixel[13]) < c_b)
	                                                            goto is_a_corner;
	                                                        else
	                                                            if(*(cache_0+3) < c_b)
	                                                                if(*(cache_0 + pixel[4]) < c_b)
	                                                                    goto is_a_corner;
	                                                                else
	                                                                    goto is_not_a_corner;
	                                                            else
	                                                                goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                    else
	                                        if(*(cache_0 + pixel[16]) < c_b)
	                                            if(*(cache_1+4) < c_b)
	                                                if(*(cache_0 + pixel[4]) < c_b)
	                                                    if(*(cache_0 + pixel[0]) < c_b)
	                                                        if(*(cache_0+3) < c_b)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                        else
	                            goto is_not_a_corner;
	                else
	                    if(*(cache_0 + pixel[4]) < c_b)
	                        if(*(cache_1+4) > cb)
	                            if(*(cache_0 + pixel[11]) < c_b)
	                                if(*(cache_0 + pixel[7]) < c_b)
	                                    if(*(cache_0 + pixel[9]) < c_b)
	                                        if(*(cache_0 + pixel[6]) < c_b)
	                                            if(*(cache_0 + pixel[8]) < c_b)
	                                                if(*(cache_2+-4) < c_b)
	                                                    if(*(cache_0+3) < c_b)
	                                                        if(*cache_2 < c_b)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                        else if(*(cache_1+4) < c_b)
	                            if(*cache_2 > cb)
	                                if(*(cache_0 + pixel[13]) < c_b)
	                                    if(*(cache_0 + pixel[15]) < c_b)
	                                        if(*(cache_0+3) < c_b)
	                                            if(*(cache_0 + pixel[16]) < c_b)
	                                                if(*(cache_0 + pixel[0]) < c_b)
	                                                    goto is_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else if(*cache_2 < c_b)
	                                if(*(cache_0+3) < c_b)
	                                    if(*(cache_0 + pixel[16]) > cb)
	                                        if(*(cache_0 + pixel[8]) < c_b)
	                                            if(*(cache_0 + pixel[6]) < c_b)
	                                                if(*(cache_0 + pixel[7]) < c_b)
	                                                    if(*(cache_0 + pixel[0]) > cb)
	                                                        goto is_not_a_corner;
	                                                    else if(*(cache_0 + pixel[0]) < c_b)
	                                                        goto is_a_corner;
	                                                    else
	                                                        if(*(cache_2+-4) < c_b)
	                                                            if(*(cache_0 + pixel[9]) < c_b)
	                                                                goto is_a_corner;
	                                                            else
	                                                                goto is_not_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else if(*(cache_0 + pixel[16]) < c_b)
	                                        if(*(cache_0 + pixel[0]) > cb)
	                                            if(*(cache_2+-4) < c_b)
	                                                if(*(cache_0 + pixel[8]) < c_b)
	                                                    if(*(cache_0 + pixel[9]) < c_b)
	                                                        if(*(cache_0 + pixel[6]) < c_b)
	                                                            if(*(cache_0 + pixel[7]) < c_b)
	                                                                goto is_a_corner;
	                                                            else
	                                                                goto is_not_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else if(*(cache_0 + pixel[0]) < c_b)
	                                            if(*(cache_0 + pixel[15]) < c_b)
	                                                goto is_a_corner;
	                                            else
	                                                if(*(cache_0 + pixel[7]) < c_b)
	                                                    if(*(cache_0 + pixel[6]) < c_b)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                        else
	                                            if(*(cache_2+-4) < c_b)
	                                                if(*(cache_0 + pixel[7]) < c_b)
	                                                    if(*(cache_0 + pixel[9]) < c_b)
	                                                        if(*(cache_0 + pixel[6]) < c_b)
	                                                            if(*(cache_0 + pixel[8]) < c_b)
	                                                                goto is_a_corner;
	                                                            else
	                                                                goto is_not_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                    else
	                                        if(*(cache_0 + pixel[7]) < c_b)
	                                            if(*(cache_0 + pixel[8]) < c_b)
	                                                if(*(cache_0 + pixel[6]) < c_b)
	                                                    if(*(cache_0 + pixel[0]) > cb)
	                                                        if(*(cache_0 + pixel[9]) < c_b)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else if(*(cache_0 + pixel[0]) < c_b)
	                                                        goto is_a_corner;
	                                                    else
	                                                        if(*(cache_2+-4) < c_b)
	                                                            if(*(cache_0 + pixel[9]) < c_b)
	                                                                goto is_a_corner;
	                                                            else
	                                                                goto is_not_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                if(*(cache_0 + pixel[13]) < c_b)
	                                    if(*(cache_0 + pixel[15]) < c_b)
	                                        if(*(cache_0 + pixel[16]) < c_b)
	                                            if(*(cache_0+3) < c_b)
	                                                if(*(cache_0 + pixel[0]) < c_b)
	                                                    goto is_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                        else
	                            if(*(cache_0 + pixel[11]) < c_b)
	                                if(*(cache_0 + pixel[8]) < c_b)
	                                    if(*(cache_0 + pixel[6]) < c_b)
	                                        if(*(cache_2+-4) < c_b)
	                                            if(*(cache_0 + pixel[9]) < c_b)
	                                                if(*(cache_0+3) < c_b)
	                                                    if(*(cache_0 + pixel[7]) < c_b)
	                                                        if(*cache_2 < c_b)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                    else
	                        goto is_not_a_corner;
	            else
	                if(*(cache_0 + pixel[7]) > cb)
	                    if(*(cache_0+-3) > cb)
	                        if(*(cache_0+3) > cb)
	                            if(*(cache_2+-4) > cb)
	                                if(*cache_2 > cb)
	                                    if(*(cache_0 + pixel[8]) > cb)
	                                        if(*(cache_0 + pixel[11]) > cb)
	                                            if(*(cache_0 + pixel[6]) > cb)
	                                                if(*(cache_0 + pixel[9]) > cb)
	                                                    if(*(cache_0 + pixel[4]) > cb)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                        else if(*(cache_0+3) < c_b)
	                            if(*(cache_0 + pixel[4]) > cb)
	                                if(*(cache_0 + pixel[13]) > cb)
	                                    if(*(cache_2+-4) > cb)
	                                        if(*(cache_0 + pixel[6]) > cb)
	                                            if(*cache_2 > cb)
	                                                if(*(cache_0 + pixel[8]) > cb)
	                                                    goto is_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                        else
	                            if(*(cache_0 + pixel[13]) > cb)
	                                if(*(cache_0 + pixel[4]) > cb)
	                                    if(*(cache_2+-4) > cb)
	                                        if(*cache_2 > cb)
	                                            if(*(cache_0 + pixel[8]) > cb)
	                                                if(*(cache_0 + pixel[11]) > cb)
	                                                    if(*(cache_0 + pixel[9]) > cb)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                    else
	                        goto is_not_a_corner;
	                else if(*(cache_0 + pixel[7]) < c_b)
	                    if(*(cache_0 + pixel[9]) < c_b)
	                        if(*(cache_0 + pixel[6]) > cb)
	                            if(*(cache_0 + pixel[16]) < c_b)
	                                if(*(cache_0 + pixel[11]) < c_b)
	                                    if(*(cache_0+-3) < c_b)
	                                        if(*(cache_2+-4) < c_b)
	                                            if(*(cache_0 + pixel[13]) < c_b)
	                                                if(*(cache_0 + pixel[15]) < c_b)
	                                                    if(*(cache_0 + pixel[8]) < c_b)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                        else if(*(cache_0 + pixel[6]) < c_b)
	                            if(*(cache_0 + pixel[11]) > cb)
	                                if(*(cache_1+4) < c_b)
	                                    if(*(cache_0 + pixel[0]) > cb)
	                                        if(*(cache_2+-4) < c_b)
	                                            if(*cache_2 < c_b)
	                                                if(*(cache_0 + pixel[4]) < c_b)
	                                                    goto is_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else if(*(cache_0 + pixel[0]) < c_b)
	                                        if(*(cache_0 + pixel[4]) < c_b)
	                                            if(*cache_2 < c_b)
	                                                if(*(cache_0+3) < c_b)
	                                                    if(*(cache_0 + pixel[8]) < c_b)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        if(*(cache_2+-4) < c_b)
	                                            if(*(cache_0 + pixel[4]) < c_b)
	                                                if(*(cache_0+3) < c_b)
	                                                    if(*(cache_0 + pixel[8]) < c_b)
	                                                        if(*cache_2 < c_b)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else if(*(cache_0 + pixel[11]) < c_b)
	                                if(*(cache_0 + pixel[8]) < c_b)
	                                    if(*cache_2 < c_b)
	                                        if(*(cache_2+-4) > cb)
	                                            if(*(cache_0 + pixel[0]) < c_b)
	                                                if(*(cache_0+3) < c_b)
	                                                    if(*(cache_1+4) < c_b)
	                                                        if(*(cache_0 + pixel[4]) < c_b)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else if(*(cache_2+-4) < c_b)
	                                            if(*(cache_0 + pixel[4]) > cb)
	                                                if(*(cache_0+-3) < c_b)
	                                                    if(*(cache_0 + pixel[13]) < c_b)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else if(*(cache_0 + pixel[4]) < c_b)
	                                                if(*(cache_0+3) > cb)
	                                                    if(*(cache_0 + pixel[13]) < c_b)
	                                                        if(*(cache_0+-3) < c_b)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else if(*(cache_0+3) < c_b)
	                                                    goto is_a_corner;
	                                                else
	                                                    if(*(cache_0+-3) < c_b)
	                                                        if(*(cache_0 + pixel[13]) < c_b)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                            else
	                                                if(*(cache_0 + pixel[13]) < c_b)
	                                                    if(*(cache_0+-3) < c_b)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                        else
	                                            if(*(cache_0 + pixel[0]) < c_b)
	                                                if(*(cache_1+4) < c_b)
	                                                    if(*(cache_0+3) < c_b)
	                                                        if(*(cache_0 + pixel[4]) < c_b)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                    else
	                                        if(*(cache_0 + pixel[15]) < c_b)
	                                            if(*(cache_0 + pixel[13]) < c_b)
	                                                if(*(cache_0+-3) < c_b)
	                                                    if(*(cache_2+-4) < c_b)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                if(*(cache_1+4) < c_b)
	                                    if(*(cache_0 + pixel[4]) < c_b)
	                                        if(*(cache_0 + pixel[0]) > cb)
	                                            if(*(cache_2+-4) < c_b)
	                                                if(*(cache_0+3) < c_b)
	                                                    if(*cache_2 < c_b)
	                                                        if(*(cache_0 + pixel[8]) < c_b)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else if(*(cache_0 + pixel[0]) < c_b)
	                                            if(*(cache_0 + pixel[8]) < c_b)
	                                                if(*cache_2 < c_b)
	                                                    if(*(cache_0+3) < c_b)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            if(*(cache_2+-4) < c_b)
	                                                if(*(cache_0+3) < c_b)
	                                                    if(*(cache_0 + pixel[8]) < c_b)
	                                                        if(*cache_2 < c_b)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                        else
	                            if(*(cache_0 + pixel[16]) < c_b)
	                                if(*(cache_0 + pixel[11]) < c_b)
	                                    if(*(cache_0 + pixel[13]) < c_b)
	                                        if(*(cache_0 + pixel[15]) < c_b)
	                                            if(*(cache_2+-4) < c_b)
	                                                if(*(cache_0 + pixel[8]) < c_b)
	                                                    if(*(cache_0+-3) < c_b)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                    else
	                        goto is_not_a_corner;
	                else
	                    goto is_not_a_corner;
	        else
	            if(*(cache_2+-4) > cb)
	                if(*(cache_0+-3) > cb)
	                    if(*(cache_0+3) > cb)
	                        if(*(cache_0 + pixel[6]) > cb)
	                            if(*(cache_0 + pixel[8]) > cb)
	                                if(*(cache_0 + pixel[4]) > cb)
	                                    if(*(cache_0 + pixel[11]) > cb)
	                                        if(*cache_2 > cb)
	                                            if(*(cache_0 + pixel[7]) > cb)
	                                                if(*(cache_0 + pixel[9]) > cb)
	                                                    goto is_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                        else
	                            goto is_not_a_corner;
	                    else if(*(cache_0+3) < c_b)
	                        if(*(cache_0 + pixel[4]) > cb)
	                            if(*(cache_0 + pixel[13]) > cb)
	                                if(*(cache_0 + pixel[6]) > cb)
	                                    if(*(cache_0 + pixel[7]) > cb)
	                                        if(*cache_2 > cb)
	                                            if(*(cache_0 + pixel[11]) > cb)
	                                                goto is_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                        else
	                            goto is_not_a_corner;
	                    else
	                        if(*(cache_0 + pixel[13]) > cb)
	                            if(*(cache_0 + pixel[4]) > cb)
	                                if(*(cache_0 + pixel[6]) > cb)
	                                    if(*(cache_0 + pixel[8]) > cb)
	                                        if(*cache_2 > cb)
	                                            if(*(cache_0 + pixel[11]) > cb)
	                                                if(*(cache_0 + pixel[9]) > cb)
	                                                    if(*(cache_0 + pixel[7]) > cb)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                        else
	                            goto is_not_a_corner;
	                else
	                    goto is_not_a_corner;
	            else if(*(cache_2+-4) < c_b)
	                if(*(cache_0 + pixel[17]) > cb)
	                    if(*(cache_0 + pixel[6]) > cb)
	                        if(*(cache_0 + pixel[16]) < c_b)
	                            if(*(cache_0 + pixel[7]) < c_b)
	                                if(*(cache_0+-3) < c_b)
	                                    if(*(cache_0 + pixel[8]) < c_b)
	                                        if(*(cache_0 + pixel[11]) < c_b)
	                                            if(*(cache_0 + pixel[9]) < c_b)
	                                                if(*(cache_0 + pixel[13]) < c_b)
	                                                    goto is_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                        else
	                            goto is_not_a_corner;
	                    else if(*(cache_0 + pixel[6]) < c_b)
	                        if(*(cache_0+-3) < c_b)
	                            if(*cache_2 > cb)
	                                if(*(cache_0 + pixel[15]) < c_b)
	                                    if(*(cache_0 + pixel[7]) < c_b)
	                                        if(*(cache_0 + pixel[9]) < c_b)
	                                            if(*(cache_0 + pixel[13]) < c_b)
	                                                if(*(cache_0 + pixel[11]) < c_b)
	                                                    goto is_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else if(*cache_2 < c_b)
	                                if(*(cache_0 + pixel[8]) < c_b)
	                                    if(*(cache_0 + pixel[11]) < c_b)
	                                        if(*(cache_0 + pixel[7]) < c_b)
	                                            if(*(cache_0 + pixel[9]) < c_b)
	                                                if(*(cache_0 + pixel[13]) > cb)
	                                                    if(*(cache_1+4) > cb)
	                                                        if(*(cache_0 + pixel[0]) > cb)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else if(*(cache_1+4) < c_b)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else if(*(cache_0 + pixel[13]) < c_b)
	                                                    goto is_a_corner;
	                                                else
	                                                    if(*(cache_0+3) < c_b)
	                                                        if(*(cache_0 + pixel[4]) < c_b)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                if(*(cache_0 + pixel[15]) < c_b)
	                                    if(*(cache_0 + pixel[7]) < c_b)
	                                        if(*(cache_0 + pixel[8]) < c_b)
	                                            if(*(cache_0 + pixel[13]) < c_b)
	                                                if(*(cache_0 + pixel[9]) < c_b)
	                                                    if(*(cache_0 + pixel[11]) < c_b)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                        else
	                            goto is_not_a_corner;
	                    else
	                        if(*(cache_0 + pixel[16]) < c_b)
	                            if(*(cache_0 + pixel[7]) < c_b)
	                                if(*(cache_0+-3) < c_b)
	                                    if(*(cache_0 + pixel[9]) < c_b)
	                                        if(*(cache_0 + pixel[11]) < c_b)
	                                            if(*(cache_0 + pixel[15]) < c_b)
	                                                if(*(cache_0 + pixel[8]) < c_b)
	                                                    if(*(cache_0 + pixel[13]) < c_b)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                        else
	                            goto is_not_a_corner;
	                else if(*(cache_0 + pixel[17]) < c_b)
	                    if(*(cache_0 + pixel[11]) < c_b)
	                        if(*(cache_0 + pixel[9]) > cb)
	                            if(*(cache_1+4) < c_b)
	                                if(*(cache_0 + pixel[15]) < c_b)
	                                    if(*(cache_0+-3) < c_b)
	                                        if(*(cache_0 + pixel[0]) < c_b)
	                                            if(*(cache_0 + pixel[16]) < c_b)
	                                                if(*(cache_0 + pixel[13]) < c_b)
	                                                    goto is_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                        else if(*(cache_0 + pixel[9]) < c_b)
	                            if(*(cache_0+-3) < c_b)
	                                if(*(cache_0 + pixel[15]) > cb)
	                                    if(*cache_2 < c_b)
	                                        if(*(cache_0 + pixel[7]) < c_b)
	                                            if(*(cache_0 + pixel[6]) < c_b)
	                                                if(*(cache_0 + pixel[8]) < c_b)
	                                                    if(*(cache_0 + pixel[13]) > cb||*(cache_0 + pixel[13]) < c_b)
	                                                        goto is_a_corner;
	                                                    else
	                                                        if(*(cache_0+3) < c_b)
	                                                            if(*(cache_0 + pixel[0]) < c_b)
	                                                                goto is_a_corner;
	                                                            else
	                                                                goto is_not_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else if(*(cache_0 + pixel[15]) < c_b)
	                                    if(*(cache_0 + pixel[8]) > cb)
	                                        if(*(cache_0 + pixel[0]) < c_b)
	                                            if(*(cache_0 + pixel[13]) < c_b)
	                                                if(*(cache_0 + pixel[16]) < c_b)
	                                                    goto is_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else if(*(cache_0 + pixel[8]) < c_b)
	                                        if(*(cache_0 + pixel[13]) > cb)
	                                            if(*(cache_0+3) < c_b)
	                                                if(*cache_2 < c_b)
	                                                    if(*(cache_0 + pixel[4]) < c_b)
	                                                        if(*(cache_0 + pixel[7]) < c_b)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else if(*(cache_0 + pixel[13]) < c_b)
	                                            if(*(cache_0 + pixel[16]) < c_b)
	                                                goto is_a_corner;
	                                            else
	                                                if(*(cache_0 + pixel[6]) < c_b)
	                                                    if(*(cache_0 + pixel[7]) < c_b)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                        else
	                                            if(*(cache_0+3) < c_b)
	                                                if(*cache_2 < c_b)
	                                                    if(*(cache_0 + pixel[6]) < c_b)
	                                                        if(*(cache_0 + pixel[4]) < c_b)
	                                                            if(*(cache_0 + pixel[7]) < c_b)
	                                                                goto is_a_corner;
	                                                            else
	                                                                goto is_not_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                    else
	                                        if(*(cache_0 + pixel[0]) < c_b)
	                                            if(*(cache_0 + pixel[16]) < c_b)
	                                                if(*(cache_0 + pixel[13]) < c_b)
	                                                    goto is_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                else
	                                    if(*cache_2 < c_b)
	                                        if(*(cache_0 + pixel[7]) < c_b)
	                                            if(*(cache_0 + pixel[6]) < c_b)
	                                                if(*(cache_0 + pixel[8]) < c_b)
	                                                    if(*(cache_0 + pixel[13]) > cb)
	                                                        if(*(cache_0+3) < c_b)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else if(*(cache_0 + pixel[13]) < c_b)
	                                                        goto is_a_corner;
	                                                    else
	                                                        if(*(cache_0+3) < c_b)
	                                                            if(*(cache_0 + pixel[4]) < c_b)
	                                                                goto is_a_corner;
	                                                            else
	                                                                goto is_not_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                        else
	                            if(*(cache_1+4) < c_b)
	                                if(*(cache_0+-3) < c_b)
	                                    if(*(cache_0 + pixel[15]) < c_b)
	                                        if(*(cache_0 + pixel[0]) < c_b)
	                                            if(*(cache_0 + pixel[13]) < c_b)
	                                                if(*(cache_0 + pixel[16]) < c_b)
	                                                    goto is_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                    else
	                        goto is_not_a_corner;
	                else
	                    if(*(cache_0 + pixel[7]) < c_b)
	                        if(*(cache_0 + pixel[6]) > cb)
	                            if(*(cache_0 + pixel[16]) < c_b)
	                                if(*(cache_0+-3) < c_b)
	                                    if(*(cache_0 + pixel[9]) < c_b)
	                                        if(*(cache_0 + pixel[15]) < c_b)
	                                            if(*(cache_0 + pixel[11]) < c_b)
	                                                if(*(cache_0 + pixel[8]) < c_b)
	                                                    if(*(cache_0 + pixel[13]) < c_b)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                        else if(*(cache_0 + pixel[6]) < c_b)
	                            if(*(cache_0+-3) < c_b)
	                                if(*(cache_0 + pixel[8]) < c_b)
	                                    if(*cache_2 > cb)
	                                        if(*(cache_0 + pixel[15]) < c_b)
	                                            if(*(cache_0 + pixel[11]) < c_b)
	                                                if(*(cache_0 + pixel[9]) < c_b)
	                                                    if(*(cache_0 + pixel[13]) < c_b)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else if(*cache_2 < c_b)
	                                        if(*(cache_0 + pixel[11]) < c_b)
	                                            if(*(cache_0 + pixel[9]) < c_b)
	                                                if(*(cache_0 + pixel[13]) > cb)
	                                                    if(*(cache_0+3) < c_b)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else if(*(cache_0 + pixel[13]) < c_b)
	                                                    goto is_a_corner;
	                                                else
	                                                    if(*(cache_0+3) < c_b)
	                                                        if(*(cache_0 + pixel[4]) < c_b)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        if(*(cache_0 + pixel[15]) < c_b)
	                                            if(*(cache_0 + pixel[13]) < c_b)
	                                                if(*(cache_0 + pixel[11]) < c_b)
	                                                    if(*(cache_0 + pixel[9]) < c_b)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                        else
	                            if(*(cache_0 + pixel[16]) < c_b)
	                                if(*(cache_0+-3) < c_b)
	                                    if(*(cache_0 + pixel[8]) < c_b)
	                                        if(*(cache_0 + pixel[15]) < c_b)
	                                            if(*(cache_0 + pixel[11]) < c_b)
	                                                if(*(cache_0 + pixel[13]) < c_b)
	                                                    if(*(cache_0 + pixel[9]) < c_b)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                    else
	                        goto is_not_a_corner;
	            else
	                goto is_not_a_corner;
	    else
	        if(*cache_2 > cb)
	            if(*(cache_2+-4) > cb)
	                if(*(cache_0 + pixel[4]) > cb)
	                    if(*(cache_0 + pixel[6]) > cb)
	                        if(*(cache_0+-3) > cb)
	                            if(*(cache_0 + pixel[8]) > cb)
	                                if(*(cache_0+3) > cb)
	                                    if(*(cache_0 + pixel[7]) > cb)
	                                        if(*(cache_0 + pixel[11]) > cb)
	                                            if(*(cache_0 + pixel[9]) > cb)
	                                                goto is_a_corner;
	                                            else
	                                                if(*(cache_0 + pixel[17]) > cb)
	                                                    if(*(cache_1+4) > cb)
	                                                        if(*(cache_0 + pixel[0]) > cb)
	                                                            if(*(cache_0 + pixel[2]) > cb)
	                                                                goto is_a_corner;
	                                                            else
	                                                                goto is_not_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                        else if(*(cache_0 + pixel[11]) < c_b)
	                                            if(*(cache_1+4) > cb)
	                                                if(*(cache_0 + pixel[2]) > cb)
	                                                    goto is_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            if(*(cache_1+4) > cb)
	                                                if(*(cache_0 + pixel[2]) > cb)
	                                                    if(*(cache_0 + pixel[9]) > cb)
	                                                        goto is_a_corner;
	                                                    else if(*(cache_0 + pixel[9]) < c_b)
	                                                        goto is_not_a_corner;
	                                                    else
	                                                        if(*(cache_0 + pixel[17]) > cb)
	                                                            if(*(cache_0 + pixel[0]) > cb)
	                                                                goto is_a_corner;
	                                                            else
	                                                                goto is_not_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                    else if(*(cache_0 + pixel[7]) < c_b)
	                                        if(*(cache_0 + pixel[15]) > cb)
	                                            if(*(cache_0 + pixel[0]) > cb)
	                                                if(*(cache_1+4) > cb)
	                                                    if(*(cache_0 + pixel[17]) > cb)
	                                                        if(*(cache_0 + pixel[2]) > cb)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        if(*(cache_0 + pixel[15]) > cb)
	                                            if(*(cache_0 + pixel[0]) > cb)
	                                                if(*(cache_0 + pixel[16]) > cb)
	                                                    if(*(cache_0 + pixel[2]) > cb)
	                                                        if(*(cache_1+4) > cb)
	                                                            if(*(cache_0 + pixel[17]) > cb)
	                                                                goto is_a_corner;
	                                                            else
	                                                                goto is_not_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                else
	                                    if(*(cache_0 + pixel[13]) > cb)
	                                        if(*(cache_0 + pixel[7]) > cb)
	                                            if(*(cache_0 + pixel[11]) > cb)
	                                                if(*(cache_0 + pixel[9]) > cb)
	                                                    goto is_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                            else if(*(cache_0 + pixel[8]) < c_b)
	                                if(*(cache_0 + pixel[15]) > cb)
	                                    if(*(cache_1+4) > cb)
	                                        if(*(cache_0 + pixel[16]) > cb)
	                                            if(*(cache_0 + pixel[2]) > cb)
	                                                if(*(cache_0 + pixel[17]) > cb)
	                                                    if(*(cache_0+3) > cb)
	                                                        if(*(cache_0 + pixel[0]) > cb)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else if(*(cache_0 + pixel[15]) < c_b)
	                                    if(*(cache_0 + pixel[7]) > cb)
	                                        if(*(cache_0 + pixel[16]) > cb)
	                                            if(*(cache_0 + pixel[0]) > cb)
	                                                goto is_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    if(*(cache_0 + pixel[7]) > cb)
	                                        if(*(cache_0 + pixel[16]) > cb)
	                                            if(*(cache_1+4) > cb)
	                                                if(*(cache_0 + pixel[0]) > cb)
	                                                    if(*(cache_0 + pixel[2]) > cb)
	                                                        if(*(cache_0+3) > cb)
	                                                            if(*(cache_0 + pixel[17]) > cb)
	                                                                goto is_a_corner;
	                                                            else
	                                                                goto is_not_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                            else
	                                if(*(cache_0 + pixel[16]) > cb)
	                                    if(*(cache_1+4) > cb)
	                                        if(*(cache_0 + pixel[15]) > cb)
	                                            if(*(cache_0 + pixel[17]) > cb)
	                                                if(*(cache_0 + pixel[2]) > cb)
	                                                    if(*(cache_0 + pixel[0]) > cb)
	                                                        if(*(cache_0+3) > cb)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else if(*(cache_0 + pixel[15]) < c_b)
	                                            if(*(cache_0 + pixel[7]) > cb)
	                                                if(*(cache_0 + pixel[0]) > cb)
	                                                    if(*(cache_0+3) > cb)
	                                                        if(*(cache_0 + pixel[2]) > cb)
	                                                            if(*(cache_0 + pixel[17]) > cb)
	                                                                goto is_a_corner;
	                                                            else
	                                                                goto is_not_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            if(*(cache_0 + pixel[7]) > cb)
	                                                if(*(cache_0 + pixel[17]) > cb)
	                                                    if(*(cache_0 + pixel[2]) > cb)
	                                                        if(*(cache_0 + pixel[0]) > cb)
	                                                            if(*(cache_0+3) > cb)
	                                                                goto is_a_corner;
	                                                            else
	                                                                goto is_not_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                        else if(*(cache_0+-3) < c_b)
	                            if(*(cache_1+4) > cb)
	                                if(*(cache_0 + pixel[2]) > cb)
	                                    if(*(cache_0 + pixel[8]) > cb)
	                                        if(*(cache_0+3) > cb)
	                                            if(*(cache_0 + pixel[7]) > cb)
	                                                if(*(cache_0 + pixel[9]) > cb)
	                                                    goto is_a_corner;
	                                                else if(*(cache_0 + pixel[9]) < c_b)
	                                                    if(*(cache_0 + pixel[17]) > cb)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    if(*(cache_0 + pixel[17]) > cb)
	                                                        if(*(cache_0 + pixel[0]) > cb)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                            else if(*(cache_0 + pixel[7]) < c_b)
	                                                goto is_not_a_corner;
	                                            else
	                                                if(*(cache_0 + pixel[15]) > cb)
	                                                    if(*(cache_0 + pixel[17]) > cb)
	                                                        if(*(cache_0 + pixel[16]) > cb)
	                                                            if(*(cache_0 + pixel[0]) > cb)
	                                                                goto is_a_corner;
	                                                            else
	                                                                goto is_not_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else if(*(cache_0 + pixel[8]) < c_b)
	                                        if(*(cache_0 + pixel[15]) > cb)
	                                            if(*(cache_0 + pixel[0]) > cb)
	                                                if(*(cache_0 + pixel[17]) > cb)
	                                                    if(*(cache_0 + pixel[16]) > cb)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        if(*(cache_0 + pixel[16]) > cb)
	                                            if(*(cache_0 + pixel[17]) > cb)
	                                                if(*(cache_0 + pixel[15]) > cb)
	                                                    if(*(cache_0+3) > cb)
	                                                        if(*(cache_0 + pixel[0]) > cb)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else if(*(cache_0 + pixel[15]) < c_b)
	                                                    if(*(cache_0 + pixel[9]) < c_b)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    if(*(cache_0 + pixel[7]) > cb)
	                                                        if(*(cache_0 + pixel[0]) > cb)
	                                                            if(*(cache_0+3) > cb)
	                                                                goto is_a_corner;
	                                                            else
	                                                                goto is_not_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else if(*(cache_1+4) < c_b)
	                                if(*(cache_0 + pixel[11]) > cb)
	                                    if(*(cache_0 + pixel[2]) > cb)
	                                        if(*(cache_0 + pixel[7]) > cb)
	                                            if(*(cache_0 + pixel[0]) > cb||*(cache_0 + pixel[0]) < c_b)
	                                                goto is_a_corner;
	                                            else
	                                                if(*(cache_0 + pixel[8]) > cb)
	                                                    if(*(cache_0+3) > cb)
	                                                        if(*(cache_0 + pixel[9]) > cb)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                if(*(cache_0 + pixel[11]) > cb)
	                                    if(*(cache_0 + pixel[2]) > cb)
	                                        if(*(cache_0 + pixel[8]) > cb)
	                                            if(*(cache_0+3) > cb)
	                                                if(*(cache_0 + pixel[7]) > cb)
	                                                    if(*(cache_0 + pixel[9]) > cb)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                        else
	                            if(*(cache_1+4) > cb)
	                                if(*(cache_0 + pixel[2]) > cb)
	                                    if(*(cache_0 + pixel[8]) > cb)
	                                        if(*(cache_0+3) > cb)
	                                            if(*(cache_0 + pixel[7]) > cb)
	                                                if(*(cache_0 + pixel[9]) > cb)
	                                                    goto is_a_corner;
	                                                else
	                                                    if(*(cache_0 + pixel[17]) > cb)
	                                                        if(*(cache_0 + pixel[0]) > cb)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                            else if(*(cache_0 + pixel[7]) < c_b)
	                                                if(*(cache_0 + pixel[15]) > cb)
	                                                    if(*(cache_0 + pixel[16]) > cb)
	                                                        if(*(cache_0 + pixel[0]) > cb)
	                                                            if(*(cache_0 + pixel[17]) > cb)
	                                                                goto is_a_corner;
	                                                            else
	                                                                goto is_not_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                if(*(cache_0 + pixel[15]) > cb)
	                                                    if(*(cache_0 + pixel[17]) > cb)
	                                                        if(*(cache_0 + pixel[16]) > cb)
	                                                            if(*(cache_0 + pixel[0]) > cb)
	                                                                goto is_a_corner;
	                                                            else
	                                                                goto is_not_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else if(*(cache_0 + pixel[8]) < c_b)
	                                        if(*(cache_0 + pixel[15]) > cb)
	                                            if(*(cache_0 + pixel[17]) > cb)
	                                                if(*(cache_0 + pixel[16]) > cb)
	                                                    if(*(cache_0 + pixel[0]) > cb)
	                                                        if(*(cache_0+3) > cb)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else if(*(cache_0 + pixel[15]) < c_b)
	                                            goto is_not_a_corner;
	                                        else
	                                            if(*(cache_0 + pixel[7]) > cb)
	                                                if(*(cache_0 + pixel[16]) > cb)
	                                                    if(*(cache_0 + pixel[0]) > cb)
	                                                        if(*(cache_0+3) > cb)
	                                                            if(*(cache_0 + pixel[17]) > cb)
	                                                                goto is_a_corner;
	                                                            else
	                                                                goto is_not_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                    else
	                                        if(*(cache_0 + pixel[16]) > cb)
	                                            if(*(cache_0 + pixel[17]) > cb)
	                                                if(*(cache_0 + pixel[15]) > cb)
	                                                    if(*(cache_0 + pixel[0]) > cb)
	                                                        if(*(cache_0+3) > cb)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else if(*(cache_0 + pixel[15]) < c_b)
	                                                    if(*(cache_0 + pixel[7]) > cb)
	                                                        if(*(cache_0 + pixel[0]) > cb)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    if(*(cache_0 + pixel[7]) > cb)
	                                                        if(*(cache_0 + pixel[0]) > cb)
	                                                            if(*(cache_0+3) > cb)
	                                                                goto is_a_corner;
	                                                            else
	                                                                goto is_not_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else if(*(cache_1+4) < c_b)
	                                if(*(cache_0 + pixel[2]) > cb)
	                                    if(*(cache_0 + pixel[11]) > cb)
	                                        if(*(cache_0 + pixel[8]) > cb)
	                                            if(*(cache_0 + pixel[9]) > cb)
	                                                if(*(cache_0 + pixel[7]) > cb)
	                                                    if(*(cache_0+3) > cb)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                if(*(cache_0 + pixel[11]) > cb)
	                                    if(*(cache_0 + pixel[2]) > cb)
	                                        if(*(cache_0 + pixel[8]) > cb)
	                                            if(*(cache_0 + pixel[9]) > cb)
	                                                if(*(cache_0+3) > cb)
	                                                    if(*(cache_0 + pixel[7]) > cb)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                    else
	                        goto is_not_a_corner;
	                else
	                    goto is_not_a_corner;
	            else if(*(cache_2+-4) < c_b)
	                if(*(cache_0 + pixel[0]) > cb)
	                    if(*(cache_0 + pixel[6]) > cb)
	                        if(*(cache_0 + pixel[16]) > cb)
	                            if(*(cache_0 + pixel[2]) > cb)
	                                if(*(cache_0 + pixel[15]) > cb)
	                                    if(*(cache_0 + pixel[4]) > cb)
	                                        if(*(cache_1+4) > cb)
	                                            if(*(cache_0+3) > cb)
	                                                if(*(cache_0 + pixel[17]) > cb)
	                                                    goto is_a_corner;
	                                                else if(*(cache_0 + pixel[17]) < c_b)
	                                                    goto is_not_a_corner;
	                                                else
	                                                    if(*(cache_0 + pixel[9]) > cb)
	                                                        if(*(cache_0 + pixel[13]) > cb)
	                                                            goto is_not_a_corner;
	                                                        else
	                                                            goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else if(*(cache_0 + pixel[15]) < c_b)
	                                    if(*(cache_0 + pixel[7]) > cb)
	                                        if(*(cache_0 + pixel[4]) > cb)
	                                            if(*(cache_0 + pixel[17]) > cb)
	                                                if(*(cache_1+4) > cb)
	                                                    if(*(cache_0+3) > cb)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    if(*(cache_0 + pixel[7]) > cb)
	                                        if(*(cache_0+3) > cb)
	                                            if(*(cache_1+4) > cb)
	                                                if(*(cache_0 + pixel[17]) > cb)
	                                                    if(*(cache_0 + pixel[4]) > cb)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else if(*(cache_0 + pixel[17]) < c_b)
	                                                    goto is_not_a_corner;
	                                                else
	                                                    if(*(cache_0 + pixel[9]) > cb)
	                                                        if(*(cache_0 + pixel[13]) < c_b)
	                                                            if(*(cache_0 + pixel[4]) > cb)
	                                                                if(*(cache_0 + pixel[8]) > cb)
	                                                                    goto is_a_corner;
	                                                                else
	                                                                    goto is_not_a_corner;
	                                                            else
	                                                                goto is_not_a_corner;
	                                                        else
	                                                            goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                        else if(*(cache_0 + pixel[16]) < c_b)
	                            if(*(cache_0 + pixel[9]) > cb)
	                                if(*(cache_0 + pixel[2]) > cb)
	                                    if(*(cache_0 + pixel[7]) > cb)
	                                        if(*(cache_1+4) > cb)
	                                            if(*(cache_0 + pixel[4]) > cb)
	                                                if(*(cache_0+3) > cb)
	                                                    if(*(cache_0 + pixel[8]) > cb)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else if(*(cache_0 + pixel[9]) < c_b)
	                                if(*(cache_0 + pixel[8]) > cb)
	                                    if(*(cache_0 + pixel[17]) > cb)
	                                        if(*(cache_0+3) > cb)
	                                            if(*(cache_0 + pixel[7]) > cb)
	                                                if(*(cache_1+4) > cb)
	                                                    goto is_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                if(*(cache_0 + pixel[17]) > cb)
	                                    if(*(cache_0 + pixel[8]) > cb)
	                                        if(*(cache_0 + pixel[2]) > cb)
	                                            if(*(cache_0 + pixel[15]) > cb||*(cache_0 + pixel[15]) < c_b)
	                                                goto is_a_corner;
	                                            else
	                                                if(*(cache_0+3) > cb)
	                                                    if(*(cache_0 + pixel[4]) > cb)
	                                                        if(*(cache_1+4) > cb)
	                                                            if(*(cache_0 + pixel[7]) > cb)
	                                                                goto is_a_corner;
	                                                            else
	                                                                goto is_not_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                        else
	                            if(*(cache_0 + pixel[8]) > cb)
	                                if(*(cache_0 + pixel[2]) > cb)
	                                    if(*(cache_0 + pixel[17]) > cb)
	                                        if(*(cache_0+3) > cb)
	                                            if(*(cache_1+4) > cb)
	                                                if(*(cache_0 + pixel[7]) > cb)
	                                                    if(*(cache_0 + pixel[4]) > cb)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else if(*(cache_0 + pixel[17]) < c_b)
	                                        if(*(cache_0 + pixel[9]) > cb)
	                                            if(*(cache_0 + pixel[4]) > cb)
	                                                goto is_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        if(*(cache_0 + pixel[9]) > cb)
	                                            if(*(cache_1+4) > cb)
	                                                if(*(cache_0 + pixel[4]) > cb)
	                                                    if(*(cache_0+3) > cb)
	                                                        if(*(cache_0 + pixel[7]) > cb)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                    else
	                        goto is_not_a_corner;
	                else
	                    goto is_not_a_corner;
	            else
	                if(*(cache_0 + pixel[0]) > cb)
	                    if(*(cache_0 + pixel[7]) > cb)
	                        if(*(cache_0 + pixel[2]) > cb)
	                            if(*(cache_0 + pixel[8]) > cb)
	                                if(*(cache_0 + pixel[4]) > cb)
	                                    if(*(cache_0 + pixel[6]) > cb)
	                                        if(*(cache_1+4) > cb)
	                                            if(*(cache_0 + pixel[17]) > cb)
	                                                if(*(cache_0+3) > cb)
	                                                    goto is_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                if(*(cache_0 + pixel[9]) > cb)
	                                                    if(*(cache_0+3) > cb)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else if(*(cache_0 + pixel[8]) < c_b)
	                                if(*(cache_0 + pixel[16]) > cb)
	                                    if(*(cache_0+3) > cb)
	                                        if(*(cache_0 + pixel[6]) > cb)
	                                            if(*(cache_0 + pixel[17]) > cb)
	                                                if(*(cache_1+4) > cb)
	                                                    if(*(cache_0 + pixel[4]) > cb)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                if(*(cache_0 + pixel[16]) > cb)
	                                    if(*(cache_0 + pixel[4]) > cb)
	                                        if(*(cache_0 + pixel[6]) > cb)
	                                            if(*(cache_1+4) > cb)
	                                                if(*(cache_0 + pixel[17]) > cb)
	                                                    if(*(cache_0+3) > cb)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                        else
	                            goto is_not_a_corner;
	                    else if(*(cache_0 + pixel[7]) < c_b)
	                        if(*(cache_0 + pixel[6]) > cb)
	                            if(*(cache_0 + pixel[15]) > cb)
	                                if(*(cache_0 + pixel[2]) > cb)
	                                    if(*(cache_0 + pixel[17]) > cb)
	                                        if(*(cache_0 + pixel[16]) > cb)
	                                            if(*(cache_1+4) > cb)
	                                                if(*(cache_0+3) > cb)
	                                                    if(*(cache_0 + pixel[4]) > cb)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                        else
	                            goto is_not_a_corner;
	                    else
	                        if(*(cache_0 + pixel[15]) > cb)
	                            if(*(cache_0 + pixel[6]) > cb)
	                                if(*(cache_0 + pixel[2]) > cb)
	                                    if(*(cache_0 + pixel[16]) > cb)
	                                        if(*(cache_0 + pixel[4]) > cb)
	                                            if(*(cache_1+4) > cb)
	                                                if(*(cache_0 + pixel[17]) > cb)
	                                                    if(*(cache_0+3) > cb)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                        else
	                            goto is_not_a_corner;
	                else
	                    goto is_not_a_corner;
	        else if(*cache_2 < c_b)
	            if(*(cache_2+-4) > cb)
	                if(*(cache_0 + pixel[0]) < c_b)
	                    if(*(cache_0 + pixel[6]) < c_b)
	                        if(*(cache_0 + pixel[16]) > cb)
	                            if(*(cache_0 + pixel[9]) > cb)
	                                if(*(cache_0 + pixel[8]) < c_b)
	                                    if(*(cache_0 + pixel[17]) < c_b)
	                                        if(*(cache_0 + pixel[2]) < c_b)
	                                            if(*(cache_0 + pixel[7]) < c_b)
	                                                if(*(cache_0 + pixel[15]) > cb)
	                                                    if(*(cache_0+-3) > cb)
	                                                        goto is_not_a_corner;
	                                                    else if(*(cache_0+-3) < c_b)
	                                                        goto is_a_corner;
	                                                    else
	                                                        if(*(cache_0+3) < c_b)
	                                                            if(*(cache_0 + pixel[4]) < c_b)
	                                                                goto is_a_corner;
	                                                            else
	                                                                goto is_not_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                else
	                                                    goto is_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else if(*(cache_0 + pixel[9]) < c_b)
	                                if(*(cache_0 + pixel[2]) < c_b)
	                                    if(*(cache_1+4) < c_b)
	                                        if(*(cache_0 + pixel[8]) < c_b)
	                                            if(*(cache_0+3) < c_b)
	                                                if(*(cache_0 + pixel[4]) < c_b)
	                                                    if(*(cache_0 + pixel[7]) < c_b)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                if(*(cache_0 + pixel[17]) < c_b)
	                                    if(*(cache_0 + pixel[8]) < c_b)
	                                        if(*(cache_0 + pixel[2]) < c_b)
	                                            if(*(cache_1+4) < c_b)
	                                                if(*(cache_0+3) < c_b)
	                                                    if(*(cache_0 + pixel[7]) < c_b)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                        else if(*(cache_0 + pixel[16]) < c_b)
	                            if(*(cache_0 + pixel[2]) < c_b)
	                                if(*(cache_0 + pixel[15]) > cb)
	                                    if(*(cache_0 + pixel[7]) < c_b)
	                                        if(*(cache_0 + pixel[4]) < c_b)
	                                            if(*(cache_1+4) < c_b)
	                                                if(*(cache_0 + pixel[17]) > cb)
	                                                    goto is_not_a_corner;
	                                                else if(*(cache_0 + pixel[17]) < c_b)
	                                                    goto is_a_corner;
	                                                else
	                                                    if(*(cache_0 + pixel[9]) < c_b)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else if(*(cache_0 + pixel[15]) < c_b)
	                                    if(*(cache_0+3) < c_b)
	                                        if(*(cache_1+4) < c_b)
	                                            if(*(cache_0 + pixel[4]) < c_b)
	                                                if(*(cache_0 + pixel[17]) < c_b)
	                                                    goto is_a_corner;
	                                                else
	                                                    if(*(cache_0 + pixel[9]) < c_b)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    if(*(cache_0 + pixel[7]) < c_b)
	                                        if(*(cache_0+3) < c_b)
	                                            if(*(cache_1+4) < c_b)
	                                                if(*(cache_0 + pixel[17]) > cb)
	                                                    goto is_not_a_corner;
	                                                else if(*(cache_0 + pixel[17]) < c_b)
	                                                    if(*(cache_0 + pixel[4]) < c_b)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    if(*(cache_0 + pixel[9]) < c_b)
	                                                        if(*(cache_0 + pixel[8]) < c_b)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                        else
	                            if(*(cache_0 + pixel[8]) < c_b)
	                                if(*(cache_0 + pixel[2]) < c_b)
	                                    if(*(cache_0 + pixel[17]) > cb)
	                                        if(*(cache_0 + pixel[9]) < c_b)
	                                            if(*(cache_0+-3) > cb)
	                                                if(*(cache_1+4) < c_b)
	                                                    if(*(cache_0 + pixel[4]) < c_b)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else if(*(cache_0+-3) < c_b)
	                                                goto is_not_a_corner;
	                                            else
	                                                if(*(cache_1+4) < c_b)
	                                                    goto is_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else if(*(cache_0 + pixel[17]) < c_b)
	                                        if(*(cache_0+3) < c_b)
	                                            if(*(cache_1+4) < c_b)
	                                                if(*(cache_0 + pixel[7]) < c_b)
	                                                    if(*(cache_0 + pixel[4]) < c_b)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        if(*(cache_0 + pixel[9]) < c_b)
	                                            if(*(cache_1+4) < c_b)
	                                                if(*(cache_0+3) < c_b)
	                                                    if(*(cache_0 + pixel[7]) < c_b)
	                                                        if(*(cache_0 + pixel[4]) < c_b)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                    else
	                        goto is_not_a_corner;
	                else
	                    goto is_not_a_corner;
	            else if(*(cache_2+-4) < c_b)
	                if(*(cache_0 + pixel[4]) < c_b)
	                    if(*(cache_0 + pixel[6]) < c_b)
	                        if(*(cache_0+-3) > cb)
	                            if(*(cache_1+4) > cb)
	                                if(*(cache_0 + pixel[11]) < c_b)
	                                    if(*(cache_0 + pixel[2]) < c_b)
	                                        if(*(cache_0+3) < c_b)
	                                            if(*(cache_0 + pixel[8]) < c_b)
	                                                if(*(cache_0 + pixel[7]) < c_b)
	                                                    if(*(cache_0 + pixel[9]) < c_b)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else if(*(cache_1+4) < c_b)
	                                if(*(cache_0 + pixel[2]) < c_b)
	                                    if(*(cache_0 + pixel[8]) > cb)
	                                        if(*(cache_0 + pixel[15]) > cb)
	                                            goto is_not_a_corner;
	                                        else if(*(cache_0 + pixel[15]) < c_b)
	                                            if(*(cache_0 + pixel[17]) < c_b)
	                                                if(*(cache_0 + pixel[16]) < c_b)
	                                                    goto is_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            if(*(cache_0 + pixel[7]) < c_b)
	                                                if(*(cache_0 + pixel[16]) < c_b)
	                                                    if(*(cache_0 + pixel[11]) < c_b)
	                                                        goto is_not_a_corner;
	                                                    else
	                                                        goto is_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                    else if(*(cache_0 + pixel[8]) < c_b)
	                                        if(*(cache_0+3) < c_b)
	                                            if(*(cache_0 + pixel[7]) > cb)
	                                                if(*(cache_0 + pixel[13]) > cb)
	                                                    goto is_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else if(*(cache_0 + pixel[7]) < c_b)
	                                                if(*(cache_0 + pixel[9]) > cb)
	                                                    if(*(cache_0 + pixel[0]) < c_b)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else if(*(cache_0 + pixel[9]) < c_b)
	                                                    goto is_a_corner;
	                                                else
	                                                    if(*(cache_0 + pixel[17]) < c_b)
	                                                        if(*(cache_0 + pixel[0]) < c_b)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                            else
	                                                if(*(cache_0 + pixel[15]) < c_b)
	                                                    if(*(cache_0 + pixel[17]) < c_b)
	                                                        if(*(cache_0 + pixel[0]) < c_b)
	                                                            if(*(cache_0 + pixel[16]) < c_b)
	                                                                goto is_a_corner;
	                                                            else
	                                                                goto is_not_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        if(*(cache_0 + pixel[16]) < c_b)
	                                            if(*(cache_0 + pixel[17]) < c_b)
	                                                if(*(cache_0 + pixel[0]) < c_b)
	                                                    if(*(cache_0 + pixel[15]) > cb)
	                                                        if(*(cache_0 + pixel[7]) < c_b)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else if(*(cache_0 + pixel[15]) < c_b)
	                                                        if(*(cache_0+3) < c_b)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        if(*(cache_0 + pixel[7]) < c_b)
	                                                            if(*(cache_0+3) < c_b)
	                                                                goto is_a_corner;
	                                                            else
	                                                                goto is_not_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                if(*(cache_0 + pixel[11]) < c_b)
	                                    if(*(cache_0 + pixel[2]) < c_b)
	                                        if(*(cache_0 + pixel[8]) < c_b)
	                                            if(*(cache_0 + pixel[9]) < c_b)
	                                                if(*(cache_0 + pixel[7]) < c_b)
	                                                    if(*(cache_0+3) < c_b)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                        else if(*(cache_0+-3) < c_b)
	                            if(*(cache_0 + pixel[8]) > cb)
	                                if(*(cache_0 + pixel[15]) > cb)
	                                    if(*(cache_0 + pixel[16]) < c_b)
	                                        if(*(cache_0 + pixel[7]) < c_b)
	                                            if(*(cache_1+4) < c_b)
	                                                goto is_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else if(*(cache_0 + pixel[15]) < c_b)
	                                    if(*(cache_0 + pixel[17]) < c_b)
	                                        if(*(cache_1+4) < c_b)
	                                            if(*(cache_0+3) < c_b)
	                                                if(*(cache_0 + pixel[16]) < c_b)
	                                                    if(*(cache_0 + pixel[2]) < c_b)
	                                                        if(*(cache_0 + pixel[0]) < c_b)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    if(*(cache_0 + pixel[7]) < c_b)
	                                        if(*(cache_0 + pixel[16]) < c_b)
	                                            if(*(cache_1+4) < c_b)
	                                                if(*(cache_0 + pixel[0]) < c_b)
	                                                    if(*(cache_0 + pixel[2]) < c_b)
	                                                        if(*(cache_0 + pixel[17]) < c_b)
	                                                            if(*(cache_0+3) < c_b)
	                                                                goto is_a_corner;
	                                                            else
	                                                                goto is_not_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                            else if(*(cache_0 + pixel[8]) < c_b)
	                                if(*(cache_0+3) > cb)
	                                    if(*(cache_0 + pixel[13]) < c_b)
	                                        if(*(cache_0 + pixel[11]) < c_b)
	                                            if(*(cache_0 + pixel[7]) < c_b)
	                                                if(*(cache_0 + pixel[9]) < c_b)
	                                                    goto is_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else if(*(cache_0+3) < c_b)
	                                    if(*(cache_0 + pixel[7]) > cb)
	                                        if(*(cache_0 + pixel[15]) < c_b)
	                                            if(*(cache_0 + pixel[0]) < c_b)
	                                                if(*(cache_0 + pixel[16]) < c_b)
	                                                    if(*(cache_0 + pixel[2]) < c_b)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else if(*(cache_0 + pixel[7]) < c_b)
	                                        if(*(cache_0 + pixel[11]) > cb)
	                                            if(*(cache_1+4) < c_b)
	                                                if(*(cache_0 + pixel[2]) < c_b)
	                                                    goto is_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else if(*(cache_0 + pixel[11]) < c_b)
	                                            if(*(cache_0 + pixel[9]) > cb)
	                                                if(*(cache_1+4) < c_b)
	                                                    if(*(cache_0 + pixel[2]) < c_b)
	                                                        if(*(cache_0 + pixel[17]) < c_b)
	                                                            if(*(cache_0 + pixel[0]) < c_b)
	                                                                goto is_a_corner;
	                                                            else
	                                                                goto is_not_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else if(*(cache_0 + pixel[9]) < c_b)
	                                                goto is_a_corner;
	                                            else
	                                                if(*(cache_0 + pixel[17]) < c_b)
	                                                    if(*(cache_1+4) < c_b)
	                                                        if(*(cache_0 + pixel[0]) < c_b)
	                                                            if(*(cache_0 + pixel[2]) < c_b)
	                                                                goto is_a_corner;
	                                                            else
	                                                                goto is_not_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                        else
	                                            if(*(cache_1+4) < c_b)
	                                                if(*(cache_0 + pixel[2]) < c_b)
	                                                    if(*(cache_0 + pixel[9]) > cb)
	                                                        if(*(cache_0 + pixel[0]) < c_b)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else if(*(cache_0 + pixel[9]) < c_b)
	                                                        goto is_a_corner;
	                                                    else
	                                                        if(*(cache_0 + pixel[17]) < c_b)
	                                                            if(*(cache_0 + pixel[0]) < c_b)
	                                                                goto is_a_corner;
	                                                            else
	                                                                goto is_not_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                    else
	                                        if(*(cache_0 + pixel[15]) < c_b)
	                                            if(*(cache_0 + pixel[17]) < c_b)
	                                                if(*(cache_1+4) < c_b)
	                                                    if(*(cache_0 + pixel[16]) < c_b)
	                                                        if(*(cache_0 + pixel[2]) < c_b)
	                                                            if(*(cache_0 + pixel[0]) < c_b)
	                                                                goto is_a_corner;
	                                                            else
	                                                                goto is_not_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                else
	                                    if(*(cache_0 + pixel[13]) < c_b)
	                                        if(*(cache_0 + pixel[7]) < c_b)
	                                            if(*(cache_0 + pixel[11]) < c_b)
	                                                if(*(cache_0 + pixel[9]) < c_b)
	                                                    goto is_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                            else
	                                if(*(cache_0 + pixel[16]) < c_b)
	                                    if(*(cache_1+4) < c_b)
	                                        if(*(cache_0 + pixel[15]) > cb)
	                                            if(*(cache_0 + pixel[7]) < c_b)
	                                                if(*(cache_0 + pixel[17]) < c_b)
	                                                    if(*(cache_0 + pixel[2]) < c_b)
	                                                        if(*(cache_0 + pixel[0]) < c_b)
	                                                            if(*(cache_0+3) < c_b)
	                                                                goto is_a_corner;
	                                                            else
	                                                                goto is_not_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else if(*(cache_0 + pixel[15]) < c_b)
	                                            if(*(cache_0 + pixel[17]) < c_b)
	                                                if(*(cache_0+3) < c_b)
	                                                    if(*(cache_0 + pixel[2]) < c_b)
	                                                        if(*(cache_0 + pixel[0]) < c_b)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            if(*(cache_0 + pixel[7]) < c_b)
	                                                if(*(cache_0 + pixel[0]) < c_b)
	                                                    if(*(cache_0 + pixel[2]) < c_b)
	                                                        if(*(cache_0 + pixel[17]) < c_b)
	                                                            if(*(cache_0+3) < c_b)
	                                                                goto is_a_corner;
	                                                            else
	                                                                goto is_not_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                        else
	                            if(*(cache_1+4) > cb)
	                                if(*(cache_0 + pixel[2]) < c_b)
	                                    if(*(cache_0 + pixel[11]) < c_b)
	                                        if(*(cache_0 + pixel[8]) < c_b)
	                                            if(*(cache_0+3) < c_b)
	                                                if(*(cache_0 + pixel[9]) < c_b)
	                                                    if(*(cache_0 + pixel[7]) < c_b)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else if(*(cache_1+4) < c_b)
	                                if(*(cache_0 + pixel[2]) < c_b)
	                                    if(*(cache_0 + pixel[8]) > cb)
	                                        if(*(cache_0 + pixel[16]) < c_b)
	                                            if(*(cache_0 + pixel[15]) > cb)
	                                                if(*(cache_0 + pixel[7]) < c_b)
	                                                    goto is_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else if(*(cache_0 + pixel[15]) < c_b)
	                                                if(*(cache_0 + pixel[17]) < c_b)
	                                                    if(*(cache_0 + pixel[0]) < c_b)
	                                                        if(*(cache_0+3) < c_b)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                if(*(cache_0 + pixel[7]) < c_b)
	                                                    if(*(cache_0 + pixel[0]) < c_b)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else if(*(cache_0 + pixel[8]) < c_b)
	                                        if(*(cache_0+3) < c_b)
	                                            if(*(cache_0 + pixel[7]) > cb)
	                                                if(*(cache_0 + pixel[15]) < c_b)
	                                                    if(*(cache_0 + pixel[13]) > cb||*(cache_0 + pixel[13]) < c_b)
	                                                        goto is_not_a_corner;
	                                                    else
	                                                        goto is_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else if(*(cache_0 + pixel[7]) < c_b)
	                                                if(*(cache_0 + pixel[9]) < c_b)
	                                                    goto is_a_corner;
	                                                else
	                                                    if(*(cache_0 + pixel[17]) < c_b)
	                                                        if(*(cache_0 + pixel[0]) < c_b)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                            else
	                                                if(*(cache_0 + pixel[15]) < c_b)
	                                                    if(*(cache_0 + pixel[16]) < c_b)
	                                                        if(*(cache_0 + pixel[0]) < c_b)
	                                                            if(*(cache_0 + pixel[17]) < c_b)
	                                                                goto is_a_corner;
	                                                            else
	                                                                goto is_not_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        if(*(cache_0 + pixel[16]) < c_b)
	                                            if(*(cache_0 + pixel[17]) < c_b)
	                                                if(*(cache_0 + pixel[15]) < c_b)
	                                                    if(*(cache_0+3) < c_b)
	                                                        if(*(cache_0 + pixel[0]) < c_b)
	                                                            goto is_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    if(*(cache_0 + pixel[7]) < c_b)
	                                                        if(*(cache_0 + pixel[0]) < c_b)
	                                                            if(*(cache_0+3) < c_b)
	                                                                goto is_a_corner;
	                                                            else
	                                                                goto is_not_a_corner;
	                                                        else
	                                                            goto is_not_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                if(*(cache_0 + pixel[11]) < c_b)
	                                    if(*(cache_0 + pixel[2]) < c_b)
	                                        if(*(cache_0 + pixel[8]) < c_b)
	                                            if(*(cache_0 + pixel[9]) < c_b)
	                                                if(*(cache_0+3) < c_b)
	                                                    if(*(cache_0 + pixel[7]) < c_b)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                    else
	                        goto is_not_a_corner;
	                else
	                    goto is_not_a_corner;
	            else
	                if(*(cache_0 + pixel[0]) < c_b)
	                    if(*(cache_0 + pixel[7]) > cb)
	                        if(*(cache_0 + pixel[6]) < c_b)
	                            if(*(cache_0 + pixel[15]) < c_b)
	                                if(*(cache_0 + pixel[2]) < c_b)
	                                    if(*(cache_0 + pixel[16]) < c_b)
	                                        if(*(cache_0+3) < c_b)
	                                            if(*(cache_0 + pixel[17]) < c_b)
	                                                if(*(cache_1+4) < c_b)
	                                                    if(*(cache_0 + pixel[4]) < c_b)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                        else
	                            goto is_not_a_corner;
	                    else if(*(cache_0 + pixel[7]) < c_b)
	                        if(*(cache_0 + pixel[2]) < c_b)
	                            if(*(cache_0 + pixel[8]) > cb)
	                                if(*(cache_0 + pixel[16]) < c_b)
	                                    if(*(cache_0+3) < c_b)
	                                        if(*(cache_0 + pixel[6]) < c_b)
	                                            if(*(cache_1+4) < c_b)
	                                                if(*(cache_0 + pixel[17]) < c_b)
	                                                    if(*(cache_0 + pixel[4]) < c_b)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else if(*(cache_0 + pixel[8]) < c_b)
	                                if(*(cache_0 + pixel[6]) < c_b)
	                                    if(*(cache_0 + pixel[4]) < c_b)
	                                        if(*(cache_0 + pixel[17]) < c_b)
	                                            if(*(cache_1+4) < c_b)
	                                                if(*(cache_0+3) < c_b)
	                                                    goto is_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            if(*(cache_0 + pixel[9]) < c_b)
	                                                if(*(cache_1+4) < c_b)
	                                                    if(*(cache_0+3) < c_b)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                if(*(cache_0 + pixel[16]) < c_b)
	                                    if(*(cache_0 + pixel[4]) < c_b)
	                                        if(*(cache_0 + pixel[6]) < c_b)
	                                            if(*(cache_1+4) < c_b)
	                                                if(*(cache_0 + pixel[17]) < c_b)
	                                                    if(*(cache_0+3) < c_b)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                        else
	                            goto is_not_a_corner;
	                    else
	                        if(*(cache_0 + pixel[15]) < c_b)
	                            if(*(cache_0 + pixel[6]) < c_b)
	                                if(*(cache_0 + pixel[2]) < c_b)
	                                    if(*(cache_0 + pixel[16]) < c_b)
	                                        if(*(cache_0 + pixel[4]) < c_b)
	                                            if(*(cache_0 + pixel[17]) < c_b)
	                                                if(*(cache_1+4) < c_b)
	                                                    if(*(cache_0+3) < c_b)
	                                                        goto is_a_corner;
	                                                    else
	                                                        goto is_not_a_corner;
	                                                else
	                                                    goto is_not_a_corner;
	                                            else
	                                                goto is_not_a_corner;
	                                        else
	                                            goto is_not_a_corner;
	                                    else
	                                        goto is_not_a_corner;
	                                else
	                                    goto is_not_a_corner;
	                            else
	                                goto is_not_a_corner;
	                        else
	                            goto is_not_a_corner;
	                else
	                    goto is_not_a_corner;
	        else
	            goto is_not_a_corner;
		is_a_corner:																 	        
			bmin = b;																 	        
			goto end_if;    														 	        
		 																			 	        
		is_not_a_corner:																 	    
			bmax = b;																 	        
			goto end_if;    														 	        
		 																			 	        
		end_if:																		 	        
		if(bmin == bmax - 1 || bmin == bmax) 										 	        
			return bmin;															 	        
		b = (bmin + bmax) / 2;														 	        
	}	 																			 	        
}		 																			 	        
